      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this licence along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU1100.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ݡ࿦԰šϷݷڤӸɽ
      *                      (̵Ž)
      *              : 
      *      ȼ        
      *  05/06/07     ͭ¼          ƺ(2.5.0б)
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev           
      *  01.00.01    ͭ¼    05/08/17   ܷ٤פȡʬפ
      *                                 ̻ǽϤ褦
      *  01.00.02    έ    06/02/11   ۻԤϷʡŤʻѤƤ
      *                                 Ԥפ
      *  01.00.03    έ    06/04/12   פθסΥХ
      *  01.00.04        07/04/21   оֹɲá181
      *  01.00.05        07/09/21   쥻ver4.0б
      *                                 ƥޥ1901פ
      *                                 ŵؾ򻲾
      *  01.00.06        08/03/12   б
      *  01.00.07    Ĺ    08/04/24   Ģɼͼȼ
      *  01.00.08        08/05/08   ʧ
      *                                 𣹳б
      *  01.00.09        08/06/25   ΤߤξǤ褦
      *                                 оֹɲá481
      *  01.00.10        08/09/09   ̻ݸԤФ
      *                                 ŬѤƤΤ
      *  01.00.11        08/10/08   оֹɲá581
      *                                 ɡ2007פθޤȤб
      *                                 SPA-AREA
      *  01.00.12        09/06/17   оֹɲá381
      *  01.00.13        09/08/21   оֹɲá352,353,354
      *  01.00.14        09/10/16   оֹɲá382
      *  01.00.15        09/11/18   ɡ2007פΤޤȤ
      *                                 6ܰʹߤޤȤޤʤԶ
      *  01.00.16        10/02/04   ɡ2010פθƷؤ
      *                                 񵭺б
      *  01.00.17        10/02/18   ݸֹ782ۤ򵭺ܤʤ
      *  01.00.18        10/08/03   饤б
      *  01.00.19        10/10/27   ݸֹ543ۤ򵭺ܤʤ
      *  01.00.20        10/11/25   open-cobol1.0б
      *  01.00.21        11/05/24   ʿβϿб
      *  01.00.22        11/07/07   ݸֹ383ۤ򵭺ܤʤ
      *  01.00.23        11/08/11   ݸֹ372,373ۤ򵭺ܤʤ
      *  01.00.24        11/10/11   ۤ򵭺ܤʤֹ
      *                                 INIե뤫褦˽
      *  01.00.25        12/04/17   ڡסߡפ
      *                                 Ԥ˴ޤƽפ
      *                                 ʬƻܸȤ˽פ
      *  01.00.26        12/12/21   ץ饰б
      *                                 ŵؾԽб
      *  01.00.27        14/05/16   ץ४ץб
      *  01.00.28        14/07/02   ưΥȥ뽤
      *  01.00.29        14/10/08    ver4.8.0бʰǥ쥯ȥѹ
      *  01.00.30        15/05/12   ʧϼݸ³ۤ
      *                                 θ褦˽
      *****************************************************************
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.

      *    ɽե  
           SELECT  SKT1100TMP-FILE ASSIGN  SKT1100TP
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  SKT1100TMP-KEY
                                   FILE    STATUS  IS  STS-SKT1100.
      *
006900*    ģ¹ѥե
           SELECT  UPD-FILE        ASSIGN  RECEUPD
                                   FILE    STATUS  IS  STS-RECEUPD.
      *
      *
006900*    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      **    оݸֹե
      *     SELECT  KOHI-FILE       ASSIGN FILE-NAME
      *                             ORGANIZATION   IS  LINE SEQUENTIAL
      *                             ACCESS MODE    IS  SEQUENTIAL
      *                             FILE   STATUS  IS  STS-KOHI.
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    ɽե  
       FD  SKT1100TMP-FILE.
           COPY    "CPSKT1100TMP.INC".
      *
006900*    ģ¹ѥե
       FD  UPD-FILE.
           COPY    "CPRCF010.INC"  REPLACING  //RECE10//
                                   BY         //RECE10X//.
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      **    оݸֹե
      * FD  KOHI-FILE.
      * 01  KOHI-REC.
      *     03  KOHI-DAT-KOHNUM     PIC X(03). 
      *     03  KOHI-DAT-KAIGYO     PIC X(01). 
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
       WORKING-STORAGE             SECTION.
      *
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      *    ˰ʤֹǡ
           COPY    "KOHI1100.INC".
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *
      *    ѥǡ ̾ΰ 
           COPY    "CPCOMMONPRT.INC".
      *
      *    ɽե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //SKT1100TP//.
      *
      *    ģ¹ѥե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEUPD//.
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *    顼ե ̾ΰ 
      *---(01.00.05) LINE ADD START ------------------------------------
      *     COPY    "CPCOMMONDAT2.INC"
      *                             REPLACING  //RECE01PARA//
      *                             BY         //RECEERR//.
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     COPY    "CPERRFL.INC"    REPLACING  //ERRFLPARA//
      *                              BY         //RECEERR//.
           COPY    "CPRECEERR.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *---(01.00.05) LINE ADD END   ------------------------------------
      *     
      *    ΰ
           COPY    "CPCOMMONSHELL.INC".
      *
      *    ΰ
           COPY    "SKT1100.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-PARA            PIC X(02).
           03  STS-SKT1100         PIC X(02).
           03  STS-RECEERR         PIC X(02).
           03  STS-RECEUPD         PIC X(02).
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
           03  STS-KOHI            PIC X(02).
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-SKT1100TMP      PIC 9(01).
           03  FLG-RECE10          PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-HKNNUM          PIC 9(01).
           03  FLG-HKNJAINF        PIC 9(01).
           03  FLG-UPD             PIC 9(01).
           03  FLG-UPDFILE         PIC 9(01).
           03  FLG-SEIKYU          PIC 9(01).
           03  FLG-PRINT           PIC 9(01).
           03  FLG-NG              PIC 9(01).
           03  FLG-SYUNOU          PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-RECE02          PIC 9(01).
      *---(01.00.07) LINE ADD START ------------------------------------
           03  FLG-KOUKI           PIC 9(01).
           03  FLG-TOKUBETU        PIC 9(01).
      *---(01.00.07) LINE ADD END   ------------------------------------
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
           03  FLG-2010            PIC 9(01).
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
           03  FLG-KOHI            PIC 9(01).
           03  FLG-TAISYOGAI       PIC 9(01).
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
           03  FLG-PRGOPTION       PIC 9(01).
           03  FLG-OK              PIC 9(01).
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      *    źΰ
       01  IDX-AREA.
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *     03  IDX                 PIC 9(04).
           03  IDX                 PIC 9(05).
           03  IDY                 PIC 9(04).
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX3                PIC 9(04).
           03  IDX4                PIC 9(04).
           03  IDX-O               PIC 9(04).
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
           03  IDXX                PIC 9(04).
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
           03  IDZ1                PIC 9(04).
           03  IDZ2                PIC 9(04).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *    ƥΰ
       01  SYS-AREA.
           03  SYS-TIME            PIC 9(08).    
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
      ***** 05/08/17 DEL
      *     03  WRK-PARA-JOBID      PIC 9(07).
      *     03  WRK-PARA-SHELLID    PIC X(08).
      *     03  WRK-PARA-HOSPID     PIC X(24).
      *     03  WRK-PARA-PAGE       PIC 9(10).
      ***** 05/08/17 INS
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
      *---(01.00.05) LINE ADD START ------------------------------------
      *     03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-HOSPNUM    PIC 9(02).
      *---(01.00.05) LINE ADD END   ------------------------------------
           03  WRK-PARA-HKNJANUM   PIC X(08).
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-SYOKBN     PIC X(01).
      ****2006/02/11 @@@@-BRAND START
           03  WRK-RJ              PIC 9(08).
      ****2006/02/11 @@@@-BRAND END
      *****
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **=== ץ饰б by Yoshikawa(2012/12/21) start
      **    ե̾ѥꥢ
      * 01  FILE-NAME.
      *     03  FILLER              PIC X(05)  VALUE "/tmp/".
      *     03  FILE-HOSPNUM        PIC 9(02).
      *     03  FILLER              PIC X(10)  VALUE "SOKATU1100".
      *     03  FILLER              PIC X(08)  VALUE "KOHI.INI".
      **=== ץ饰б by Yoshikawa(2012/12/21) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
       01  GOUKEI-AREA.
           03  KOKUHO-TAL.
               05  WRK-KKHKENSU       PIC 9(05).
               05  WRK-KKHNISSU       PIC 9(05).
               05  WRK-KKHTENSU       PIC 9(09).
               05  WRK-KKHSEIKYUGK    PIC 9(09).
           03  KOUHI-TAL.
               05  WRK-KOHKENSU         PIC 9(05).
               05  WRK-KOHNISSU         PIC 9(05).
               05  WRK-KOHTENSU         PIC 9(09).
               05  WRK-KOHSEIKYUGK      PIC 9(09).
      *
           03  WRK-KOHNUM               PIC X(03).
           03  WRK-SEIKYUGK-G           PIC 9(07).
           03  WRK-HEIKIN               PIC 9(07)V9(1).
           03  WRK-HEIKIN-Z             PIC ZZZ,ZZZ.Z.
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SEIYMD        PIC X(08).
           03  WRK-SEIYMDWH      PIC X(20).
           03  WRK-SRYYMWH       PIC X(16).
           03  WRK-SRYYMD        PIC X(08).
      *
           03   WRK-KEISAN1      PIC S9(08)V9(01).
           03   WRK-KEISAN1-G    PIC S9(08).
           03   WRK-KEISAN2      PIC S9(08)V9(01).
           03   WRK-KEISAN2-G    PIC S9(08).
      *  
           03  WRK-SYMD.
               05  WRK-SYY           PIC 9(04).
               05  WRK-SMM           PIC 9(02).
               05  WRK-SDD           PIC 9(02).
           03  WRK-HENYMDG           PIC X(22).
      *
           03  WRK-Z2                PIC ZZ.
           03  WRK-Z5                PIC Z,ZZZ.
           03  WRK-Z9                PIC Z,ZZZ,ZZZ.
           03  WRK-Z92               PIC ZZZZZZZZZ.
           03  WRK-Z10               PIC ZZ,ZZZ,ZZZ.
      *
           03  WRK-RECEERR           PIC X(200). 
      *
           03  WRK-HC01PARA-CNT      PIC  9(06).
      *
           03  WRK-KBN               PIC  9(02).
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
           03  WRK-KOHNAME           PIC  X(10).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *=== ҳб by Yoshikawa(2011/05/24) start
           03  WRK-KENNAME           PIC  X(08).
      *=== ҳб by Yoshikawa(2011/05/24) end
      *
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      *    ѥ᡼ե̾
      *=== ץ饰б by Yoshikawa(2012/12/21) start
      *     03  FILE-NAME             PIC X(512).
      *=== ץ饰б by Yoshikawa(2012/12/21) end
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *     03  WRK-PATH.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
      ***** 05/08/17 INS
      *    󻲾
      *     03  WRK-PATH2.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
           03  WRK-PATH              PIC X(50).
           03  WRK-PATH2             PIC X(50).
      *---(01.00.07) LINE ADD START ------------------------------------
           03  WRK-PATH3               PIC X(50).
           03  WRK-HKNNUM              PIC X(03).
           03  WRK-KOUKI-5             PIC 9(10).
           03  WRK-KOUKI-6             PIC 9(10).
           03  WRK-KOUKI-9             PIC 9(10).
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
           03  WRK-OPTION-TBL.
               05  WRK-OPTION      PIC X(100)  OCCURS 100.
           03  WRK-PRGID           PIC X(25).
           03  WRK-KBNCD           PIC X(16).
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      *    ŵؾ
           03  WRK-HOSPNAME          PIC X(100).
           03  WRK-HOSPNAME-R        REDEFINES   WRK-HOSPNAME.
               05  WRK-HOSPNAME1     PIC X(50).
               05  WRK-HOSPNAME2     PIC X(50).
           03  WRK-HOSPADRS          PIC X(100).
           03  WRK-HOSPADRS-R        REDEFINES   WRK-HOSPADRS.
               05  WRK-HOSPADRS1     PIC X(50).
               05  WRK-HOSPADRS2     PIC X(50).
           03  WRK-HOSPTEL           PIC X(15).
      *---(01.00.05) LINE ADD END   ------------------------------------
      *****
      *
      *    ʸѴ
           03  WRK-MAE-INPUT         PIC X(200).
           03  WRK-OUT-INPUT         PIC X(200).
      *
       01  HEN-AREA.
           03  HEN-KYURATE-AREA.
               05  FILLER            PIC  X(01) VALUE "(".
               05  HEN-KYURATE       PIC  X(02).
               05  FILLER            PIC  X(02) VALUE "".
               05  FILLER            PIC  X(01) VALUE ")".
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤᥨꥢ
       01  WRK-2007-AREA.
           03  WRK-2007-TBL          OCCURS  100.
               05  WRK-2007-MEISYO   PIC X(44).
               05  WRK-2007-KOH-AREA.
                   07  WRK-2007-KOHNUM
                                     PIC X(03)   OCCURS  10.
           03  WRK-2007-MAX          PIC 9(03).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
       01  WRK-2010-AREA.
           03  WRK-2010-TBL          OCCURS  100.
               05  WRK-2010-KOHNUM   PIC X(03).
           03  WRK-2010-MAX          PIC 9(03).
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-PAGE              PIC 9(03).
           03  CNT-RECE10            PIC 9(06).
           03  CNT-UPDFILE           PIC 9(06).
           03  CNT-LINE              PIC 9(02).
      *
      *    ΰ
       01  SUM-AREA.
           03  SUM-GOKEI-TBL.
               05  SUM-KENSU         PIC 9(05).
               05  SUM-NISSU         PIC 9(05).
               05  SUM-TENSU         PIC 9(09).
               05  SUM-SEIKYUGK      PIC 9(09).
      *     
      *---(01.00.05) LINE ADD START ------------------------------------
      *     COPY    "ORCA-DBPATH".
           COPY    "COMMON-SPA".
      *---(01.00.05) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
      *    
       01  WRK-CONS-AREA.
           03  WRK-CONS-SRYYM-200804   PIC X(06)   VALUE   "200804".
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    ݸԾ
       01  HKNJAINF-REC.
           COPY    "CPHKNJAINF.INC".
      *
      *    ʣϣ´ģ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
      *    ݸֹ
       01  HKNNUM-REC.
           COPY    "CPHKNNUM.INC".
      *
      *    Ǽ
       01  SYUNOU-REC.
           COPY  "CPSYUNOU.INC".
      *
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ 
           COPY    "CPSK1002.INC".
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *    ŵԽ
           COPY    "CPSK1900.INC".
      *
      *    ŵ̾Խ
           COPY    "CPSK1901.INC".
      *
      *    ŵؽԽ
           COPY    "CPSK1902.INC".
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤ
           COPY    "CPSK2007.INC".
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *    ݸֹղþ
           COPY    "CPSK2010.INC".
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
      *    
           COPY    "CPRCF010.INC".
      *
      *
      *    
           COPY    "CPKOHSKY.INC"
                   REPLACING  //KOHSKY//
                   BY         //RECE02//.
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *    ץ४ץ
       01  PRGOPTION-REC.
           COPY    "CPPRGOPTION.INC".
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      ******************************************************************
      *    ֥ץ  ΰ
      *****************************************************************
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
           COPY    "MCPDATA.INC".
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ極
           COPY    "CPORCSPRT.INC".          
      *
      *    Ⱦѥå
           COPY    "CPORCSKANACHK.INC".
      *
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      *    եǥ쥯ȥֻꥵ
           COPY    "CPMKPASS.INC".
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ե̾Խ
           COPY    "CPORCSGETTEMP.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *****************************************************************
      *        
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
      *
           PERFORM  100-INIT-SEC
      *
           PERFORM  200-MAIN-SEC
      *---(01.00.09) LINE ADD START ------------------------------------
      *              UNTIL   FLG-END   =   1
      *---(01.00.09) LINE ADD END   ------------------------------------
      *
           PERFORM  300-END-SEC
      *
           STOP     RUN
      *
           .
      *
      *****************************************************************
      *      
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE  FLG-AREA
           INITIALIZE  STS-AREA
           INITIALIZE  WRK-AREA
           INITIALIZE  CNT-AREA
           INITIALIZE  SUM-AREA
           INITIALIZE  GOUKEI-AREA
           INITIALIZE  IDX-AREA
      ****2006/04/12 @@@@-BRAND START
           INITIALIZE  WRK-PARA
      ****2006/04/12 @@@@-BRAND END
      *=== SPA-AREA by Yoshikawa(2008/10/08) start
           INITIALIZE  SPA-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
           INITIALIZE  KOHI-DAT
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           INITIALIZE  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
           PERFORM    100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID    
                                               LNK-PRTKANRI-PRTNM   
      ***** 05/08/17 DEL 
      *                                         WRK-PARA-JOBID
      *                                         WRK-PARA-SHELLID
      *                                         WRK-PARA-HOSPID
      ***** 05/08/17 INS
      *---(01.00.05) LINE ADD START ------------------------------------
      *                                         WRK-PARA-HOSPID
                                               WRK-PARA-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HKNJANUM
                                               WRK-PARA-SYOKBN
      *---(01.00.05) LINE ADD START ------------------------------------
                                               RECEERR
      *---(01.00.05) LINE ADD END   ------------------------------------
      *****
           END-UNSTRING
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *    ƥå׳Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SKT1100"       TO  JOB-PGID
           MOVE    "̹ɽ(̵Ž)"
                                   TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC
      *---(01.00.05) LINE ADD START ------------------------------------
                                   SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------

      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ֥ץե̾Խ
           INITIALIZE                      SGETTEMP-AREA
      *=== ver4.8б by Yoshikawa(2014/10/08) end
           MOVE    "SKT1100"           TO  SKT1100TP-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  SKT1100TP-TERMID
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  SKT1100TP-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           MOVE    "RECEUPD"           TO  RECEUPD-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEUPD-TERMID
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  RECEUPD-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    "RECEERR"           TO  RECEERR-FILE-ID
      *     MOVE    LNK-PRTKANRI-TERMID TO  RECEERR-TERMID
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           MOVE  SKT1100TP-BASENAME      TO  SGETTEMP-BASENAMES (1)
           MOVE  RECEUPD-BASENAME        TO  SGETTEMP-BASENAMES (2)
           MOVE  RECEERR                 TO  SGETTEMP-BASENAMES (3)
           CALL  "ORCSGETTEMP"           USING
                                         SGETTEMP-AREA
           MOVE  SGETTEMP-FULLNAMES (1)  TO  SKT1100TP-FULLNAME
           MOVE  SGETTEMP-FULLNAMES (2)  TO  RECEUPD-FULLNAME
           MOVE  SGETTEMP-FULLNAMES (3)  TO  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SRYYMD (1:6)
           MOVE    "01"                TO  WRK-SRYYMD (7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO 
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *    ŵأɣԽ
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"              TO  SYS-1001-KANRICD
           MOVE    "*"                 TO  SYS-1001-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1001-STYUKYMD(1:6)
                                           SYS-1001-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1001-STYUKYMD(7:2)
                                           SYS-1001-EDYUKYMD(7:2)
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM         TO  SYS-1001-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    SYS-1001-REC        TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1001-REC
               IF      SYS-1001-HOSPNAME   =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-HOSPNAME
               END-IF    
               IF      SYS-1001-KAISETUNAME    =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-KAISETUNAME
               END-IF    
           ELSE
               MOVE    "ŵؾ󤬼ǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE                  SYS-1002-REC
           MOVE    "1002"              TO  SYS-1002-KANRICD
           MOVE    "*"                 TO  SYS-1002-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1002-STYUKYMD(1:6)
                                           SYS-1002-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1002-STYUKYMD(7:2)
                                           SYS-1002-EDYUKYMD(7:2)
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM         TO  SYS-1002-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    SYS-1002-REC        TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC        TO  SYS-1002-REC
               IF      SYS-1002-ADRS       =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1002-ADRS
               END-IF
           ELSE
               MOVE    "ŵؾʽϡˤǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤ
           INITIALIZE                      WRK-2007-AREA
      *
           INITIALIZE                      SYS-2007-REC
           MOVE    "2007"              TO  SYS-2007-KANRICD
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-2007-STYUKYMD (1:6)
           MOVE    "01"                TO  SYS-2007-STYUKYMD (7:2)
           MOVE    SYS-2007-STYUKYMD   TO  SYS-2007-EDYUKYMD
           MOVE    WRK-PARA-HOSPNUM    TO  SYS-2007-HOSPNUM
           MOVE    SYS-2007-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBSELECT"          TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key2"          TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    ZERO            TO  IDX1
           PERFORM         UNTIL   FLG-SYSKANRI   =   1
                           OR      IDX1           >=  100
               MOVE    MCPDATA-REC         TO  SYS-2007-REC
      *
               ADD     1                   TO  IDX1
               MOVE    SYS-2007-MEISYO(1) TO  WRK-2007-MEISYO(IDX1)
               PERFORM VARYING IDX2 FROM    1   BY  1
                       UNTIL   IDX2 >       10
                       OR      SYS-2007-KOHNUM (IDX2)   =   SPACE
                   MOVE    SYS-2007-KOHNUM (IDX2)
                                           TO WRK-2007-KOHNUM(IDX1 IDX2)
               END-PERFORM
      *
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key2"              TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           END-PERFORM
      *
           MOVE    "tbl_syskanri"          TO  MCP-TABLE
           MOVE    "key2"                  TO  MCP-PATHNAME
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           MOVE    IDX1                    TO  WRK-2007-MAX
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *    Ʒ󵭺ܾ
           INITIALIZE                      WRK-2010-AREA
      *
           INITIALIZE                      SYS-2010-REC
           MOVE    "2010"              TO  SYS-2010-KANRICD
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-2010-STYUKYMD (1:6)
           MOVE    "01"                TO  SYS-2010-STYUKYMD (7:2)
           MOVE    SYS-2010-STYUKYMD   TO  SYS-2010-EDYUKYMD
           MOVE    WRK-PARA-HOSPNUM    TO  SYS-2010-HOSPNUM
           MOVE    SYS-2010-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBSELECT"          TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key2"          TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    ZERO            TO  IDX
           PERFORM         UNTIL   FLG-SYSKANRI   =   1
                           OR      IDX            >=  100
               MOVE    MCPDATA-REC         TO  SYS-2010-REC
               IF    ( SYS-2010-SAIKEIKBN  =   "1"         )
               AND   ( SYS-2010-SAIKEI-TAIKBN
                                           =   "0" OR  "1" )
                   ADD     1                   TO  IDX
                   MOVE    SYS-2010-KBNCD(1:3) TO WRK-2010-KOHNUM (IDX)
               END-IF
      *
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key2"          TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           END-PERFORM
      *
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           MOVE    IDX                 TO  WRK-2010-MAX
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    SYS-1001-HOSPNAME   TO  WRK-HOSPNAME
           MOVE    SYS-1002-ADRS       TO  WRK-HOSPADRS
           MOVE    SYS-1002-TEL        TO  WRK-HOSPTEL
      *    ŵԽ
           PERFORM 900-1900-READ-SEC
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      **    INIեɤ߹
      *     PERFORM  110-INI-FILE-SEC
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *    ץ४ץ
           PERFORM 100-OPTION-SELECT-SEC
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
           OPEN     OUTPUT  UPD-FILE
      ***** 05/08/17 INS
           EVALUATE    WRK-PARA-SYOKBN 
               WHEN    "2"
      *---(01.00.05) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY37    TO  WRK-PATH2
                   MOVE    "key37"        TO  WRK-PATH2
      *---(01.00.05) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
                   MOVE    "key65"                  TO  WRK-PATH3
      *---(01.00.07) LINE ADD END   ------------------------------------
               WHEN    "1"
      *---(01.00.05) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY38    TO  WRK-PATH2
                   MOVE    "key38"        TO  WRK-PATH2
      *---(01.00.05) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
                   MOVE    "key66"                  TO  WRK-PATH3
      *---(01.00.07) LINE ADD END   ------------------------------------
           END-EVALUATE
      *****
      *
           PERFORM  900-SEIKYU-SELECT-SEC
      *
           .
      *
       100-INIT-EXT.
           EXIT.
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      ******************************************************************
      **    INIեɤ߹
      ******************************************************************
      * 110-INI-FILE-SEC         SECTION.
      **
      **    ۰оݳֹեɤ߹
      **    եǥ쥯ȥֻ
      **=== ץ饰б by Yoshikawa(2012/12/21) start
      **     INITIALIZE           ORCSMKPASSAREA
      **     MOVE  "data/KOHI.INI"     TO  MKPASS-IN-01
      **     CALL  "ORCSMKPASSSITE"  USING  ORCSMKPASSAREA
      **     MOVE  MKPASS-OT-01  TO  FILE-NAME
      *     MOVE  SPA-HOSPNUM   TO  FILE-HOSPNUM
      **=== ץ饰б by Yoshikawa(2012/12/21) end
      **
      *     DISPLAY "ե̾="  FILE-NAME
      **
      *     INITIALIZE   KOHI-REC
      **
      *     OPEN  INPUT  KOHI-FILE
      **
      *     MOVE  ZERO                    TO  IDX
      *                                       FLG-KOHI
      **
      *     PERFORM UNTIL    FLG-KOHI = 1
      *       READ KOHI-FILE NEXT
      *         AT END
      *           MOVE  1                 TO  FLG-KOHI
      *         NOT AT END
      *           IF  KOHI-DAT-KOHNUM(1:1)  =  "*" OR SPACE
      *             MOVE  1               TO  FLG-KOHI
      *           ELSE
      *             ADD   1               TO  IDX
      *             MOVE  KOHI-REC  TO  KOHI-TBL(IDX)
      *             DISPLAY "ɤ߹ߥ쥳=" KOHI-REC
      *           END-IF
      *       END-READ
      *     END-PERFORM
      **
      *     CLOSE KOHI-FILE
      **
      *     .
      * 110-INI-FILE-EXT.
      *     EXIT.
      **
      **=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
      *****************************************************************
      *    ץ४ץ߽
      *****************************************************************
       100-OPTION-SELECT-SEC             SECTION.
      *
           MOVE    "SOKATU1100"              TO  WRK-PRGID
      *
      *    ץ४ץ
      *    ۰оݳֹ
           MOVE    "KOHI"                    TO  WRK-KBNCD
           PERFORM 1001-OPTION-SET-SEC
           PERFORM  VARYING  IDX  FROM  1  BY  1
                    UNTIL    IDX  >  100
                    OR       WRK-OPTION(IDX)  =  SPACE
             MOVE    WRK-OPTION(IDX)(1:3)    TO  KOHI-KOHNUM(IDX)
             DISPLAY "ֹ="  KOHI-KOHNUM(IDX)
           END-PERFORM
      *
           .
       100-OPTION-SELECT-EXT.
           EXIT.
      *****************************************************************
      *    ץ४ץѥ᥿åȽ
      *****************************************************************
       1001-OPTION-SET-SEC              SECTION.
      *
           INITIALIZE                            WRK-OPTION-TBL
                                                 FLG-OK
      *    ץ४ץɹ
           PERFORM  900-PRGOPTION-READ-SEC
      *
      *    ץν
           MOVE    1                         TO  IDX1
           IF  FLG-PRGOPTION  =  ZERO
             PERFORM  VARYING  IDX  FROM  1  BY  1
                      UNTIL   (IDX     >   44000 )
                         OR   (IDX1    >  100)
                         OR   (FLG-OK  NOT =   ZERO)
      *
      *        ץ1ܤǤнλ
               IF   PRGOPTION-OPTION(IDX:1)  =  SPACE
               AND  IDY                      =  ZERO
                   MOVE    1                 TO  FLG-OK
               END-IF
      *
               IF  FLG-OK  =  ZERO
      *          
                 IF  PRGOPTION-OPTION(IDX:1)  =   X"0A"
                 OR  IDY  >=  100
                   ADD    1                  TO  IDX1
                   MOVE    ZERO              TO  IDY
                 ELSE
                   ADD    1                  TO  IDY
      *            PGץƤʸĥå
                   MOVE    PRGOPTION-OPTION(IDX:1)
                                         TO  WRK-OPTION(IDX1)(IDY:1)
                 END-IF
               END-IF
             END-PERFORM
           END-IF
      *
           .
       1001-OPTION-SET-EXT.
           EXIT.
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *****************************************************************
      *        
      *****************************************************************
       200-MAIN-SEC               SECTION.
      *
           OPEN     OUTPUT  SKT1100TMP-FILE
           CLOSE            SKT1100TMP-FILE
           OPEN     I-O     SKT1100TMP-FILE
      *
           INITIALIZE             SUM-AREA
      *
      *---(01.00.09) LINE ADD START ------------------------------------
      *     MOVE     ZERO    TO        FLG-END
      *---(01.00.09) LINE ADD END   ------------------------------------
      *
           PERFORM  2001-KOKUHO-SYUKEI-SEC
                    UNTIL   FLG-END   =   1
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *     PERFORM  900-SEIKYU-CLOSE-SEC
      *    
           MOVE     ZERO    TO        FLG-END
           MOVE     1       TO        FLG-KOUKI
           MOVE    "039"    TO        WRK-HKNNUM
           PERFORM  950-SEIKYU-SELECT-SEC
           PERFORM  2001-KOKUHO-SYUKEI-SEC
                    UNTIL   FLG-END   =   1
           PERFORM  950-SEIKYU-CLOSE-SEC
      *---(01.00.07) LINE ADD END   ------------------------------------
      *    ݹס׽񤭽Ф
           PERFORM 2203-SYORI-SEC
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *    񽸷
           PERFORM  2004-TOKUBETU-SEC
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
      *    ̰ʸʬ˽
           PERFORM  2004-TOKUBETU-KOU-SEC
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
           CLOSE   SKT1100TMP-FILE
      *
           IF       FLG-UPD   =         1
                    MOVE      ZERO      TO        WRK-KBN
                    PERFORM   2002-PRINT-SEC
           END-IF
      *
           CLOSE   UPD-FILE
           CLOSE   SKT1100TMP-FILE
      *
           .
       200-MAIN-EXT.
           EXIT.
      *****************************************************************
      *    λ    
      *****************************************************************
       300-END-SEC                     SECTION.
      *
           IF      CNT-RECE10          =   ZERO 
                   CONTINUE
           ELSE
                   IF      FLG-UPD     =   1
                           PERFORM     3001-SEIKYU-UPDATE-SEC
                   END-IF
           END-IF    
      *
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SOKATU1100 IN  "  CNT-RECE10 
           DISPLAY "*** SOKATU1100 END ***"
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC
      *---(01.00.05) LINE ADD START ------------------------------------
                                   SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------

           PERFORM 900-DBDISCONNECT-SEC
      *
           .
      *
       300-END-EXT.
           EXIT.
      *****************************************************************
      *    ݸֹ̽׽                        
      *****************************************************************
       2001-KOKUHO-SYUKEI-SEC               SECTION.
      *
      *TMP-FILE å
      *
           INITIALIZE       SKT1100TMP-REC
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) start
                            WRK-KENNAME
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) end
      *
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) start
      *    ݸֹ椴ȡƻܸȤ˽
           IF  RECE10-PREFKBN  =  "1"
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) end
               MOVE    RECE10-HKNJANUM-S   TO  SKT1100TMP-HKNJANUM  
      *
      *        ξɽֹ楻å
               IF      SKT1100TMP-HKNJANUM(1:3)    =   "114"
                   MOVE    "114009"    TO  SKT1100TMP-HKNJANUM
               END-IF
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) start
           ELSE
      *        ݸֹ椫鸩ֹ
               IF  RECE10-HKNJANUM(7:2)  =  SPACE
                   MOVE  RECE10-HKNJANUM(1:2)  TO  SKT1100TMP-HKNJANUM
               ELSE
                   MOVE  RECE10-HKNJANUM(3:2)  TO  SKT1100TMP-HKNJANUM
               END-IF
      *        ̾å
               PERFORM  32061-KENNAME-SET-SEC
               MOVE    WRK-KENNAME             TO  SKT1100TMP-HKNJANAME
           END-IF
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) end
      *
      *=== ߡڤ by Yoshikawa(2012/04/17) start
           IF  RECE10-HKNJANUM  =  "133033" OR "133298"
               MOVE    "13"                    TO  SKT1100TMP-HKNJANUM
               MOVE    ""                TO  SKT1100TMP-HKNJANAME
           END-IF
      *=== ߡڤ by Yoshikawa(2012/04/17) end
      *
      *    Ϸݸ࿦԰Ťξ
           IF      RECE10-RJNHKNNUM    NOT =   SPACE
               INITIALIZE          SKT1100TMP-KEY
               MOVE    1       TO  SKT1100TMP-KBN1
           ELSE
               IF      RECE10-HKNNUM   =   "067"
                   INITIALIZE          SKT1100TMP-KEY
                   MOVE    2       TO  SKT1100TMP-KBN1
               ELSE
      *---(01.00.08) LINE ADD START ------------------------------------
      *            ֤
                   IF   RECE10-SRYYM  >=  WRK-CONS-SRYYM-200804
                   AND  RECE10-FLG (2)  =  1
                       MOVE  8                 TO  RECE10-KYURATE
                   END-IF
      *---(01.00.08) LINE ADD END   ------------------------------------
      *            ȹΤߵճ
                   IF      SKT1100TMP-HKNJANUM(3:1)    =   "3"
                       MOVE    RECE10-KYURATE  TO  SKT1100TMP-KYURATE
                   ELSE
                       MOVE    ZERO            TO  SKT1100TMP-KYURATE
                   END-IF
      *---(01.00.06) LINE ADD START ------------------------------------
      *             MOVE    3       TO  SKT1100TMP-KBN1
      *             MOVE    4       TO  SKT1100TMP-KBN1
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
                   MOVE    6       TO  SKT1100TMP-KBN1
      *---(01.00.07) LINE ADD END   ------------------------------------
               END-IF
           END-IF
      *
      *=== ҳб by Yoshikawa(2011/05/24) start
      *    ҳʬ
           IF  RECE10-ETC-YKZFTN(1)  =  1 OR 2 OR 4 OR 5 OR 7 OR 8
             INITIALIZE          SKT1100TMP-KEY
             MOVE    7       TO  SKT1100TMP-KBN1
      *
      *      Ȥ˽
             IF  RECE10-HKNJANUM(7:2)  =  SPACE
               MOVE  RECE10-HKNJANUM(1:2)  TO  SKT1100TMP-HKNJANUM
             ELSE
               MOVE  RECE10-HKNJANUM(3:2)  TO  SKT1100TMP-HKNJANUM
             END-IF
           END-IF
      *=== ҳб by Yoshikawa(2011/05/24) end
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *     PERFORM 800-SKTTMP-READ-SEC
      *     PERFORM 220-HKN-SYUKEI-SEC
           IF  FLG-KOUKI  =  ZERO
               PERFORM 800-SKTTMP-READ-SEC
               PERFORM  220-HKN-SYUKEI-SEC
           ELSE
      *=== ҳб by Yoshikawa(2011/05/24) start
      *         MOVE    5      TO  SKT1100TMP-KBN1
               IF  SKT1100TMP-KBN1  NOT =  7
                 MOVE    5    TO  SKT1100TMP-KBN1
               END-IF
      *=== ҳб by Yoshikawa(2011/05/24) end
               PERFORM  800-SKTTMP-READ-SEC
               PERFORM  220-KOUKI-SYUKEI-SEC
           END-IF
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
      *    񽸷׽
           IF      RECE10-KOHNUM(1) NOT =  SPACE
               PERFORM 2201-KOH-SYUKEI-SEC
           END-IF
      *
      *    פоݤˤʤʤäȤ
           IF     FLG-UPD        =       1
                  PERFORM   240-UPD-FILE-HENSYU-SEC
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *            PERFORM   900-SEIKYU-READ-SEC
               IF  FLG-KOUKI  =  ZERO
                  PERFORM   900-SEIKYU-READ-SEC
               ELSE
                  PERFORM   950-SEIKYU-READ-SEC
               END-IF
      *---(01.00.07) LINE ADD END   ------------------------------------
           ELSE
                  MOVE      SPACE TO      WRK-RECEERR
                  STRING    "оݳ  ֹ"
                                               DELIMITED  BY  SIZE
                            RECE10-PTNUM       DELIMITED  BY  SPACE
                            " ǯ"      DELIMITED  BY  SIZE
                            RECE10-SRYYM       DELIMITED  BY  SIZE
                            " 쥻̡"      DELIMITED  BY  SIZE
                            RECE10-RECESYUBETU DELIMITED  BY  SIZE
                         INTO                  WRK-RECEERR
                  END-STRING                                
                  PERFORM   500-ERR-HENSYU-SEC
                  MOVE      1         TO        FLG-END
           END-IF
      *
           .
      *
       2001-KOKUHO-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸϷݷʬ׽
      *****************************************************************
       220-HKN-SYUKEI-SEC               SECTION.
      *
      *    
           ADD     1                   TO  SKT1100TMP-KENSU
      *
      *    
           ADD     RECE10-JNISSU(1)    TO  SKT1100TMP-NISSU
      *
      *    
           ADD     RECE10-TOTALTEN(1)  TO  SKT1100TMP-TENSU
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *     IF      SKT1100TMP-KBN1     =   3
      *     IF      SKT1100TMP-KBN1     =   4
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
           IF      SKT1100TMP-KBN1     =   6
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
      *        ʧζ
               MOVE    ZERO            TO  WRK-SEIKYUGK-G
               COMPUTE WRK-SEIKYUGK-G  =
                                       RECE10-TOTALTEN(1)
                                   *   RECE10-KYURATE
               ADD     WRK-SEIKYUGK-G  TO  SKT1100TMP-SEIKYUGK
      *
      *       ݹײû(Ϸ͡࿦ξϲûʤ)
               ADD     RECE10-JNISSU(1)    TO  WRK-KKHNISSU
               ADD     RECE10-TOTALTEN(1)  TO  WRK-KKHTENSU
               ADD     1                   TO  WRK-KKHKENSU
               ADD     WRK-SEIKYUGK-G      TO  WRK-KKHSEIKYUGK
           END-IF
      *           
           IF      FLG-SKT1100TMP  =   1
               WRITE   SKT1100TMP-REC
           ELSE
               REWRITE SKT1100TMP-REC
           END-IF
      *
           MOVE    1               TO  FLG-UPD 
      *
           .
       220-HKN-SYUKEI-EXT.
           EXIT.
      *****************************************************************
      *    ݸϷݷʬ׽
      *****************************************************************
       2201-KOH-SYUKEI-SEC               SECTION.
      *
      *    оݤ̸ȸֹ棱Τ
           PERFORM VARYING IDX3    FROM    1   BY  1
                   UNTIL   IDX3    >       4   OR
                   RECE10-KOHNUM(IDX3)     =   SPACE
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
               MOVE    ZERO                  TO  FLG-2010
      *
      *        Ʒ󵭺ܾ󤬤Ȥ
               IF  WRK-2010-MAX  >  ZERO
                 PERFORM VARYING IDZ1    FROM    1   BY  1
                         UNTIL   IDZ1    >       WRK-2010-MAX
                   IF  RECE10-KOHNUM(IDX3)  =  WRK-2010-KOHNUM(IDZ1)
                     MOVE    1               TO  FLG-2010
                     MOVE    WRK-2010-MAX    TO  IDZ1
                   END-IF
                 END-PERFORM
               END-IF
      *
               IF  FLG-2010  =  ZERO
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤ󤬤Ȥ
                 MOVE  SPACE     TO  WRK-KOHNAME
                 IF  WRK-2007-MAX  >  ZERO
                   PERFORM VARYING IDZ1    FROM    1   BY  1
                           UNTIL   IDZ1    >       WRK-2007-MAX
                     PERFORM VARYING IDZ2  FROM    1   BY  1
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) start
      *                       UNTIL   IDZ2  >       5
                             UNTIL   IDZ2  >       10
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) end
                             OR WRK-2007-KOHNUM(IDZ1 IDZ2)  =  SPACE
                       IF  RECE10-KOHNUM(IDX3)  
                                     =   WRK-2007-KOHNUM(IDZ1 IDZ2)
                         MOVE  WRK-2007-KOHNUM(IDZ1 1)
                                     TO  RECE10-KOHNUM (IDX3)
                         MOVE  WRK-2007-MEISYO (IDZ1)
                                     TO  WRK-KOHNAME
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) start
      *                   MOVE  5             TO  IDZ2
                         MOVE  10            TO  IDZ2
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) end
                         MOVE  WRK-2007-MAX  TO  IDZ1
                       END-IF
                     END-PERFORM
                   END-PERFORM
                 END-IF
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *****2006/02/11 @@@@-BRAND START
      **        IF      RECE10-KOHNUM(IDX3)(1:1)    =   "0"
      **        OR      RECE10-KOHNUM(IDX3)         =   "141"
      *         IF      RECE10-KOHNUM(IDX3)(1:1)    =   "0"
      *         OR      RECE10-KOHNUM(IDX3)         =   "141"
      *         OR      RECE10-KOHNUM(IDX3)         =   "180"
      **---(01.00.04) LINE ADD START ------------------------------------
      *         OR      RECE10-KOHNUM(IDX3)         =   "181"
      *         OR      RECE10-KOHNUM(IDX3)         =   "182"
      *         OR      RECE10-KOHNUM(IDX3)         =   "183"
      *         OR      RECE10-KOHNUM(IDX3)         =   "281"
      **---(01.00.04) LINE ADD END   ------------------------------------
      *****2006/02/11 @@@@-BRAND END
      **---(01.00.09) LINE ADD START ------------------------------------
      *         OR      RECE10-KOHNUM(IDX3)         =   "481"
      *         OR      RECE10-KOHNUM(IDX3)         =   "482"
      *         OR      RECE10-KOHNUM(IDX3)         =   "483"
      *         OR      RECE10-KOHNUM(IDX3)         =   "583"
      **---(01.00.09) LINE ADD END   ------------------------------------
      **=== оֹɲ by Yoshikawa(2008/10/08) start
      *         OR      RECE10-KOHNUM(IDX3)         =   "581"
      **=== оֹɲ by Yoshikawa(2008/10/08) end
      **=== оֹɲ by Uchida(2009/06/17) start
      *         OR      RECE10-KOHNUM(IDX3)         =   "381"
      **=== оֹɲ by Uchida(2009/06/17) end
      **=== оֹɲ by Yoshikawa(2009/08/21) start
      *         OR      RECE10-KOHNUM(IDX3)         =   "352"
      *         OR      RECE10-KOHNUM(IDX3)         =   "353"
      *         OR      RECE10-KOHNUM(IDX3)         =   "354"
      **=== оֹɲ by Yoshikawa(2009/08/21) end
      **=== оֹɲ by Yoshikawa(2009/10/16) start
      *         OR      RECE10-KOHNUM(IDX3)         =   "382"
      **=== оֹɲ by Yoshikawa(2009/10/16) end
                   PERFORM 2202-SYORI-SEC
      *         END-IF
               ELSE
                   MOVE    1                   TO  FLG-UPD
               END-IF     
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
           END-PERFORM
           .
      *
       2201-KOH-SYUKEI-EXT.
           EXIT.
      *****************************************************************
      *    񽸷׽
      *****************************************************************
       2202-SYORI-SEC               SECTION.
      *
      *    TMPå
           INITIALIZE          SKT1100TMP-REC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    4       TO  SKT1100TMP-KBN1
      *     MOVE    5       TO  SKT1100TMP-KBN1
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
      *=== ҳб by Yoshikawa(2011/05/24) start
      *     MOVE    7       TO  SKT1100TMP-KBN1
           MOVE    8       TO  SKT1100TMP-KBN1
      *=== ҳб by Yoshikawa(2011/05/24) end
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
           IF      RECE10-KOHNUM(IDX3) =   "091"
               MOVE    "051"               TO  SKT1100TMP-HKNJANUM
           ELSE
               MOVE    RECE10-KOHNUM(IDX3) TO  SKT1100TMP-HKNJANUM
           END-IF
      *
      *    եɤ߹
           PERFORM 800-SKTTMP-READ-SEC
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ̾
           MOVE    WRK-KOHNAME             TO  SKT1100TMP-KOHNAME
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *    
           ADD     1                           TO   SKT1100TMP-KENSU
      *
      *    
           ADD     RECE10-JNISSU(IDX3 + 1)     TO  SKT1100TMP-NISSU
      *
      *    
           ADD     RECE10-TOTALTEN(IDX3 + 1)   TO SKT1100TMP-TENSU
      *
           MOVE    RECE10-KOHNUM(IDX3)     TO  WRK-KOHNUM
           MOVE    ZERO                    TO  WRK-SEIKYUGK-G
           MOVE    ZERO                    TO  WRK-KEISAN1
                                               WRK-KEISAN2
           PERFORM 950-HKNNUM-SET-SEC
      *
           IF      RECE10-NYUGAIKBN    =   "1"
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SYUNOU-KEY33   TO  WRK-PATH
               MOVE    "key33"         TO  WRK-PATH
      *---(01.00.05) LINE ADD END   ------------------------------------
           ELSE
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SYUNOU-KEY25   TO  WRK-PATH
               MOVE    "key25"         TO  WRK-PATH
      *---(01.00.05) LINE ADD END   ------------------------------------
           END-IF
           PERFORM 920-SYUNOU-SET-SEC
      *
      *=== ʧν by Yoshikawa(2015/05/12) start
      *    ݸٳ
           IF   RECE10-FTNMONEY(1)  >  ZERO
           AND  RECE10-FTNMONEY(1)  <  WRK-KEISAN1
               MOVE    RECE10-FTNMONEY(1)  TO  WRK-KEISAN1
           END-IF
      *=== ʧν by Yoshikawa(2015/05/12) end
      *
           COMPUTE WRK-KEISAN1-G   ROUNDED =   WRK-KEISAN1
           COMPUTE WRK-KEISAN2-G   ROUNDED =   WRK-KEISAN2
           IF      WRK-KEISAN1-G   <=  WRK-KEISAN2-G
               MOVE    ZERO        TO  WRK-SEIKYUGK-G
           ELSE
               COMPUTE WRK-SEIKYUGK-G  =   WRK-KEISAN1-G
                                       -   WRK-KEISAN2-G
           END-IF
      *
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      **---(01.00.04) LINE ADD START ------------------------------------
      **    181,182,183,281ۤ򵭺ܤʤ
      **     ADD     WRK-SEIKYUGK-G      TO  SKT1100TMP-SEIKYUGK
      *     IF   RECE10-KOHNUM(IDX3)  NOT =  "181"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "182"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "183"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "281"
      **---(01.00.09) LINE ADD START ------------------------------------
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "481"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "482"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "483"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "583"
      **---(01.00.09) LINE ADD END   ------------------------------------
      **=== оֹɲ by Yoshikawa(2008/10/08) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "581"
      **=== оֹɲ by Yoshikawa(2008/10/08) end
      **=== оֹɲ by Uchida(2009/06/17) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "381"
      **=== оֹɲ by Uchida(2009/06/17) end
      **=== оֹɲ by Yoshikawa(2009/08/21) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "352"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "353"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "354"
      **=== оֹɲ by Yoshikawa(2009/08/21) end
      **=== оֹɲ by Yoshikawa(2009/10/16) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "382"
      **=== оֹɲ by Yoshikawa(2009/10/16) end
      **=== 782ۤ򵭺ܤʤ by Yoshikawa(2010/02/18) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "782"
      **=== 782ۤ򵭺ܤʤ by Yoshikawa(2010/02/18) end
      **=== 543ۤ򵭺ܤʤ by Yoshikawa(2010/10/27) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "543"
      **=== 543ۤ򵭺ܤʤ by Yoshikawa(2010/10/27) end
      **=== 383ۤ򵭺ܤʤ by Yoshikawa(2011/07/07) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "383"
      **=== 383ۤ򵭺ܤʤ by Yoshikawa(2011/07/07) end
      **=== 372,373ۤ򵭺ܤʤ by Yoshikawa(2011/08/11) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "372"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "373"
      **=== 372,373ۤ򵭺ܤʤ by Yoshikawa(2011/08/11) end
           MOVE    ZERO                TO  FLG-TAISYOGAI
           PERFORM  VARYING  IDXX  FROM  1  BY  1
                    UNTIL    IDXX  >  100
                    OR       KOHI-KOHNUM(IDXX)  =  SPACE
             IF  RECE10-KOHNUM(IDX3)  =  KOHI-KOHNUM(IDXX)
               MOVE    1               TO  FLG-TAISYOGAI
               MOVE    100             TO  IDXX
             END-IF
           END-PERFORM
           IF  FLG-TAISYOGAI  =  ZERO
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
             ADD     WRK-SEIKYUGK-G    TO  SKT1100TMP-SEIKYUGK
           END-IF
      *---(01.00.04) LINE ADD END   ------------------------------------
      *
      *    ײû
           ADD     RECE10-JNISSU(IDX3 + 1)     TO  WRK-KOHNISSU
           ADD     RECE10-TOTALTEN(IDX3 + 1)   TO  WRK-KOHTENSU
           ADD     1                           TO  WRK-KOHKENSU
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) start
      **---(01.00.04) LINE ADD START ------------------------------------
      **    181,182,183,281ۤ򵭺ܤʤ
      **     ADD     WRK-SEIKYUGK-G              TO  WRK-KOHSEIKYUGK
      *     IF   RECE10-KOHNUM(IDX3)  NOT =  "181"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "182"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "183"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "281"
      **---(01.00.09) LINE ADD START ------------------------------------
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "481"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "482"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "483"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "583"
      **---(01.00.09) LINE ADD END   ------------------------------------
      **=== оֹɲ by Yoshikawa(2008/10/08) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "581"
      **=== оֹɲ by Yoshikawa(2008/10/08) end
      **=== оֹɲ by Uchida(2009/06/17) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "381"
      **=== оֹɲ by Uchida(2009/06/17) end
      **=== оֹɲ by Yoshikawa(2009/08/21) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "352"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "353"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "354"
      **=== оֹɲ by Yoshikawa(2009/08/21) end
      **=== оֹɲ by Yoshikawa(2009/10/16) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "382"
      **=== оֹɲ by Yoshikawa(2009/10/16) end
      **=== 782ۤ򵭺ܤʤ by Yoshikawa(2010/02/18) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "782"
      **=== 782ۤ򵭺ܤʤ by Yoshikawa(2010/02/18) end
      **=== 543ۤ򵭺ܤʤ by Yoshikawa(2010/10/27) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "543"
      **=== 543ۤ򵭺ܤʤ by Yoshikawa(2010/10/27) end
      **=== 383ۤ򵭺ܤʤ by Yoshikawa(2011/07/07) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "383"
      **=== 383ۤ򵭺ܤʤ by Yoshikawa(2011/07/07) end
      **=== 372,373ۤ򵭺ܤʤ by Yoshikawa(2011/08/11) start
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "372"
      *     AND  RECE10-KOHNUM(IDX3)  NOT =  "373"
      **=== 372,373ۤ򵭺ܤʤ by Yoshikawa(2011/08/11) end
           IF  FLG-TAISYOGAI  =  ZERO
      *=== оݸINIե뤫 by Yoshikawa(2011/10/11) end
             ADD     WRK-SEIKYUGK-G            TO  WRK-KOHSEIKYUGK
           END-IF
      *---(01.00.04) LINE ADD END   ------------------------------------
      *           
           IF      FLG-SKT1100TMP     =          1
               WRITE   SKT1100TMP-REC
           ELSE
               REWRITE SKT1100TMP-REC
           END-IF
      *
           .
       2202-SYORI-EXT.
           EXIT.
      *****************************************************************
      *    ݹס׽񤭽Ф
      *****************************************************************
       2203-SYORI-SEC               SECTION.
      *
      *    ݹ׽񤭽Ф
      *    KEY
           INITIALIZE                  SKT1100TMP-REC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    3               TO  SKT1100TMP-KBN1
      *     MOVE    4               TO  SKT1100TMP-KBN1
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
           MOVE    6               TO  SKT1100TMP-KBN1
      *---(01.00.07) LINE ADD END   ------------------------------------
           MOVE    1               TO  SKT1100TMP-KBN2
      *
           MOVE    KOKUHO-TAL      TO  SKT1100TMP-DATA
      *
           WRITE SKT1100TMP-REC
      *
      *    ׽񤭽Ф
      *    KEY
           INITIALIZE                  SKT1100TMP-REC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    4               TO  SKT1100TMP-KBN1
      *     MOVE    5               TO  SKT1100TMP-KBN1
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
      *=== ҳб by Yoshikawa(2011/05/24) start
      *     MOVE    7               TO  SKT1100TMP-KBN1
           MOVE    8               TO  SKT1100TMP-KBN1
      *=== ҳб by Yoshikawa(2011/05/24) end
      *---(01.00.07) LINE ADD END   ------------------------------------
           MOVE    1               TO  SKT1100TMP-KBN2
      *
           MOVE    KOUHI-TAL       TO  SKT1100TMP-DATA
      *
           WRITE SKT1100TMP-REC
           .
      *
       2203-SYORI-EXT.
           EXIT.
      *---(01.00.06) LINE ADD START ------------------------------------
      *****************************************************************
      *    
      *****************************************************************
       2004-TOKUBETU-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"      TO  MCP-FUNC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    WRK-PATH2            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           INITIALIZE    FLG-END
           EVALUATE    WRK-PARA-SYOKBN
               WHEN    "2"
                   MOVE    "key39"        TO  WRK-PATH2
               WHEN    "1"
                   MOVE    "key40"        TO  WRK-PATH2
           END-EVALUATE
           PERFORM  900-SEIKYU-SELECT-SEC
      *
           PERFORM  UNTIL  FLG-END = 1
      *
      *TMP-FILE å
               INITIALIZE                  SKT1100TMP-REC
               MOVE    3               TO  SKT1100TMP-KBN1
      *
               PERFORM  800-SKTTMP-READ-SEC
               PERFORM  20041-TOKU-SYUKEI-SEC
      *
               PERFORM  900-SEIKYU-READ-SEC
           END-PERFORM
      *
           .
      *
       2004-TOKUBETU-EXT.
           EXIT.
      *---(01.00.07) LINE ADD START ------------------------------------
      *****************************************************************
      *    (ʬ)
      *****************************************************************
       2004-TOKUBETU-KOU-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"      TO  MCP-FUNC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    WRK-PATH2            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           INITIALIZE    FLG-END
           EVALUATE    WRK-PARA-SYOKBN
               WHEN    "2"
                   MOVE    "key65"        TO  WRK-PATH3
               WHEN    "1"
                   MOVE    "key66"        TO  WRK-PATH3
           END-EVALUATE
           MOVE    "040"    TO        WRK-HKNNUM
           PERFORM  950-SEIKYU-SELECT-SEC
      *
           PERFORM  UNTIL  FLG-END = 1
      *
      *TMP-FILE å
               INITIALIZE                  SKT1100TMP-REC
               MOVE    4               TO  SKT1100TMP-KBN1
      *
               PERFORM  800-SKTTMP-READ-SEC
               PERFORM  20041-TOKU-SYUKEI-SEC
      *
               PERFORM  950-SEIKYU-READ-SEC
           END-PERFORM
      *
           .
      *
       2004-TOKUBETU-KOU-EXT.
           EXIT.
      *****************************************************************
      *    ʬ׽
      *****************************************************************
       220-KOUKI-SYUKEI-SEC               SECTION.
      *
      *    
           ADD     1                   TO  SKT1100TMP-KENSU
      *    
           ADD     RECE10-JNISSU(1)    TO  SKT1100TMP-NISSU
      *    
           ADD     RECE10-TOTALTEN(1)  TO  SKT1100TMP-TENSU
      *
           IF      FLG-SKT1100TMP  =   1
               WRITE   SKT1100TMP-REC
           ELSE
               REWRITE SKT1100TMP-REC
           END-IF
      ****
           MOVE    1               TO  FLG-UPD 
      ****
           .
       220-KOUKI-SYUKEI-EXT.
           EXIT.  
      *---(01.00.07) LINE ADD END   ------------------------------------
      *****************************************************************
      *    
      *****************************************************************
       20041-TOKU-SYUKEI-SEC         SECTION.
      *
      *    
           ADD     1                   TO  SKT1100TMP-KENSU
      *    
           ADD     RECE10-JNISSU(1)    TO  SKT1100TMP-NISSU
      *    
           ADD     RECE10-TOTALTEN(1)  TO  SKT1100TMP-TENSU
      *
           IF      FLG-SKT1100TMP  =   1
               WRITE   SKT1100TMP-REC
           ELSE
               REWRITE SKT1100TMP-REC
           END-IF
      *
           .
       20041-TOKU-SYUKEI-EXT.
           EXIT.   
      *---(01.00.06) LINE ADD END   ------------------------------------
      *****************************************************************
      *    ģ¹ѥեϽ             
      *****************************************************************
       240-UPD-FILE-HENSYU-SEC         SECTION.
      *
      *    פоݤˤʤʤäȤ                
           IF     FLG-UPD   NOT   =       1
                  MOVE      SPACE TO      WRK-RECEERR
                  STRING    "оݳ  ֹ"
                                               DELIMITED  BY  SIZE
                            RECE10-PTNUM       DELIMITED  BY  SPACE
                            " ǯ"      DELIMITED  BY  SIZE
                            RECE10-SRYYM       DELIMITED  BY  SIZE
                            " 쥻̡"      DELIMITED  BY  SIZE
                            RECE10-RECESYUBETU DELIMITED  BY  SIZE
                         INTO                  WRK-RECEERR
                  END-STRING                                
                  PERFORM   500-ERR-HENSYU-SEC
                  MOVE      1         TO        FLG-END
                  GO        TO        240-UPD-FILE-HENSYU-EXT 
           END-IF
      *
           MOVE   RECE10-REC          TO        RECE10X-REC
           WRITE  RECE10X-REC
      *
           ADD    1                   TO        CNT-UPDFILE
      *
           .
      *
       240-UPD-FILE-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼեϽ                    
      *****************************************************************
       2002-PRINT-SEC                   SECTION.
      *
           OPEN    INPUT       SKT1100TMP-FILE
      *
           MOVE    ZERO    TO  FLG-PRINT
           INITIALIZE          SKT1100TMP-KEY
      *
      *    եɤ߹
           PERFORM 900-TMP-READ-SEC
      *
           PERFORM UNTIL   FLG-PRINT   =   1
      *
      *        ĢɼԽ<Ф>
               PERFORM 310-HEAD-HEN-SEC
      *
      *        ĢɼԽ<>
               PERFORM 320-BODY-HEN-SEC
      *
      *        װ
               IF      FLG-PRINT   =   1
                   PERFORM 2002-LAST-SEC
               END-IF
      *
               PERFORM 330-PRINT-OUT-SEC
           END-PERFORM
      *
           .
      *
       2002-PRINT-EXT.
           EXIT.
      *****************************************************************
      *    Խ                    
      *****************************************************************
       2002-LAST-SEC                   SECTION.
      *
      *    ܤεա
           MOVE    SUM-KENSU           TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-GKENSU
      *
      *    ܤεա
           MOVE    SUM-NISSU           TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-GNISSU
      *
      *    ܤεա
           MOVE    SUM-TENSU           TO  WRK-Z9
           MOVE    WRK-Z9              TO  SKT00-GTENSU
      *
      *    ʧ
           MOVE    SUM-SEIKYUGK        TO  WRK-Z10
           MOVE    WRK-Z10             TO  SKT00-GSEIKYUGK
      *
      *    ʿɲ
           COMPUTE WRK-HEIKIN  ROUNDED =   SUM-TENSU   /   SUM-KENSU 
           MOVE    WRK-HEIKIN          TO  WRK-HEIKIN-Z
           MOVE    WRK-HEIKIN-Z        TO  SKT00-HEIKIN
      *
      *    ǯ
           MOVE    LNK-PRTKANRI-SRYYM(5:2) TO  SKT00-LSRYYM
      *
      *    ŵإ
           MOVE    SYS-1001-HOSPCD         TO  SKT00-LHOSPCD
      *
      *    
           MOVE    SUM-SEIKYUGK            TO  WRK-Z92
           MOVE    WRK-Z92                 TO  SKT00-LSEIKYUGK
      * 
      *    
           .
      *
       2002-LAST-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       310-HEAD-HEN-SEC             SECTION.
      *
      *
           INITIALIZE                             SKT1100
      *
      *    ǯ
           MOVE    WRK-SRYYMWH             TO  SKT00-SRYYM
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *    ŵؽ
      *     MOVE    SYS-1002-ADRS           TO  SKT00-HOSPADRS1
      *
      *    ֹ
      *     MOVE    SYS-1002-TEL            TO  SKT00-TEL1
      *    ŵؽ
           MOVE    WRK-HOSPADRS            TO  SKT00-HOSPADRS1
      *=== ŵؾԽ by Yoshikawa(2012/12/21) start
           INSPECT SKT00-HOSPADRS1         REPLACING ALL "  " BY ""
      *=== ŵؾԽ by Yoshikawa(2012/12/21) end
      *
      *    ֹ
           MOVE    WRK-HOSPTEL             TO  SKT00-TEL1
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *    ƣ
           MOVE    SYS-1002-FAX            TO  SKT00-FAX1
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *    ŵ̾
      *     MOVE    SYS-1001-HOSPNAME       TO  SKT00-HOSPNAME1
      *    ŵ̾
           MOVE    WRK-HOSPNAME            TO  SKT00-HOSPNAME1
      *=== ŵؾԽ by Yoshikawa(2012/12/21) start
           INSPECT SKT00-HOSPNAME1         REPLACING ALL "  " BY ""
      *=== ŵؾԽ by Yoshikawa(2012/12/21) end
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *    ߼Ի̾
           MOVE    SYS-1001-KAISETUNAME    TO  SKT00-KAISETUNAME1
      *
      *    ŵCD
           MOVE    SYS-1001-HOSPCDN        TO  SKT00-HOSPCDN
      *
           MOVE    SKT00-HOSP1             TO  SKT00-HOSP2
      *
           .
      *
       310-HEAD-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ<ݸٹ>
      *****************************************************************
       320-BODY-HEN-SEC               SECTION.
      *
      *
           MOVE    ZERO    TO  CNT-LINE
      *
           PERFORM UNTIL   FLG-PRINT   =   1
                   OR      CNT-LINE    =   17
      *
               EVALUATE    SKT1100TMP-KBN1
      *
      *            Ϸݷ
                   WHEN    1
      *---(01.00.07) LINE ADD START ------------------------------------
      *                 PERFORM 3201-BODY-HEN-SEC
                       ADD     1       TO  CNT-LINE
                       PERFORM 3205-BODY-HEN-SEC
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
      *            ࿦԰
                   WHEN    2
                       PERFORM 3202-BODY-HEN-SEC
      *---(01.00.06) LINE ADD START ------------------------------------
      *
      *            
                   WHEN    3
                       ADD     1       TO  CNT-LINE
                       PERFORM 3205-BODY-HEN-SEC
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *            (ʬ)
                   WHEN    4
                       ADD     1       TO  CNT-LINE
                       PERFORM 3205-BODY-HEN-SEC
                   WHEN    5
                       PERFORM 3201-BODY-HEN-SEC
      *---(01.00.07) LINE ADD END   ------------------------------------
      *            ̹
      *---(01.00.06) LINE ADD START ------------------------------------
      *             WHEN    3
      *             WHEN    4
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
                   WHEN    6
      *---(01.00.07) LINE ADD END   ------------------------------------
                       ADD     1       TO  CNT-LINE
                       PERFORM 3203-BODY-HEN-SEC
      *=== ҳб by Yoshikawa(2011/05/24) start
      *            ҳʬ
                   WHEN    7
                       ADD     1       TO  CNT-LINE
                       PERFORM 3206-BODY-HEN-SEC
      *=== ҳб by Yoshikawa(2011/05/24) end
      *
      *            
      *---(01.00.06) LINE ADD START ------------------------------------
      *             WHEN    4
      *             WHEN    5
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.07) LINE ADD START ------------------------------------
      *=== ҳб by Yoshikawa(2011/05/24) start
      *             WHEN    7
                   WHEN    8
      *=== ҳб by Yoshikawa(2011/05/24) end
      *---(01.00.07) LINE ADD END   ------------------------------------
                       ADD     1       TO  CNT-LINE
                       PERFORM 3204-BODY-HEN-SEC
               END-EVALUATE
      *
      *        եɤ߹
               PERFORM 900-TMP-READ-SEC
      *
           END-PERFORM
      *
      *
           .
      *
       320-BODY-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ<Ϸݷ>
      *****************************************************************
       3201-BODY-HEN-SEC              SECTION.
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *    ܤεա
      *     MOVE    SKT1100TMP-KENSU    TO  WRK-Z5
      *     MOVE    WRK-Z5              TO  SKT00-RKENSU
      *
      *    ܤεա
      *     MOVE    SKT1100TMP-NISSU    TO  WRK-Z5
      *     MOVE    WRK-Z5              TO  SKT00-RNISSU
      *
      *    ܤεա
      *     MOVE    SKT1100TMP-TENSU    TO  WRK-Z9
      *     MOVE    WRK-Z9              TO  SKT00-RTENSU
      *
      *    ܤεա
           ADD     SKT1100TMP-KENSU     TO  WRK-KOUKI-5
           MOVE    WRK-KOUKI-5      TO  WRK-Z5
           MOVE    WRK-Z5           TO  SKT00-RKENSU
      *
      *    ܤεա
           ADD     SKT1100TMP-NISSU    TO  WRK-KOUKI-6
           MOVE    WRK-KOUKI-6     TO  WRK-Z5
           MOVE    WRK-Z5          TO  SKT00-RNISSU
      *
      *    ܤεա
           ADD    SKT1100TMP-TENSU     TO  WRK-KOUKI-9
           MOVE   WRK-KOUKI-9          TO  WRK-Z9
           MOVE   WRK-Z9          TO  SKT00-RTENSU
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *    ײû
           ADD     SKT1100TMP-KENSU    TO  SUM-KENSU
      *
           ADD     SKT1100TMP-NISSU    TO  SUM-NISSU
      *
           ADD     SKT1100TMP-TENSU    TO  SUM-TENSU
      *
      *
           .
      *
       3201-BODY-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ<࿦԰>
      *****************************************************************
       3202-BODY-HEN-SEC              SECTION.
      *
      *    ܤεա
           MOVE    SKT1100TMP-KENSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-TKENSU
      *
      *    ܤεա
           MOVE    SKT1100TMP-NISSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-TNISSU
      *
      *    ܤεա
           MOVE    SKT1100TMP-TENSU    TO  WRK-Z9
           MOVE    WRK-Z9              TO  SKT00-TTENSU
      *
      *    ײû
           ADD     SKT1100TMP-KENSU    TO    SUM-KENSU
      *
           ADD     SKT1100TMP-NISSU    TO    SUM-NISSU
      *
           ADD     SKT1100TMP-TENSU    TO    SUM-TENSU
      *
           .
      *
       3202-BODY-HEN-EXT.
           EXIT.
      *---(01.00.06) LINE ADD START ------------------------------------
      *****************************************************************
      *    ĢɼԽ<>
      *****************************************************************
       3205-BODY-HEN-SEC              SECTION.
      *
      *    ܤεա
           MOVE    SKT1100TMP-KENSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-KENSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-NISSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-NISSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-TENSU    TO  WRK-Z9
           MOVE    WRK-Z9              TO  SKT00-TENSU(CNT-LINE)
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *     MOVE    ""        TO  SKT00-NAME(CNT-LINE)
           EVALUATE SKT1100TMP-KBN1
             WHEN  1
              MOVE  "Ϸݷʷ٤ʬ" TO  SKT00-NAME(CNT-LINE)
             WHEN  3
              MOVE  ""           TO  SKT00-NAME(CNT-LINE)
             WHEN  4
              MOVE  "(ʬ)"   TO  SKT00-NAME(CNT-LINE)
           END-EVALUATE
      *---(01.00.07) LINE ADD END   ------------------------------------
      *    ײû
           ADD     SKT1100TMP-KENSU    TO  SUM-KENSU
      *
           ADD     SKT1100TMP-NISSU    TO  SUM-NISSU
      *
           ADD     SKT1100TMP-TENSU    TO  SUM-TENSU
      *
           .
      *
       3205-BODY-HEN-EXT.
           EXIT.
      *---(01.00.06) LINE ADD END   ------------------------------------
      *****************************************************************
      *    ĢɼԽ<̹>
      *****************************************************************
       3203-BODY-HEN-SEC              SECTION.
      *
      *    ܤεա
           MOVE    SKT1100TMP-KENSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-KENSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-NISSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-NISSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-TENSU    TO  WRK-Z9
           MOVE    WRK-Z9              TO  SKT00-TENSU(CNT-LINE)
      *
      *    ʧζ
           MOVE    SKT1100TMP-SEIKYUGK TO  WRK-Z10
           MOVE    WRK-Z10             TO  SKT00-SEIKYUGK(CNT-LINE)
      *
      *    ݷפλû
           IF      SKT1100TMP-KBN2     =   1
      *
               MOVE    "ݷ"        TO  SKT00-NAME(CNT-LINE)
      *
      *        ײû
               ADD     SKT1100TMP-KENSU    TO  SUM-KENSU
      *
               ADD     SKT1100TMP-NISSU    TO  SUM-NISSU
      *
               ADD     SKT1100TMP-TENSU    TO  SUM-TENSU
      *
               ADD     SKT1100TMP-SEIKYUGK TO  SUM-SEIKYUGK
           ELSE
      *
      *        ݸ̾
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) start
             IF  SKT1100TMP-HKNJANAME  NOT =  SPACE
               MOVE    SKT1100TMP-HKNJANAME
                                           TO  SKT00-NAME(CNT-LINE)
             ELSE
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) start
               INITIALIZE  HKNJAINF-REC
               MOVE    SKT1100TMP-HKNJANUM TO  HKNJA-HKNJANUM
               PERFORM 900-HKNJAINF-INV-SEC
               IF      HKNJA-HKNJANAME =   SPACE
                   MOVE    HKNJA-HKNJANUM  TO  WRK-MAE-INPUT
                   PERFORM 2009-HENKAN-SEC
                   MOVE    WRK-OUT-INPUT   TO  SKT00-NAME(CNT-LINE)
               ELSE
                   MOVE    HKNJA-HKNJANAME TO  SKT00-NAME(CNT-LINE)
               END-IF
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) start
             END-IF
      *=== ƻܸȤ˽ by Yoshikawa(2012/04/17) end
      *
      *        ճ
               IF      SKT1100TMP-KYURATE  NOT =   ZERO
                   MOVE    SKT1100TMP-KYURATE  TO  WRK-Z2
                   MOVE    WRK-Z2              TO  HEN-KYURATE
                   MOVE    HEN-KYURATE-AREA    TO  SKT00-WARI(CNT-LINE)
               END-IF
           END-IF
      *
           .
      *
       3203-BODY-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ<>
      *****************************************************************
       3204-BODY-HEN-SEC              SECTION.
      ****2006/02/11 @@@@-BRAND START
      *
      *    פλû
           IF      SKT1100TMP-KBN2     =   1
      *
               MOVE    ""        TO  SKT00-NAME(CNT-LINE)
      *
      *        ײû
               COMPUTE  SKT1100TMP-SEIKYUGK = 
                        SKT1100TMP-SEIKYUGK - WRK-RJ
               ADD     SKT1100TMP-SEIKYUGK
                                       TO  SUM-SEIKYUGK
           ELSE
      *
      *        ̾
               INITIALIZE  HKNNUM-REC
               MOVE    SKT1100TMP-HKNJANUM  TO  WRK-KOHNUM
               PERFORM 950-HKNNUM-SET-SEC
               IF  SKT1100TMP-HKNJANUM  =  "180"
                 MOVE    "ϷͰ"         TO  SKT00-NAME(CNT-LINE)(5:)
               ELSE
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *           MOVE    HKN-TANSEIDONAME   TO  SKT00-NAME(CNT-LINE)(5:)
                 IF  SKT1100TMP-KOHNAME  NOT =  SPACE
                   MOVE  SKT1100TMP-KOHNAME TO  SKT00-NAME(CNT-LINE)(5:)
                 ELSE
                   MOVE  HKN-TANSEIDONAME   TO  SKT00-NAME(CNT-LINE)(5:)
                 END-IF
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
               END-IF
      *
      *        ˡֹ
               MOVE    HKN-HBTNUM          TO  WRK-MAE-INPUT
               PERFORM 2009-HENKAN-SEC
               MOVE    WRK-OUT-INPUT(1:4)  TO  SKT00-NAME(CNT-LINE)(1:4)
           END-IF
      ****2006/02/11 @@@@-BRAND END
      *
      *    ܤεա
           MOVE    SKT1100TMP-KENSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-KENSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-NISSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-NISSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-TENSU    TO  WRK-Z9
           MOVE    WRK-Z9              TO  SKT00-TENSU(CNT-LINE)
      *
      *    ʧζ
      ****2006/02/11 @@@@-BRAND START
      *  Ϸͤξ硢ʧζۡˤϲʤ
      *  (פΡʧζۡˤϷͤʬϴޤʤ)
           IF  HKN-HBTNUM  = "80"
             MOVE  SKT1100TMP-SEIKYUGK TO  WRK-RJ
             MOVE  ZERO                TO  SKT1100TMP-SEIKYUGK
           END-IF
      ****2006/02/11 @@@@-BRAND END
      ****2006/04/12 @@@@-BRAND START
      *     MOVE    SKT1100TMP-SEIKYUGK TO  WRK-Z10
      *     MOVE    WRK-Z10             TO  SKT00-SEIKYUGK(CNT-LINE)
           IF SKT1100TMP-KENSU = 0
             INITIALIZE SKT00-SEIKYUGK(CNT-LINE)
           ELSE
             MOVE    SKT1100TMP-SEIKYUGK TO  WRK-Z10
             MOVE    WRK-Z10             TO  SKT00-SEIKYUGK(CNT-LINE)
           END-IF
      ****2006/04/12 @@@@-BRAND END
      *
      ****2006/02/11 @@@@-BRAND START
      *    פλû
      *    IF      SKT1100TMP-KBN2     =   1
      *
      *        MOVE    ""        TO  SKT00-NAME(CNT-LINE)
      *
      *        ײû
      *        ADD     SKT1100TMP-SEIKYUGK
      *                                TO  SUM-SEIKYUGK
      *    ELSE
      *
      *        ̾
      *        INITIALIZE  HKNNUM-REC
      *        MOVE    SKT1100TMP-HKNJANUM TO  WRK-KOHNUM
      *        PERFORM 950-HKNNUM-SET-SEC
      *        MOVE    HKN-TANSEIDONAME    TO  SKT00-NAME(CNT-LINE)(5:)
      *
      *        ˡֹ
      *        MOVE    HKN-HBTNUM          TO  WRK-MAE-INPUT
      *        PERFORM 2009-HENKAN-SEC
      *        MOVE    WRK-OUT-INPUT(1:4)  TO  SKT00-NAME(CNT-LINE)(1:4)
      *    END-IF
           MOVE  ZERO                      TO  HKN-HBTNUM
      ****2006/02/11 @@@@-BRAND END
      *
           .
      *
       3204-BODY-HEN-EXT.
           EXIT.
      *=== ҳб by Yoshikawa(2011/05/24) start
      *****************************************************************
      *    ĢɼԽ<ҳʬ>
      *****************************************************************
       3206-BODY-HEN-SEC              SECTION.
      *
      *    ܤεա
           MOVE    SKT1100TMP-KENSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-KENSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-NISSU    TO  WRK-Z5
           MOVE    WRK-Z5              TO  SKT00-NISSU(CNT-LINE)
      *
      *    ܤεա
           MOVE    SKT1100TMP-TENSU    TO  WRK-Z9
           MOVE    WRK-Z9              TO  SKT00-TENSU(CNT-LINE)
      *
      *    ̾å
           PERFORM  32061-KENNAME-SET-SEC
           STRING  WRK-KENNAME         DELIMITED BY SPACE
                   "ʬ"        DELIMITED BY SIZE
           INTO    SKT00-NAME(CNT-LINE)
           END-STRING
      *
      *    ײû
           ADD     SKT1100TMP-KENSU    TO  SUM-KENSU
      *
           ADD     SKT1100TMP-NISSU    TO  SUM-NISSU
      *
           ADD     SKT1100TMP-TENSU    TO  SUM-TENSU
      *
           .
      *
       3206-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ̾å
      *****************************************************************
       32061-KENNAME-SET-SEC                SECTION.
      *
           EVALUATE  SKT1100TMP-HKNJANUM(1:2)
             WHEN  "01"  MOVE  "̳ƻ"    TO  WRK-KENNAME
             WHEN  "02"  MOVE  "Ŀ"    TO  WRK-KENNAME
             WHEN  "03"  MOVE  "긩"    TO  WRK-KENNAME
             WHEN  "04"  MOVE  "ܾ븩"    TO  WRK-KENNAME
             WHEN  "05"  MOVE  "ĸ"    TO  WRK-KENNAME
             WHEN  "06"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "07"  MOVE  "ʡ縩"    TO  WRK-KENNAME
             WHEN  "08"  MOVE  "븩"    TO  WRK-KENNAME
             WHEN  "09"  MOVE  "ڸ"    TO  WRK-KENNAME
             WHEN  "10"  MOVE  "ϸ"    TO  WRK-KENNAME
             WHEN  "11"  MOVE  "̸"    TO  WRK-KENNAME
             WHEN  "12"  MOVE  "ո"    TO  WRK-KENNAME
             WHEN  "13"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "14"  MOVE  ""  TO  WRK-KENNAME
             WHEN  "15"  MOVE  "㸩"    TO  WRK-KENNAME
             WHEN  "16"  MOVE  "ٻ"    TO  WRK-KENNAME
             WHEN  "17"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "18"  MOVE  "ʡ温"    TO  WRK-KENNAME
             WHEN  "19"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "20"  MOVE  "Ĺ"    TO  WRK-KENNAME
             WHEN  "21"  MOVE  "츩"    TO  WRK-KENNAME
             WHEN  "22"  MOVE  "Ų"    TO  WRK-KENNAME
             WHEN  "23"  MOVE  "θ"    TO  WRK-KENNAME
             WHEN  "24"  MOVE  "Ÿ"    TO  WRK-KENNAME
             WHEN  "25"  MOVE  "츩"    TO  WRK-KENNAME
             WHEN  "26"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "27"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "28"  MOVE  "ʼ˸"    TO  WRK-KENNAME
             WHEN  "29"  MOVE  "ɸ"    TO  WRK-KENNAME
             WHEN  "30"  MOVE  "²λ"  TO  WRK-KENNAME
             WHEN  "31"  MOVE  "Ļ踩"    TO  WRK-KENNAME
             WHEN  "32"  MOVE  "纬"    TO  WRK-KENNAME
             WHEN  "33"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "34"  MOVE  "縩"    TO  WRK-KENNAME
             WHEN  "35"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "36"  MOVE  "縩"    TO  WRK-KENNAME
             WHEN  "37"  MOVE  ""    TO  WRK-KENNAME
             WHEN  "38"  MOVE  "ɲ"    TO  WRK-KENNAME
             WHEN  "39"  MOVE  "θ"    TO  WRK-KENNAME
             WHEN  "40"  MOVE  "ʡ"    TO  WRK-KENNAME
             WHEN  "41"  MOVE  "츩"    TO  WRK-KENNAME
             WHEN  "42"  MOVE  "Ĺ긩"    TO  WRK-KENNAME
             WHEN  "43"  MOVE  "ܸ"    TO  WRK-KENNAME
             WHEN  "44"  MOVE  "ʬ"    TO  WRK-KENNAME
             WHEN  "45"  MOVE  "ܺ긩"    TO  WRK-KENNAME
             WHEN  "46"  MOVE  "縩"  TO  WRK-KENNAME
             WHEN  "47"  MOVE  "츩"    TO  WRK-KENNAME
           END-EVALUATE
      *
           .
       32061-KENNAME-SET-EXT.
           EXIT.
      *=== ҳб by Yoshikawa(2011/05/24) end
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       330-PRINT-OUT-SEC                   SECTION.
      * 
           ADD  1  TO  CNT-PAGE
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SKT1100.red"        TO  SPRT-PRTID
      *=== ưΥȥ뽤 by Yoshikawa(2014/07/02) start
      *     MOVE    "ɽ"            TO  SPRT-TITLE
           EVALUATE  WRK-PARA-SYOKBN
             WHEN  "1"
               MOVE    "ɽ"    TO  SPRT-TITLE
             WHEN  "2"
               MOVE    "ɽʬ"
                                       TO  SPRT-TITLE
           END-EVALUATE
      *=== ưΥȥ뽤 by Yoshikawa(2014/07/02) end
           MOVE    SKT1100             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           DISPLAY  "ORCSPRT call"
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
      *---(01.00.05) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "Ģɼģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
      *
           .
      *
       330-PRINT-OUT-EXT.
           EXIT.
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CONTINUE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
      *
      *        ֽλ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
      *---(01.00.05) LINE ADD START ------------------------------------
               MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
      *---(01.00.05) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           END-IF
      *
           CLOSE   RECEERR-FILE
      *
           .
      *
       500-ERR-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *   ģ¹                       
      *****************************************************************
       3001-SEIKYU-UPDATE-SEC              SECTION.
      *
           OPEN     INPUT           UPD-FILE
      *
           PERFORM  900-UPD-FILE-READ-SEC
      *
           PERFORM  UNTIL   FLG-UPDFILE     =     1
              MOVE  RECE10X-KEY     TO    RECE10-KEY
              MOVE  RECE10-REC      TO    MCPDATA-REC
      *   
              PERFORM   900-SEIKYU-INV-SEC
              IF        FLG-SEIKYU  =     ZERO
                        MOVE     "2"    TO     RECE10-SKYKBN
                        MOVE     LNK-PRTKANRI-SRYYM
                                        TO     RECE10-SKYYM
                        MOVE     LNK-PRTKANRI-SKYYMD
                                        TO     RECE10-UPDYMD
                        MOVE     RECE10-REC
                                        TO     MCPDATA-REC
                        MOVE     "DBUPDATE"
                                        TO     MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *                  MOVE    PATH-TBL-SEIKYU-KEY
      *                                  TO  MCP-PATH
      *                  CALL    "MCPSUB"          USING
      *                                           MCPAREA
      *                                           MCPDATA-REC
                        MOVE    "tbl_seikyu"    TO  MCP-TABLE
                        MOVE    "key"           TO  MCP-PATHNAME
                        CALL    "ORCDBMAIN"     USING
                                                MCPAREA
                                                MCPDATA-REC
                                                SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
                        IF       MCP-RC =      ZERO
                                 PERFORM       900-UPD-FILE-READ-SEC
                        ELSE
                                 DISPLAY "UPD ERR KEY="  RECE10-KEY 
                                 MOVE    
                                "*** SOKATU1100 SEIKYU UPDATE ERROR ***"
                                           TO  WRK-RECEERR
                                 MOVE    RECE10-KEY     TO
                                         WRK-RECEERR(33:)
                                 PERFORM 500-ERR-HENSYU-SEC
                                 MOVE    1      TO      FLG-UPDFILE
                        END-IF
      *
              ELSE
                       DISPLAY "INV ERR KEY="  RECE10-KEY 
                       MOVE    "*** SOKATU1100 SEIKYU INVALID ***"
                                           TO  WRK-RECEERR
                       MOVE    RECE10-KEY     TO  WRK-RECEERR(33:)
                       PERFORM 500-ERR-HENSYU-SEC
                       MOVE    1      TO      FLG-UPDFILE
              END-IF
           END-PERFORM
      *
           CLOSE   UPD-FILE
      *
           .
      *
       3001-SEIKYU-UPDATE-EXT.
           EXIT.
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  "  "
      *
           .
      *
       31012-SEIWA-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-SEIKYU-SELECT-SEC             SECTION.
      *
      *    ģ¸
           INITIALIZE         RECE10-REC.
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    SYS-1001-HOSPID         TO  RECE10-HOSPID.
           MOVE    SPA-HOSPNUM             TO  RECE10-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    LNK-PRTKANRI-SRYYM      TO  RECE10-SKYYM.
      *
           MOVE    SPACE                   TO  RECE10-XXSTHKNJANUM
           MOVE    "99999999"              TO  RECE10-XXEDHKNJANUM
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *=== open-cobol1.0б by Yoshikawa(2010/11/25) start
      *     MOVE    "000000"                TO  RECE10-SRYYM
      *     MOVE    "999999"                TO  RECE10-XXSRYYM
           MOVE    000000                  TO  RECE10-SRYYM
           MOVE    999999                  TO  RECE10-XXSRYYM
      *=== open-cobol1.0б by Yoshikawa(2010/11/25) end
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    RECE10-REC              TO  MCPDATA-REC.
           MOVE    "DBSELECT"              TO  MCP-FUNC.
      *---(01.00.05) LINE ADD START ------------------------------------
      ***** 05/08/17 UPD
      **     MOVE    PATH-TBL-SEIKYU-KEY4    TO  MCP-PATH
      *     MOVE    WRK-PATH2               TO  MCP-PATH
      *****
      *     CALL    "MCPSUB"                USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"        TO  MCP-TABLE
           MOVE    WRK-PATH2           TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           IF     MCP-RC        =       ZERO
                  PERFORM  900-SEIKYU-READ-SEC
           ELSE
                  MOVE    1    TO      FLG-END
           END-IF
      *
           .
      *
       900-SEIKYU-SELECT-EXT.
           EXIT.
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-READ-SEC           SECTION.
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      ***** 05/08/17 UPD
      **     MOVE    PATH-TBL-SEIKYU-KEY4    TO  MCP-PATH
      *     MOVE    WRK-PATH2               TO  MCP-PATH
      *****
      *     MOVE    "DBFETCH"                  TO  MCP-FUNC
      *     CALL    "MCPSUB"                    USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
           MOVE    "tbl_seikyu"            TO  MCP-TABLE
           MOVE    WRK-PATH2               TO  MCP-PATHNAME
           MOVE    "DBFETCH"               TO  MCP-FUNC
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           IF       MCP-RC  =     ZERO
               MOVE    MCPDATA-REC   TO      RECE10-REC
      *    ǡоݳ
               IF  RECE10-NYUGAIKBN  NOT = "2"
                   GO    TO    900-SEIKYU-READ-SEC
               END-IF
      *
      *=== 饤б by Yoshikawa(2010/08/03) start
      *        ʬǥ饤ɤФ
               IF      (WRK-PARA-SYOKBN         =  "2")
               AND     (RECE10-HENREI-SIJI-FLG  =  1)
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *=== 饤б by Yoshikawa(2010/08/03) end
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    RECE10-HOSPID       TO  PTINF-HOSPID
               MOVE    SPA-HOSPNUM         TO  PTINF-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF      FLG-PTINF           =   ZERO
               AND     PTINF-TSTPTNUMKBN   =   "1"
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF   
      *
      *    ѤƤ봵Ԥоݳˤ
      *    (ϷͰݸʬޤ᤹)
               PERFORM  900-KOHSKY-READ-SEC
      **** 2006/02/11 @@@@-BRAND START
      *        IF  RECE02-KOHNUM(1)  =  "141"
      *         OR RECE02-KOHNUM(2)  =  "141"
      *         OR RECE02-KOHNUM(3)  =  "141"
      *         OR RECE02-KOHNUM(4)  =  "141"
               IF  RECE02-KOHNUM(1)  =  "141"
                OR RECE02-KOHNUM(2)  =  "141"
                OR RECE02-KOHNUM(3)  =  "141"
                OR RECE02-KOHNUM(4)  =  "141"
                OR RECE02-KOHNUM(1)  =  "180"
                OR RECE02-KOHNUM(2)  =  "180"
                OR RECE02-KOHNUM(3)  =  "180"
                OR RECE02-KOHNUM(4)  =  "180"
      **** 2006/02/11 @@@@-BRAND END
                   DISPLAY "use=" RECE02-PTNUM
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
               DISPLAY "ok"
      *
               ADD     1             TO      CNT-RECE10   
           ELSE
               DISPLAY "NG"
               MOVE    1             TO      FLG-END
           END-IF
      *
           .
      *
       900-SEIKYU-READ-EXT.
           EXIT.
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"                 TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                  TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
      *         CALL    "MCPSUB"             USING
      *                                      MCPAREA
      *                                      MCPDATA-REC
               MOVE    "tbl_ptinf"     TO  MCP-TABLE
               MOVE    "key"           TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"     USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹ
      *****************************************************************
       900-SYSKANRI-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"                   TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_syskanri"           TO  MCP-TABLE
           MOVE    "key10"                  TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"              USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                    TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
      *         CALL    "MCPSUB"             USING
      *                                      MCPAREA
      *                                      MCPDATA-REC
               MOVE    "tbl_syskanri"       TO  MCP-TABLE
               MOVE    "key10"              TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SYSKANRI
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"              TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_syskanri"       TO  MCP-TABLE
           MOVE    "key10"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
      *
       900-SYSKANRI-INV-EXT.
           EXIT.
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-INV-SEC             SECTION.
      *
           MOVE    "DBSELECT"                   TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SEIKYU-KEY          TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SEIKYU-KEY      TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "tbl_seikyu"         TO  MCP-TABLE
               MOVE    "key"                TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SEIKYU
                   MOVE    MCPDATA-REC         TO  RECE10-REC
               ELSE
                   MOVE    1                   TO  FLG-SEIKYU
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SEIKYU
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SEIKYU-KEY TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
      *
       900-SEIKYU-INV-EXT.
           EXIT.
      *****************************************************************
      *    ģ¹ѥեɹ
      *****************************************************************
       900-UPD-FILE-READ-SEC             SECTION.
      *
           READ    UPD-FILE
               AT  END
                   MOVE    1           TO  FLG-UPDFILE
               NOT AT  END
                   MOVE    ZERO        TO  FLG-UPDFILE
           END-READ
      *
           .
      *
       900-UPD-FILE-READ-EXT.
           EXIT.
      *****************************************************************
      *    ݸԥޥɹ
      *****************************************************************
       900-HKNJAINF-INV-SEC         SECTION.
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    SYS-1001-HOSPID         TO  HKNJA-HOSPID
           MOVE  SPA-HOSPNUM               TO  HKNJA-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    HKNJAINF-REC            TO  MCPDATA-REC
           MOVE    "DBSELECT"              TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
           MOVE    "tbl_hknjainf"       TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"               TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
               MOVE    "tbl_hknjainf"       TO  MCP-TABLE
               MOVE    "key"                TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-HKNJAINF
                   MOVE    MCPDATA-REC         TO  HKNJAINF-REC
               ELSE
                   MOVE    1                   TO  FLG-HKNJAINF
               END-IF
           ELSE
               MOVE    1                   TO  FLG-HKNJAINF
           END-IF
      *
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
           MOVE    "tbl_hknjainf"       TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
      *
       900-HKNJAINF-INV-EXT.
           EXIT.
      *---(01.00.07) LINE ADD START ------------------------------------
      *****************************************************************
      *    ɹʸ
      *****************************************************************
       950-SEIKYU-SELECT-SEC             SECTION.
      *
      *    ģ¸
           INITIALIZE         RECE10-REC.
           MOVE   SPA-HOSPNUM             TO  RECE10-HOSPNUM
           MOVE   LNK-PRTKANRI-SRYYM      TO  RECE10-SKYYM
           MOVE   WRK-CONS-SRYYM-200804   TO  RECE10-SRYYM
           MOVE   999999                  TO  RECE10-XXSRYYM
           MOVE   WRK-HKNNUM                   TO  RECE10-HKNNUM-S
                                              RECE10-HKNNUM
      *
      *---(01.00.10) LINE ADD START ------------------------------------
      *     IF    WRK-PARA-HKNJANUM  NOT = ZERO
      *         MOVE    WRK-PARA-HKNJANUM  TO  RECE10-XXSTHKNJANUM
      *                                        RECE10-XXEDHKNJANUM
      *     ELSE
      *---(01.00.10) LINE ADD END   ------------------------------------
               MOVE    SPACE              TO  RECE10-XXSTHKNJANUM
               MOVE    "99999999"         TO  RECE10-XXEDHKNJANUM
      *---(01.00.10) LINE ADD START ------------------------------------
      *     END-IF
      *---(01.00.10) LINE ADD END   ------------------------------------
      *
           MOVE    RECE10-REC              TO  MCPDATA-REC
           MOVE    "DBSELECT"              TO  MCP-FUNC
           MOVE    "tbl_seikyu"            TO  MCP-TABLE
           MOVE    WRK-PATH3               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
           IF      MCP-RC              =   ZERO
               PERFORM 950-SEIKYU-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
               DISPLAY "SELECT ERR"
           END-IF
           .
      *
       950-SEIKYU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹʸ
      *****************************************************************
       950-SEIKYU-READ-SEC           SECTION.
      *
           MOVE    "tbl_seikyu"        TO  MCP-TABLE
           MOVE    WRK-PATH3           TO  MCP-PATHNAME
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC         TO  RECE10-REC
               IF  RECE10-NYUGAIKBN  NOT = "2"
                   GO    TO    950-SEIKYU-READ-SEC
               END-IF
      *
      *=== 饤б by Yoshikawa(2010/08/03) start
      *        ʬǥ饤ɤФ
               IF      (WRK-PARA-SYOKBN         =  "2")
               AND     (RECE10-HENREI-SIJI-FLG  =  1)
                   GO  TO  950-SEIKYU-READ-SEC
               END-IF
      *=== 饤б by Yoshikawa(2010/08/03) end
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
               MOVE    SPA-HOSPNUM         TO  PTINF-HOSPNUM
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF      FLG-PTINF           =   ZERO
               AND     PTINF-TSTPTNUMKBN   =   "1"
                   GO  TO  950-SEIKYU-READ-SEC
               END-IF   
      *         
               ADD     1                   TO  CNT-RECE10   
           ELSE
               MOVE    1               TO  FLG-END
           END-IF
           .
      *
       950-SEIKYU-READ-EXT.
           EXIT.
      *****************************************************************
      *    
      *****************************************************************
       900-SEIKYU-CLOSE-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"      TO  MCP-FUNC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    WRK-PATH2            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           .
       900-SEIKYU-CLOSE-EXT.
           EXIT.
      *****************************************************************
      *    
      *****************************************************************
       950-SEIKYU-CLOSE-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"      TO  MCP-FUNC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    WRK-PATH3            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           .
       900-SEIKYU-CLOSE-EXT.
           EXIT.
      *---(01.00.07) LINE ADD END   ------------------------------------
      *****************************************************************
      *    ʧ׽
      *****************************************************************
       800-SEIKYU-SEC  SECTION.
      *
           PERFORM  VARYING  IDX  FROM  1  BY  1
                    UNTIL    IDX  >    4 OR
                    SYU-KOH-HKNNUM(IDX)  =  SPACE
             IF    SYU-KOH-HKNNUM(IDX)  =  WRK-KOHNUM
      *
      *    ݸֹޥΥ쥻ץȣñɽʬξϣñ
      *    âޥ꤬ñ̤Ǥôξϣñ
      *    (ݸ˸ٳ̵ۤͭǣñ)
      *
               IF     IDX  =    1
                 IF  RECE10-FTNMONEY(1) > ZERO
                   ADD  SYU-SYUCOMPFTN            TO  WRK-KEISAN1
                   ADD  SYU-KOH-COMPFTN(IDX)      TO  WRK-KEISAN2
                 ELSE
                   IF  (HKN-RECEFTNDSPKBN     =  "1"   AND
                        SYU-KOH-COMPFTN(IDX)  >  ZERO)
                     ADD  SYU-KOH-COMPFTN(IDX)    TO  WRK-KEISAN2
                   ELSE
                     ADD  SYU-KOH-COMPFTN-ENTANI(IDX)
                                                  TO  WRK-KEISAN2
                   END-IF
                   ADD    SYU-SYUCOMPFTN-ENTANI   TO  WRK-KEISAN1
                 END-IF
               ELSE
                 IF  RECE10-FTNMONEY(1) > ZERO
                   ADD  SYU-KOH-COMPFTN(IDX - 1)  TO  WRK-KEISAN1
                   ADD  SYU-KOH-COMPFTN(IDX)      TO  WRK-KEISAN2
                 ELSE
                   IF  (HKN-RECEFTNDSPKBN     =  "1"   AND
                        SYU-KOH-COMPFTN(IDX)  >  ZERO)
                     ADD  SYU-KOH-COMPFTN(IDX)    TO  WRK-KEISAN2
                   ELSE
                     ADD  SYU-KOH-COMPFTN-ENTANI(IDX)
                                                  TO  WRK-KEISAN2
                   END-IF
                   ADD    SYU-KOH-COMPFTN-ENTANI(IDX - 1)
                                                  TO  WRK-KEISAN1
                 END-IF
               END-IF
             END-IF
           END-PERFORM
           .
       800-SEIKYU-SEC-EXT.
           EXIT.
      *
      *****************************************************************
      *  Ǽ󥻥å
      *****************************************************************
       920-SYUNOU-SET-SEC  SECTION.
      *
             INITIALIZE  SYUNOU-REC
      *---(01.00.05) LINE ADD START ------------------------------------
      *       MOVE  RECE10-HOSPID      TO  SYU-HOSPID
             MOVE  SPA-HOSPNUM        TO  SYU-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
             MOVE  RECE10-NYUGAIKBN   TO  SYU-NYUGAIKBN
             MOVE  RECE10-PTID        TO  SYU-PTID
             MOVE  RECE10-SRYYM(1:6)  TO  SYU-SRYYMD(1:6)
             MOVE  "__"               TO  SYU-SRYYMD(7:2)
             MOVE  WRK-KOHNUM         TO  SYU-KOH-HKNNUM(1)
                                          SYU-KOH-HKNNUM(2)
                                          SYU-KOH-HKNNUM(3)
                                          SYU-KOH-HKNNUM(4)

             MOVE  SYUNOU-REC         TO  MCPDATA-REC
             MOVE  "DBSELECT"         TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *       MOVE  WRK-PATH           TO  MCP-PATH
      *       CALL  "MCPSUB"            USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           MOVE    "tbl_syunou"       TO  MCP-TABLE
           MOVE    WRK-PATH           TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"        USING
                                      MCPAREA
                                      MCPDATA-REC
                                      SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
             IF  MCP-RC  =  ZERO
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    WRK-PATH        TO  MCP-PATH
               MOVE    "tbl_syunou"       TO  MCP-TABLE
               MOVE    WRK-PATH           TO  MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
               PERFORM  925-SYUNOU-READ-SEC
      *
               PERFORM  UNTIL  FLG-SYUNOU  =  1
      *
                 IF  SYU-DENPJTIKBN   NOT = "3"
                     PERFORM  800-SEIKYU-SEC
                 END-IF
      *
      *---(01.00.05) LINE ADD START ------------------------------------
      *           MOVE  WRK-PATH         TO  MCP-PATH
                 MOVE    "tbl_syunou"       TO  MCP-TABLE
                 MOVE    WRK-PATH           TO  MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
                 PERFORM   925-SYUNOU-READ-SEC
               END-PERFORM
             ELSE
               DISPLAY  "SYUNOU SELECT ERR"
             END-IF
      *
             INITIALIZE  MCPAREA
             MOVE  "DBCLOSECURSOR"      TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *       MOVE  WRK-PATH             TO  MCP-PATH
      *       CALL  "MCPSUB"            USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           MOVE    "tbl_syunou"       TO  MCP-TABLE
           MOVE    WRK-PATH           TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"        USING
                                      MCPAREA
                                      MCPDATA-REC
                                      SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
       920-SYUNOU-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ǽɹ
      *****************************************************************
       925-SYUNOU-READ-SEC  SECTION.
      *
           MOVE  "DBFETCH"         TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     CALL  "MCPSUB"              USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           CALL    "ORCDBMAIN"        USING
                                      MCPAREA
                                      MCPDATA-REC
                                      SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  SYUNOU-REC
             MOVE  ZERO         TO  FLG-SYUNOU
           ELSE
             INITIALIZE  SYUNOU-REC
             MOVE  1  TO  FLG-SYUNOU
           END-IF
      *
           .
       925-SYUNOU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *   ݸ󥻥å
      *****************************************************************
       950-HKNNUM-SET-SEC  SECTION.
      *
           INITIALIZE  HKNNUM-REC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    WRK-PARA-HOSPID          TO  HKN-HOSPID
           MOVE    SPA-HOSPNUM              TO  HKN-HOSPNUM
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    WRK-KOHNUM               TO  HKN-HKNNUM
           MOVE    LNK-PRTKANRI-SRYYM(1:6)  TO  HKN-TEKSTYMD(1:6)
                                                HKN-TEKEDYMD(1:6)
           MOVE    "01"                     TO  HKN-TEKSTYMD(7:2)
                                                HKN-TEKEDYMD(7:2)
           MOVE    HKNNUM-REC               TO  MCPDATA-REC
           MOVE    "DBSELECT"               TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNNUM-KEY5     TO  MCP-PATH
      *     CALL    "MCPSUB"                 USING
      *                                          MCPAREA
      *                                          MCPDATA-REC
           MOVE    "tbl_hknnum"         TO  MCP-TABLE
           MOVE    "key5"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-HKNNUM-KEY5    TO  MCP-PATH
               MOVE    "tbl_hknnum"         TO  MCP-TABLE
               MOVE    "key5"               TO  MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
               PERFORM  945-HKNNUM-READ-SEC
      *
           ELSE
               DISPLAY  "HKNNUM SELECT ERR"
           END-IF
      *
           INITIALIZE  MCPAREA
           MOVE    "DBCLOSECURSOR"             TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNNUM-KEY5        TO  MCP-PATH
      *     CALL    "MCPSUB"                    USING
      *                                             MCPAREA
      *                                             MCPDATA-REC
           MOVE    "tbl_hknnum"         TO  MCP-TABLE
           MOVE    "key5"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
       950-HKNNUM-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹɹ
      *****************************************************************
       945-HKNNUM-READ-SEC  SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  HKNNUM-REC
             MOVE  ZERO         TO  FLG-HKNNUM
      *
             IF    HKN-HKNNUM  =  "051"
               INITIALIZE                HKN-TANSEIDONAME
               MOVE    ""   TO   HKN-TANSEIDONAME
             END-IF
           ELSE
             INITIALIZE  HKNNUM-REC
             MOVE  1            TO  FLG-HKNNUM
           END-IF
      *
           .
       945-HKNNUM-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץեɹ
      *****************************************************************
       800-SKTTMP-READ-SEC             SECTION.
      *
           READ    SKT1100TMP-FILE
               INVALID    KEY
                   MOVE    1           TO  FLG-SKT1100TMP
               NOT INVALID  KEY
                   MOVE    ZERO        TO  FLG-SKT1100TMP
           END-READ
           .
       800-SKTTMP-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP-READ-SEC                SECTION.
      *
           READ  SKT1100TMP-FILE   NEXT
               AT  END
                   MOVE  1  TO  FLG-PRINT
                                FLG-END
                   DISPLAY "END"
           END-READ
           .
       900-TMP-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ɤ߹
      *****************************************************************
       900-KOHSKY-READ-SEC         SECTION.
      *
           INITIALIZE                  RECE02-REC
           MOVE    RECE10-KEY              TO  RECE02-KEY
           MOVE    RECE02-REC              TO  MCPDATA-REC
           MOVE    "DBSELECT"              TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-KOHSKY-KEY     TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_kohsky"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-KOHSKY-KEY TO  MCP-PATH
      *         CALL    "MCPSUB"                USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "tbl_kohsky"         TO  MCP-TABLE
               MOVE    "key"                TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-RECE02
                   MOVE    MCPDATA-REC         TO  RECE02-REC
               ELSE
                   MOVE    1                   TO  FLG-RECE02
                   INITIALIZE                  RECE02-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-RECE02
               INITIALIZE                  RECE02-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
      *---(01.00.05) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-KOHSKY-KEY     TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_kohsky"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
       900-KOHSKY-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ѵ
      *****************************************************************
       2009-HENKAN-SEC                 SECTION.
      *
           INITIALIZE                  WRK-OUT-INPUT
      *
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "2"                 TO  KANACHK-SYORI
           MOVE    WRK-MAE-INPUT       TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           IF      KANACHK-RC          =   ZERO
               MOVE    KANACHK-OUT-INPUT
                                           TO  WRK-OUT-INPUT
           ELSE
               MOVE    WRK-MAE-INPUT       TO  WRK-OUT-INPUT
           END-IF
      *
           .
       2009-HENKAN-EXT.
           EXIT.
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *****************************************************************
      *    ơ֥륢
      *****************************************************************
       900-ORCDBMAIN-SEC               SECTION.
      *
           CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
           .
      *
       900-ORCDBMAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹʣΣţأԡ
      *****************************************************************
       900-SYSKANRI-READ-N-SEC         SECTION.
      *
           PERFORM 900-DBFETCH-SEC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO                TO  FLG-SYSKANRI
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
           .
       900-SYSKANRI-READ-N-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ£ƣţԣãȽ
      *****************************************************************
       900-DBFETCH-SEC                SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           .
       900-DBFETCH-EXT.
           EXIT.
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *---(01.00.05) LINE ADD START ------------------------------------
      *****************************************************************
      *    ŵԽɤ߹
      *****************************************************************
       900-1900-READ-SEC           SECTION.
      *
      *    ŵԽɤ߹
           MOVE    SPACE                   TO  SYS-1900-REC
           INITIALIZE                          SYS-1900-REC
           MOVE    "1900"                  TO  SYS-1900-KANRICD
           MOVE    "*"                     TO  SYS-1900-KBNCD
           MOVE    SPA-HOSPNUM             TO  SYS-1900-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-STYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-EDYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-EDYUKYMD(7:2)
           MOVE    SYS-1900-REC            TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1900-REC
               IF      SYS-1900-PRTKBN(8) NOT =   SPACE
      *            ŵ̾Խ
                   PERFORM 900-1901-READ-SEC
      *            ŵؽԽ
                   PERFORM 900-1902-READ-SEC
               END-IF
           ELSE
               INITIALIZE                  SYS-1900-REC
           END-IF
           .
      *
       900-1900-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵ̾Խɤ߹
      *****************************************************************
       900-1901-READ-SEC           SECTION.
      *
      *    ŵ̾Խɤ߹
           MOVE    SPACE               TO  SYS-1901-REC
           INITIALIZE                      SYS-1901-REC
           MOVE    "1901"              TO  SYS-1901-KANRICD
           MOVE    SYS-1900-PRTKBN(8)  TO  SYS-1901-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1901-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-EDYUKYMD(7:2)
           MOVE    SYS-1901-REC        TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1901-REC
               MOVE    SYS-1901-HOSPNAME1  TO  WRK-HOSPNAME1
               MOVE    SYS-1901-HOSPNAME2  TO  WRK-HOSPNAME2
           ELSE
               INITIALIZE                  SYS-1901-REC
           END-IF
           .
      *
       900-1901-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؽԽɤ߹
      *****************************************************************
       900-1902-READ-SEC           SECTION.
      *
      *    ŵؽԽɤ߹
           MOVE    SPACE               TO  SYS-1902-REC
           INITIALIZE                      SYS-1902-REC
           MOVE    "1902"              TO  SYS-1902-KANRICD
           MOVE    SYS-1900-PRTKBN(8)  TO  SYS-1902-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1902-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-EDYUKYMD(7:2)
           MOVE    SYS-1902-REC        TO  MCPDATA-REC
           PERFORM 900-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1902-REC
               MOVE    SYS-1902-ADRS1  TO  WRK-HOSPADRS1
               MOVE    SYS-1902-ADRS2  TO  WRK-HOSPADRS2
               MOVE    SYS-1902-TEL    TO  WRK-HOSPTEL
           ELSE
               INITIALIZE                  SYS-1902-REC
           END-IF
           .
      *
       900-1902-READ-EXT.
           EXIT.
      *---(01.00.05) LINE ADD END   ------------------------------------
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *****************************************************************
      *    ץ४ץɹ
      *****************************************************************
       900-PRGOPTION-READ-SEC  SECTION.
      *
           INITIALIZE                      PRGOPTION-REC
           MOVE    SPA-HOSPNUM         TO  PRGOPTION-HOSPNUM
           MOVE    WRK-PRGID           TO  PRGOPTION-PRGID
           MOVE    WRK-KBNCD           TO  PRGOPTION-KBNCD
           MOVE    PRGOPTION-REC       TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_prgoption"     TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_prgoption"     TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC         TO  PRGOPTION-REC
                   MOVE    ZERO                TO  FLG-PRGOPTION
               ELSE
                   INITIALIZE                      PRGOPTION-REC
                   MOVE    1                   TO  FLG-PRGOPTION
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PRGOPTION
           END-IF
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    "tbl_prgoption"     TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *
           .
       900-PRGOPTION-READ-EXT.
           EXIT.
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *****************************************************************
      *    ģ  ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    "DBOPEN"            TO  MCP-FUNC.
      *---(01.00.05) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    "DBSTART"           TO  MCP-FUNC.
      *---(01.00.05) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
           .
      *
       100-DBOPEN-EXT.
           EXIT.
      *****************************************************************
      *    ģ  
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
      *---(01.00.05) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
      *
      *---(01.00.05) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.05) LINE ADD END   ------------------------------------
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
      *---(01.00.05) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                 MCPAREA
      *                                 MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.05) LINE ADD END   ------------------------------------
           .
       900-DBDISCONNECT-EXT.
           EXIT.
