      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU1160.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ݡɽѽ׽
      *                      б
      *              : 
      *      ȼ        
      *  05/06/09    ͭ¼          ƺ(2.5.0 ORCBM022ή)
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev               
      *  01.00.01    NACL-ƣ  02/11/07  ݸνפɲ 
      *  01.00.02    NACL-ƣ  02/11/26  ȹβ
      *                                   פɲ 
      *  01.00.03    NACL-ƣ  02/12/09  ȹԤνפ
      *                                   
      *  01.00.04    NACL-ƣ  02/12/09  б
      *
      *  б
      *  01.01.01    NACL-ƣ  03/04/10  ΤоݤȤ
      *  01.01.02    NACL-ƣ  03/07/10  ͭꡦ̵νפ
      *                                   ƱԽ
      *  01.01.03    NACL-ƣ  03/10/30  ϷͺƷǤɲ
      *  01.01.04    NACL-ƣ  04/12/10  ΰôε
      *ʬб  
      *  01.02.01    NACL-ƣ  05/02/25  ʬб
      *  01.02.03    NACL-ƣ  05/03/22  ΰôԽˡ
      *                                   ѹ 
      *****************************************************************
      *  01.02.04    ͭ¼       05/06/09  ORCMCPSUBMCPSUBѹ
      *                                   ˡѹ
      *  01.02.05    έ       06/04/19  ORCA2.7open-cobol0.23ؤб
      *  01.02.06           06/10/31  Ϸͤνפν
      *  01.02.07           07/09/23  쥻ver4.0б
      *                                   ƥޥ1901פ
      *                                   ŵؾ򻲾
      *  01.02.08           08/04/30  ȼ
      *  01.02.09           08/05/29  Ģɼͼѹȼ
      *  01.02.10           08/10/08  SPA-AREA
      *  01.02.11           08/10/24  ʿ20ǯ10б
      *                                   ɡ2007׸ޤȤб
      *  01.02.12           08/12/15  ʿ20ǯ3η٤ʬ
      *                                   ͼĢɼʬ褦˽
      *  01.02.13           09/11/18  ɡ2007פΤޤȤ
      *                                   6ܰʹߤޤȤޤʤԶ
      *  01.02.14           10/02/10  ̾Τϥɡ2007פ
      *                                   ɽ̾ΣפѤ
      *  01.02.15           10/08/03  饤б
      *  01.02.16           11/04/01  ʿβϿбоݼ̽ס
      *  01.02.17           11/05/24  ̤ʬΤ̽פȤ褦˽
      *  01.02.18           11/12/06  б
      *  01.02.19           12/11/14  ʿǯʹߤ
      *                                   ޤȤƽפ褦˽
      *  01.02.20           14/05/16  ԣб
      *  01.02.21           14/10/08  ver4.8.0бʰǥ쥯ȥѹ
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    ģ¹ѥե
           SELECT  UPD-FILE        ASSIGN  RECEUPD
                                   ORGANIZATION    IS  LINE
                                                       SEQUENTIAL 
                                   FILE    STATUS  IS  STS-RECEUPD.
      *
      *    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    ģ¹ѥե
       FD  UPD-FILE.
           COPY    "CPRCF010.INC"  REPLACING  //RECE10//
                                   BY         //RECE10X//.
      *
      *    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
       WORKING-STORAGE             SECTION.
      *
      *    ģ¹ѥե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEUPD//.
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *    顼ե ̾ΰ 
      *---(01.02.07) LINE ADD START ------------------------------------
      *     COPY    "CPCOMMONDAT2.INC"
      *                             REPLACING  //RECE01PARA//
      *                             BY         //RECEERR//.
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     COPY    "CPERRFL.INC"    REPLACING  //ERRFLPARA//
      *                              BY         //RECEERR//.
           COPY    "CPRECEERR.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *    ΰ
       01  STS-AREA.
           03  STS-RECEERR         PIC X(02).
           03  STS-RECEUPD         PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-SEIKYU          PIC 9(01).
           03  FLG-UPD             PIC 9(01).
           03  FLG-UPDFILE         PIC 9(01). 
           03  FLG-ERR             PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-RECE10          PIC 9(01).
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
           03  FLG-SYSKANRI        PIC 9(01).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      *    źΰ
       01  IDX-AREA.
           03  IDW                 PIC 9(04).
           03  IDX                 PIC 9(04).
           03  IDY                 PIC 9(04).
           03  IDZ                 PIC 9(04).
      *     
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX3                PIC 9(04).
      *     
           03  IDY1                PIC 9(04).
           03  IDY2                PIC 9(04).
           03  IDY3                PIC 9(04).
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
           03  IDZ1                PIC 9(04).
           03  IDZ2                PIC 9(04).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      ***** 05/06/09 INS
       01  WRK-TUIKA-AREA.
           03  IDX-NYUGAI          PIC 9(01).
      *****
      *
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
      *---(01.02.07) LINE ADD START ------------------------------------
      *     03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-HOSPNUM    PIC 9(02).
      *---(01.02.07) LINE ADD END   ------------------------------------
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-NYUGAIKBN  PIC X(01).
           03  WRK-PARA-SYOKBN     PIC X(01).
      *=== ҳб by Yoshikawa(2011/04/01) start
           03  WRK-PARA-GENMENKBN  PIC X(01).
      *=== ҳб by Yoshikawa(2011/04/01) end
      *          
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
           03  WRK-MEISYO          PIC X(44).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-NYUGAIKBN       PIC X(01).
      *    1:200303 2:200304
           03  WRK-PRTFLG          PIC 9(01).
      *
           03  WRK-RECEERR         PIC X(200). 
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *     03  WRK-PATH.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
           03  WRK-PATH            PIC X(50).
      *---(01.02.07) LINE ADD END   ------------------------------------
      *---(01.02.09) LINE ADD START ------------------------------------
           03  WRK-SRYYM-FLG       PIC 9(01).
      *---(01.02.09) LINE ADD END   ------------------------------------
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
           03  WRK-MCP-TABLE       PIC X(64).
           03  WRK-MCP-PATHNAME    PIC X(64).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
           03  WRK-INDEX           PIC 9(02).
           03  WRK-FTNMONEY        PIC 9(10).
           03  WRK-SYOKBN          PIC X(01).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-RECE10          PIC 9(06).
           03  CNT-UPDFILE         PIC 9(06).
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *    ֹޤȤΰ
       01  WRK-2007-AREA.
           03  WRK-2007-TBL        OCCURS  100.
               05  WRK-2007-MEISYO PIC X(44).
               05  WRK-2007-KOH-AREA.
                   07  WRK-2007-KOHNUM
                                   PIC X(03)   OCCURS  10.
           03  WRK-2007-MAX        PIC 9(03).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      *    ΰ
       01  SUM-AREA.
      *    1:¾Υ쥻2:Ǥꤷ쥻 
           03  SUM-TBL-OCC         OCCURS  2.
      *        ݸ1,2:ʾ 3:ܿ 4:² 5: 
               05  SUM-TABLE           OCCURS  5. 
                   07  SUM-TBL             OCCURS  12.
                       09  SUM-KENSU          PIC  9(06).
                       09  SUM-NISSU          PIC  9(06).
                       09  SUM-TOTALTEN       PIC  9(10).
                       09  SUM-FTNMONEY       PIC  9(10).
                       09  SUM-YKZFTN         PIC  9(10).
                       09  SUM-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-SHOKUJINISSU   PIC  9(06).
                       09  SUM-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-SHOKUJIFTN     PIC  9(10).
      *        Ϸݷ
               05  SUM-ROU-TABLE           OCCURS  2. 
                   07  SUM-ROU-TBL             OCCURS  3.
                       09  SUM-ROU-KENSU          PIC  9(06).
                       09  SUM-ROU-NISSU          PIC  9(06).
                       09  SUM-ROU-TOTALTEN       PIC  9(10).
                       09  SUM-ROU-FTNMONEY       PIC  9(10).
                       09  SUM-ROU-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-ROU-SHOKUJINISSU   PIC  9(06).
                       09  SUM-ROU-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-ROU-SHOKUJIFTN     PIC  9(10).
               05  SUM-ROU-GOKEI.
                   07  SUM-ROU-GOK-NISSU          PIC  9(06).
                   07  SUM-ROU-GOK-TOTALTEN       PIC  9(10).
                   07  SUM-ROU-GOK-FTNMONEY       PIC  9(10).
                   07  SUM-ROU-GOK-SHOKUJINISSU   PIC  9(06).
                   07  SUM-ROU-GOK-SHOKUJIRYOYOHI PIC  9(10).
                   07  SUM-ROU-GOK-SHOKUJIFTN     PIC  9(10).
      *        ô 
               05  SUM-KOH-TABLE           OCCURS  3. 
                   07  SUM-KOH-TBL         OCCURS  100.
                       09  SUM-KOH-KOHNUM         PIC  X(03).
                       09  SUM-KOH-KENSU          PIC  9(06).
                       09  SUM-KOH-TOTALTEN       PIC  9(10).
                       09  SUM-KOH-FTNMONEY       PIC  9(10).
                       09  SUM-KOH-YKZFTN         PIC  9(10).
                       09  SUM-KOH-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-KOH-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-KOH-SHOKUJIFTN     PIC  9(10).
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
                       09  SUM-KOH-MEISYO         PIC  X(44).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *        ϷݷʺƷǡ      
               05  SUM-ROU-KOH-TABLE           OCCURS  10. 
                   07  SUM-ROU-KOH-TBL.
                       09  SUM-ROU-KOH-KENSU          PIC  9(06).
                       09  SUM-ROU-KOH-NISSU          PIC  9(06).
                       09  SUM-ROU-KOH-ITBFTN         PIC  9(08).
                       09  SUM-ROU-KOH-FTNMONEY       PIC  9(09).
                       09  SUM-ROU-KOH-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-ROU-KOH-SHOKUJINISSU   PIC  9(06).
                       09  SUM-ROU-KOH-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-ROU-KOH-SHOKUJIFTN     PIC  9(10).
      *                 
               05  SUM-GOK-TBL         OCCURS  4.
                   07  SUM-GOK-KENSU      PIC 9(06).    
                   07  SUM-GOK-SHOKENSU   PIC 9(06).
      *
      *    
       01  WRK-CONS-AREA.
      *
      *    ǯ
           03  WRK-CONS-SRYYM-200210   PIC X(06)   VALUE   "200210".
      *    ǯ
           03  WRK-CONS-SRYYM-200304   PIC X(06)   VALUE   "200304".
      *---(01.02.08) LINE ADD START ------------------------------------
           03  WRK-CONS-SRYYM-200804   PIC X(06)   VALUE   "200804".
      *---(01.02.08) LINE ADD END   ------------------------------------
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
           03  WRK-CONS-SRYYM-200810   PIC X(06)   VALUE   "200810".
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           03  WRK-CONS-SRYYM-201204   PIC X(06)   VALUE   "201204".
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
      *     
      *---(01.02.07) LINE ADD START ------------------------------------
      *     COPY    "ORCA-DBPATH".         
           COPY    "COMMON-SPA".
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
      *    
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
           COPY    "CPRCF010.INC".
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ޤȤ
           COPY    "CPSK2007.INC".
      *
           COPY    "CPSK2009.INC".
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
      *    ģ¸
           COPY    "MCPDATA.INC".
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ե̾Խ
           COPY    "CPORCSGETTEMP.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE              FLG-AREA
           INITIALIZE              STS-AREA
           INITIALIZE              WRK-AREA
           INITIALIZE              CNT-AREA
           INITIALIZE              SUM-AREA
           INITIALIZE              WRK-PARA
           INITIALIZE              WRK-TUIKA-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) start
           INITIALIZE              SPA-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) end
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           INITIALIZE              RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
           PERFORM 100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID    
                                               LNK-PRTKANRI-PRTNM    
      *---(01.02.07) LINE ADD START ------------------------------------
      *                                         WRK-PARA-HOSPID
                                               WRK-PARA-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
      ***** 05/06/09 DEL
      *                                         WRK-PARA-NYUGAIKBN
      *****
                                               WRK-PARA-SYOKBN
      *=== ҳб by Yoshikawa(2011/04/01) start
                                               WRK-PARA-GENMENKBN
      *=== ҳб by Yoshikawa(2011/04/01) end
      *---(01.02.07) LINE ADD START ------------------------------------
                                               RECEERR
      *---(01.02.07) LINE ADD END   ------------------------------------
           END-UNSTRING
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *    ƥå״Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "ORCBM022"      TO  JOB-PGID
      *=== ֥åѹ by Yoshikawa(2012/11/14) start
      *=== ҳб by Yoshikawa(2011/04/01) start
      **     MOVE    "ɽʲǡ"
      **                             TO  JOB-SHELLMSG
      *     EVALUATE  WRK-PARA-GENMENKBN
      *       WHEN  "1" 
      *         MOVE    "ɽʲǡ"
      *                             TO  JOB-SHELLMSG
      *       WHEN  "2"
      *         MOVE    "̤ʬɽʲǡ"
      *                             TO  JOB-SHELLMSG
      *     END-EVALUATE
      **=== ҳб by Yoshikawa(2011/04/01) end
           MOVE    "ɽʲǡ"
                                   TO  JOB-SHELLMSG
      *=== ֥åѹ by Yoshikawa(2012/11/14) end
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC
      *---(01.02.07) LINE ADD START ------------------------------------
                                   SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ֥ץե̾Խ
           INITIALIZE                      SGETTEMP-AREA
      *=== ver4.8б by Yoshikawa(2014/10/08) end
           MOVE    "RECEUPD"           TO  RECEUPD-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEUPD-TERMID
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  RECEUPD-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           MOVE  RECEUPD-BASENAME        TO  SGETTEMP-BASENAMES (1)
           MOVE  RECEERR                 TO  SGETTEMP-BASENAMES (2)
           CALL  "ORCSGETTEMP"           USING
                                         SGETTEMP-AREA
           MOVE  SGETTEMP-FULLNAMES (1)  TO  RECEUPD-FULLNAME
           MOVE  SGETTEMP-FULLNAMES (2)  TO  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    "RECEERR"           TO  RECEERR-FILE-ID
      *     MOVE    LNK-PRTKANRI-TERMID TO  RECEERR-TERMID
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *    ƥޥ
           PERFORM 110-SYSKANRI-GET-SEC
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
           .
       100-INIT-EXT.
           EXIT.
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *****************************************************************
      *    ƥޥ
      *****************************************************************
       110-SYSKANRI-GET-SEC            SECTION.
      *
      *    ֹޤȤ
           INITIALIZE                      WRK-2007-AREA
      *
           INITIALIZE                      SYS-2007-REC
           MOVE    "2007"              TO  SYS-2007-KANRICD
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-2007-STYUKYMD (1:6)
           MOVE    "01"                TO  SYS-2007-STYUKYMD (7:2)
           MOVE    SYS-2007-STYUKYMD   TO  SYS-2007-EDYUKYMD
           MOVE    WRK-PARA-HOSPNUM    TO  SYS-2007-HOSPNUM
           MOVE    SYS-2007-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBSELECT"          TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_syskanri"  TO  WRK-MCP-TABLE
               MOVE    "key2"          TO  WRK-MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    ZERO            TO  IDX
           PERFORM         UNTIL   FLG-SYSKANRI   =   1
                           OR      IDX            >=  100
               MOVE    MCPDATA-REC         TO  SYS-2007-REC
      *
               ADD     1                   TO  IDX
      *=== ɽ̾Σ by Yoshikawa(2010/02/10) start
      *         MOVE    SYS-2007-MEISYO (1) TO  WRK-2007-MEISYO   (IDX)
               IF      SYS-2007-MEISYO (2) =   SPACE
                   MOVE    SYS-2007-MEISYO (1) TO  WRK-2007-MEISYO (IDX)
               ELSE
                   MOVE    SYS-2007-MEISYO (2) TO  WRK-2007-MEISYO (IDX)
               END-IF
      *=== ɽ̾Σ by Yoshikawa(2010/02/10) end
               PERFORM VARYING IDY FROM    1   BY  1
                       UNTIL   IDY >       10
                       OR      SYS-2007-KOHNUM (IDY)   =   SPACE
                   MOVE    SYS-2007-KOHNUM (IDY)
                                           TO WRK-2007-KOHNUM (IDX IDY)
               END-PERFORM
      *
               MOVE    "tbl_syskanri"  TO  WRK-MCP-TABLE
               MOVE    "key2"          TO  WRK-MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           END-PERFORM
      *
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           PERFORM 900-CLOSE-SEC
      *
           MOVE    IDX             TO  WRK-2007-MAX    
           .
       110-SYSKANRI-GET-EXT.
           EXIT.
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
           OPEN    OUTPUT              UPD-FILE
      *
           EVALUATE    WRK-PARA-SYOKBN
               WHEN    ZERO
               WHEN    "2"
                   MOVE    "2"         TO  WRK-SYOKBN
                   PERFORM 2001-SYOKBN-SYUKEI-SEC
           END-EVALUATE
           EVALUATE    WRK-PARA-SYOKBN
               WHEN    ZERO
               WHEN    "1"
                   MOVE    "1"         TO  WRK-SYOKBN
                   PERFORM 2001-SYOKBN-SYUKEI-SEC
           END-EVALUATE
      *
           CLOSE   UPD-FILE
      *
          IF      FLG-UPD        =   1
          AND     FLG-ERR        =   ZERO 
              IF      CNT-UPDFILE    >   ZERO
                  PERFORM 310-SEIKYU-UPD-SEC
              END-IF    
           END-IF
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       2001-SYOKBN-SYUKEI-SEC         SECTION.
      *
      *    ʬ
      *
      ***** 05/06/09 DEL
      *     MOVE    "2"                 TO  WRK-NYUGAIKBN
      **   
      *     PERFORM VARYING WRK-PRTFLG  FROM    1   BY  1
      *             UNTIL   WRK-PRTFLG  >       2
      **
      *         IF      WRK-PRTFLG          =   2
      *         AND      LNK-PRTKANRI-SRYYM <   WRK-CONS-SRYYM-200304
      *             CONTINUE
      *         ELSE    
      *             PERFORM 2001-GAIRAI-SYUKEI-SEC
      **
      *             IF      CNT-RECE10          >   ZERO 
      *                 IF      WRK-PARA-NYUGAIKBN  =   "1"
      *                     IF      WRK-PRTFLG      =   1    
      *                         CALL    "ORCBM024"      USING 
      *                                                 SUM-AREA
      *                                                 WRK-PARA
      *                                                 WRK-NYUGAIKBN
      *                                                 WRK-SYOKBN
      *                     ELSE
      *                         CALL    "ORCBM028"      USING 
      *                                                 SUM-AREA
      *                                                 WRK-PARA
      *                                                 WRK-NYUGAIKBN
      *                                                 WRK-SYOKBN
      *                     END-IF
      *                 ELSE
      *                     IF      WRK-PRTFLG      =   1    
      *                         CALL    "ORCBM023"      USING 
      *                                                 SUM-AREA
      *                                                 WRK-PARA
      *                                                 WRK-SYOKBN
      *                     ELSE    
      *                         CALL    "ORCBM027"      USING 
      *                                                 SUM-AREA
      *                                                 WRK-PARA
      *                                                 WRK-SYOKBN
      *                     END-IF
      *                 END-IF
      *             END-IF    
      *         END-IF
      *     END-PERFORM    
      *
      **    ʬ
      **
      *     MOVE    "1"                 TO  WRK-NYUGAIKBN
      **
      *     IF      WRK-PARA-NYUGAIKBN  =   "1"
      *     AND     FLG-ERR             =   ZERO
      *         PERFORM VARYING WRK-PRTFLG  FROM    1   BY  1
      *                 UNTIL   WRK-PRTFLG  >       2
      **
      *             IF      WRK-PRTFLG          =   2
      *             AND      LNK-PRTKANRI-SRYYM <   WRK-CONS-SRYYM-200304
      *                 CONTINUE
      *             ELSE    
      *                 PERFORM 2001-NYUIN-SYUKEI-SEC
      **
      *                 IF      CNT-RECE10          >   ZERO 
      *                     IF      WRK-PRTFLG      =   1    
      *                         CALL    "ORCBM024"      USING 
      *                                                 SUM-AREA
      *                                                 WRK-PARA
      *                                                 WRK-NYUGAIKBN
      *                                                 WRK-SYOKBN
      *                     ELSE
      *                         CALL    "ORCBM028"      USING 
      *                                                 SUM-AREA
      *                                                 WRK-PARA
      *                                                 WRK-NYUGAIKBN
      *                                                 WRK-SYOKBN
      *                     END-IF
      *                 END-IF
      *             END-IF    
      *         END-PERFORM
      *     END-IF
      ***
      ***** 05/06/09 INS
      ****2006/04/19 @@@@-BRAND START
      *     MOVE  2              TO     WRK-NYUGAIKBN
           MOVE  "2"              TO     WRK-NYUGAIKBN
      ****2006/04/19 @@@@-BRAND END
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
      *     MOVE   2              TO     WRK-PRTFLG
           PERFORM  VARYING  WRK-PRTFLG  FROM  1  BY  1
                    UNTIL    WRK-PRTFLG  >     2
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
           PERFORM 2001-GAIRAI-SYUKEI-SEC
           IF      CNT-RECE10          >   ZERO 
                   CALL    "SOKATU1161"        USING 
                                               SUM-AREA
                                               WRK-PARA
                                               WRK-SYOKBN
      *---(01.02.09) LINE ADD START ------------------------------------
                                               WRK-SRYYM-FLG
      *---(01.02.09) LINE ADD END   ------------------------------------
           END-IF    
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
           END-PERFORM
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
      *****
      *
           .
       2001-SYOKBN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ʬ׽
      *****************************************************************
       2001-GAIRAI-SYUKEI-SEC         SECTION.
      *
           INITIALIZE                      SUM-AREA
           MOVE    ZERO                TO  CNT-RECE10
      *
      *    ¾Υ쥻
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           IF  LNK-PRTKANRI-SRYYM  >=  WRK-CONS-SRYYM-201204
             EVALUATE    WRK-SYOKBN
               WHEN    "1"
                   MOVE    "key32"        TO  WRK-PATH
               WHEN    "2"
                   MOVE    "key31"        TO  WRK-PATH
             END-EVALUATE
           ELSE
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
             EVALUATE    WRK-SYOKBN
               WHEN    "1"
      *---(01.02.07) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY28    TO  WRK-PATH
                   MOVE    "key28"        TO  WRK-PATH
      *---(01.02.07) LINE ADD END   ------------------------------------
               WHEN    "2"
      *---(01.02.07) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY27    TO  WRK-PATH
                   MOVE    "key27"        TO  WRK-PATH
      *---(01.02.07) LINE ADD END   ------------------------------------
             END-EVALUATE  
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           END-IF
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
           PERFORM 900-SEIKYU-SELECT-SEC
      *
           MOVE    1                   TO  WRK-INDEX
           PERFORM 2001-SYUKEI-SEC     UNTIL   FLG-RECE10   =   1 
                                       OR      FLG-ERR      =   1
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    WRK-PATH            TO  MCP-PATH
      *     MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           MOVE    "tbl_seikyu"    TO  MCP-TABLE
           MOVE    WRK-PATH        TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"     USING
                                   MCPAREA
                                   MCPDATA-REC
                                   SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           IF  LNK-PRTKANRI-SRYYM  >=  WRK-CONS-SRYYM-201204
             CONTINUE
           ELSE
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
             IF      FLG-ERR             =   ZERO
      *        ǤޤϺ߰ꤷ쥻
               EVALUATE    WRK-SYOKBN
                   WHEN    "1"
      *---(01.02.07) LINE ADD START ------------------------------------
      *                 MOVE    PATH-TBL-SEIKYU-KEY30   TO  WRK-PATH
                       MOVE    "key30"        TO  WRK-PATH
      *---(01.02.07) LINE ADD END   ------------------------------------
                   WHEN    "2"
      *---(01.02.07) LINE ADD START ------------------------------------
      *                 MOVE    PATH-TBL-SEIKYU-KEY29   TO  WRK-PATH
                       MOVE    "key29"        TO  WRK-PATH
      *---(01.02.07) LINE ADD END   ------------------------------------
               END-EVALUATE  
               PERFORM 900-SEIKYU-SELECT-SEC
      *
               MOVE    2                   TO  WRK-INDEX
               PERFORM 2001-SYUKEI-SEC     UNTIL   FLG-RECE10   =   1 
                                           OR      FLG-ERR      =   1
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *         MOVE    WRK-PATH            TO  MCP-PATH
      *         MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *         CALL    "MCPSUB"            USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
               MOVE    "tbl_seikyu"    TO  MCP-TABLE
               MOVE    WRK-PATH        TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"     USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
             END-IF
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           END-IF
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
      *
           .
       2001-GAIRAI-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ʬ׽
      *****************************************************************
       2001-NYUIN-SYUKEI-SEC         SECTION.
      *
           INITIALIZE                      SUM-AREA
           MOVE    ZERO                TO  CNT-RECE10
      *
           EVALUATE    WRK-SYOKBN
               WHEN    "1"
      *---(01.02.07) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY32       TO  WRK-PATH
                   MOVE    "key32"        TO  WRK-PATH
      *---(01.02.07) LINE ADD END   ------------------------------------
               WHEN    "2"
      *---(01.02.07) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY31       TO  WRK-PATH
                   MOVE    "key31"        TO  WRK-PATH
      *---(01.02.07) LINE ADD END   ------------------------------------
           END-EVALUATE  
           PERFORM 900-SEIKYU-SELECT-SEC
      *
           MOVE    1                   TO  WRK-INDEX
           PERFORM 2001-SYUKEI-SEC     UNTIL   FLG-RECE10   =   1 
                                       OR      FLG-ERR      =   1
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    WRK-PATH            TO  MCP-PATH
      *     MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           MOVE    "tbl_seikyu"    TO  MCP-TABLE
           MOVE    WRK-PATH        TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"     USING
                                   MCPAREA
                                   MCPDATA-REC
                                   SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           .
       2001-NYUIN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       2001-SYUKEI-SEC                SECTION.
      *
      *
           MOVE    ZERO                TO  IDX-AREA
                                           FLG-UPD
      *
           MOVE    WRK-INDEX           TO  IDY3 
      *
      *    Ϸݷ
           IF      RECE10-RJNHKNNUM    NOT =   SPACE
               EVALUATE    RECE10-KYURATE
                   WHEN    9
                       MOVE    1                   TO  IDY1
                   WHEN    8
      *---(01.02.06) LINE ADD START ------------------------------------
                   WHEN    7
      *---(01.02.06) LINE ADD END   ------------------------------------
                       MOVE    2                   TO  IDY1
               END-EVALUATE        
               IF      RECE10-KOHNUM (1)   NOT =   SPACE
                   MOVE    1                   TO  IDY2 
               ELSE
                   MOVE    2                   TO  IDY2
               END-IF
               PERFORM 210-ROU-SYUKEI-SEC
           END-IF
      *     
      *    ݸ
           IF    ( RECE10-RJNHKNNUM        =   SPACE )
           AND   ( RECE10-HKNNUM       NOT =   SPACE )
      *      
      *        ݸʬ԰ʳλ
         
               IF    ( RECE10-HKNNUM           =   "002"               )
               AND   ( RECE10-HOJOKBN          =   "1" OR  "2" OR  "3"
                                                       OR  SPACE       )
                   IF      RECE10-AGE              <   3
                       MOVE    5                       TO  IDY1
                   ELSE                    
      *---(01.02.08) LINE ADD START ------------------------------------
                       IF  (RECE10-SRYYM  >=  WRK-CONS-SRYYM-200804)
                       AND  (RECE10-FLG (1)   =  1)
                         MOVE    5                       TO  IDY1
                       ELSE
      *---(01.02.08) LINE ADD END   ------------------------------------
                         IF      RECE10-HONKZKKBN        =   "1"
                            MOVE    3                       TO  IDY1
                         ELSE     
                            MOVE    4                       TO  IDY1
                         END-IF
      *---(01.02.08) LINE ADD START ------------------------------------
                       END-IF
      *---(01.02.08) LINE ADD END   ------------------------------------
                   END-IF
               ELSE    
      *      
      *            ȹʬ԰ʳλ     
                   IF    (  RECE10-HKNNUM          >=  "031"   AND
                                                   <=  "034"         )
                   AND   (  RECE10-HOJOKBN         =   "2" OR  SPACE ) 
                       IF      RECE10-AGE              <   3
                           MOVE    5                       TO  IDY1
                       ELSE                    
      *---(01.02.08) LINE ADD START ------------------------------------
                         IF  (RECE10-SRYYM  >=  WRK-CONS-SRYYM-200804)
                         AND  (RECE10-FLG (1)   =  1)
                           MOVE    5                       TO  IDY1
                         ELSE
      *---(01.02.08) LINE ADD END   ------------------------------------
                           IF      RECE10-HONKZKKBN        =   "1"
                               MOVE    3                       TO  IDY1
                           ELSE     
                               MOVE    4                       TO  IDY1
                           END-IF
      *---(01.02.08) LINE ADD START ------------------------------------
                         END-IF
      *---(01.02.08) LINE ADD END   ------------------------------------
                       END-IF
                   ELSE
      *=== б by Yoshikawa(2011/12/06) start
      *                 IF      RECE10-AGE          >=  70
                       IF    ( RECE10-AGE          >=  70 )
                       AND   ( RECE10-ETC-YKZFTN(2)  =  0 )
      *=== б by Yoshikawa(2011/12/06) end
      *                    ݸʬԤλ
                           IF      RECE10-HKNNUM           =   "002"
                               EVALUATE    RECE10-HOJOKBN
                                   WHEN    "9"
                                   WHEN    "A"
                                   WHEN    "B"
                                   WHEN    "C"
                                       MOVE    1               TO  IDY1
                                   WHEN    "8"    
                                   WHEN    "D"
                                   WHEN    "E"
                                   WHEN    "F"
      *=== ԣб by Yoshikawa(2014/05/16) start
                                       IF  RECE10-RECESYUBETU(4:1)
                                                   =  "7"  OR  "8"
                                           MOVE    1           TO  IDY1
                                       ELSE
                                           MOVE    2           TO  IDY1
                                       END-IF
      *=== ԣб by Yoshikawa(2014/05/16) end
      *---(01.02.06) LINE ADD START ------------------------------------
                                   WHEN    "7"    
                                   WHEN    "G"
                                   WHEN    "H"
                                   WHEN    "I"
      *---(01.02.06) LINE ADD END   ------------------------------------
                                       MOVE    2               TO  IDY1
                               END-EVALUATE
                           ELSE            
      *                        ȹʬԤλ
                               IF      RECE10-HKNNUM   >=  "031"   AND
                                                       <=  "034"
                                   EVALUATE    RECE10-HOJOKBN
                                       WHEN    "9"
                                       WHEN    "B"
                                           MOVE    1           TO  IDY1
                                       WHEN    "8"
                                       WHEN    "E"
      *=== ԣб by Yoshikawa(2014/05/16) start
                                         IF  RECE10-RECESYUBETU(4:1)
                                                     =  "7"  OR  "8"
                                           MOVE    1           TO  IDY1
                                         ELSE
                                           MOVE    2           TO  IDY1
                                         END-IF
      *=== ԣб by Yoshikawa(2014/05/16) end
      *---(01.02.05) LINE ADD START ------------------------------------
                                       WHEN    "7"
                                       WHEN    "H"
      *---(01.02.05) LINE ADD END   ------------------------------------
                                           MOVE    2           TO  IDY1
                                   END-EVALUATE
                               ELSE            
                                   EVALUATE    RECE10-KYURATE
                                       WHEN    9
                                           MOVE    1           TO  IDY1
                                       WHEN    8
      *=== ԣб by Yoshikawa(2014/05/16) start
                                         IF  RECE10-RECESYUBETU(4:1)
                                                     =  "7"  OR  "8"
                                           MOVE    1           TO  IDY1
                                         ELSE
                                           MOVE    2           TO  IDY1
                                         END-IF
      *=== ԣб by Yoshikawa(2014/05/16) end
      *---(01.02.05) LINE ADD START ------------------------------------
                                       WHEN    7
      *---(01.02.05) LINE ADD END   ------------------------------------
                                           MOVE    2           TO  IDY1
                                   END-EVALUATE
                               END-IF
                           END-IF
                       ELSE
                           IF      RECE10-AGE              <   3
                               MOVE    5                       TO  IDY1
                           ELSE                    
      *---(01.02.08) LINE ADD START ------------------------------------
                             IF (RECE10-SRYYM >= WRK-CONS-SRYYM-200804)
                             AND  (RECE10-FLG (1)   =  1)
                               MOVE    5                       TO  IDY1
                             ELSE
      *---(01.02.08) LINE ADD END   ------------------------------------
                               IF      RECE10-HONKZKKBN    =   "1"
                                   MOVE    3                   TO  IDY1
                               ELSE     
                                   MOVE    4                   TO  IDY1
                               END-IF
      *---(01.02.08) LINE ADD START ------------------------------------
                             END-IF
      *---(01.02.08) LINE ADD END   ------------------------------------
                           END-IF
                       END-IF
                   END-IF        
               END-IF
      *                      
               IF      RECE10-KOHNUM (1)   NOT =   SPACE
                   MOVE    1                   TO  IDY2 
               ELSE
                   EVALUATE    IDY1
                       WHEN    1
                           EVALUATE    RECE10-HKNNUM
                               WHEN    "001"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
                               WHEN    "009"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
                                   MOVE    2               TO  IDY2
                               WHEN    "002"
                                   EVALUATE    RECE10-HOJOKBN
                                       WHEN    "A"
                                       WHEN    "B"
                                       WHEN    "C"
                                           MOVE    3       TO  IDY2
                                       WHEN    "9"
                                           MOVE    4       TO  IDY2
      *=== ԣб by Yoshikawa(2014/05/16) start
                                       WHEN    "D"
                                       WHEN    "E"
                                       WHEN    "F"
                                           MOVE    3       TO  IDY2
                                       WHEN    "8"
                                           MOVE    4       TO  IDY2
      *=== ԣб by Yoshikawa(2014/05/16) end
                                   END-EVALUATE        
                               WHEN    "003"
                                   MOVE    5               TO  IDY2
                               WHEN    "004"
                                   MOVE    6               TO  IDY2
                               WHEN    "031"  THRU  "034"
                                   EVALUATE    RECE10-HOJOKBN
                                       WHEN    "B"
      *=== ԣб by Yoshikawa(2014/05/16) start
                                       WHEN    "E"
      *=== ԣб by Yoshikawa(2014/05/16) end
                                           MOVE    7       TO  IDY2
                                       WHEN    OTHER
                                           MOVE    8       TO  IDY2
                                   END-EVALUATE        
                               WHEN    "006"
                                   MOVE    9               TO  IDY2
                               WHEN    "063"
                               WHEN    "072"  THRU  "075"
                                   MOVE    10              TO  IDY2
                           END-EVALUATE
                       WHEN    2
                           EVALUATE    RECE10-HKNNUM
                               WHEN    "001"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
                               WHEN    "009"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
                                   MOVE    2               TO  IDY2
                               WHEN    "002"    
                                   EVALUATE    RECE10-HOJOKBN
                                       WHEN    "D"
                                       WHEN    "E"
                                       WHEN    "F"
      *---(01.02.05) LINE ADD START ------------------------------------
                                       WHEN    "G"
                                       WHEN    "H"
                                       WHEN    "I"
      *---(01.02.05) LINE ADD END   ------------------------------------
                                           MOVE    3       TO  IDY2
                                       WHEN    "8"
      *---(01.02.05) LINE ADD START ------------------------------------
                                       WHEN    "7"
      *---(01.02.05) LINE ADD END   ------------------------------------
                                           MOVE    4       TO  IDY2
                                   END-EVALUATE        
                               WHEN    "031"  THRU  "034"
                                   EVALUATE    RECE10-HOJOKBN
                                       WHEN    "E"
      *---(01.02.05) LINE ADD START ------------------------------------
                                       WHEN    "H"
      *---(01.02.05) LINE ADD END   ------------------------------------
                                           MOVE    5       TO  IDY2
                                       WHEN    OTHER
                                           MOVE    6       TO  IDY2
                                   END-EVALUATE        
                               WHEN    "006"
                                   MOVE    7               TO  IDY2
                               WHEN    "063"
                               WHEN    "072"  THRU  "075"
                                   MOVE    8               TO  IDY2
                           END-EVALUATE
                       WHEN    3
                           EVALUATE    RECE10-HKNNUM
                               WHEN    "001"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
                               WHEN    "009"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
                                   MOVE    2               TO  IDY2
                               WHEN    "002"    
                                   IF      RECE10-HOJOKBN  =   "1" OR
                                                               "2" OR
                                                               "3"
                                       MOVE    3               TO  IDY2
                                   ELSE
                                       IF      RECE10-HOJOKBN  =   SPACE
                                           MOVE    4           TO  IDY2
                                       END-IF    
                                   END-IF        
                               WHEN    "003"
                                   MOVE    5               TO  IDY2
                               WHEN    "004"
                                   MOVE    6               TO  IDY2
                               WHEN    "031"  THRU  "034"
                                   EVALUATE    RECE10-HOJOKBN
                                       WHEN    "2"
                                           MOVE    7       TO  IDY2
                                       WHEN    OTHER
                                           MOVE    8       TO  IDY2
                                   END-EVALUATE        
                               WHEN    "006"
                                   MOVE    9               TO  IDY2
                               WHEN    "007"
                                   MOVE    10              TO  IDY2
                               WHEN    "063"
                               WHEN    "072"  THRU  "075"
                                   MOVE    11              TO  IDY2
                           END-EVALUATE
                       WHEN    4
                       WHEN    5
                           EVALUATE    RECE10-HKNNUM
                               WHEN    "001"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
                               WHEN    "009"
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
                                   MOVE    2               TO  IDY2
                               WHEN    "002"
                                   MOVE    3               TO  IDY2
                               WHEN    "003"
                                   MOVE    4               TO  IDY2
                               WHEN    "004"
                                   MOVE    5               TO  IDY2
                               WHEN    "031"  THRU  "034"
                                   MOVE    6               TO  IDY2
                               WHEN    "006"
                                   MOVE    7               TO  IDY2
                               WHEN    "063"
                               WHEN    "072"  THRU  "075"
                                   MOVE    8               TO  IDY2
                           END-EVALUATE
                   END-EVALUATE        
               END-IF
               PERFORM 210-HKN-SYUKEI-SEC
           END-IF    
      *
      *    ôʬ     
           IF      RECE10-KOHNUM (1)   NOT =   SPACE
               IF      RECE10-RJNHKNNUM    NOT =   SPACE
               OR      RECE10-HKNNUM       NOT =   SPACE
      *            ȰݡϷͤʻ
                   MOVE    1               TO  IDX1
                   PERFORM 220-KOH-SYUKEI-SEC
               ELSE
                   IF      RECE10-KOHNUM (2)   NOT =   SPACE  
      *            ȸʻ
                       MOVE    2               TO  IDX1
                       PERFORM 220-KOH-SYUKEI-SEC
                   ELSE
      *            ñ
                       MOVE    3               TO  IDX1
                       PERFORM 220-KOH-SYUKEI-SEC
                   END-IF
               END-IF     
           END-IF                
      *
      *    פоݤˤʤʤäȤ                
           IF      FLG-UPD             =   1
               PERFORM 230-UPD-FILE-HENSYU-SEC
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *         MOVE    WRK-PATH            TO  MCP-PATH
               MOVE    "tbl_seikyu"    TO  MCP-TABLE
               MOVE    WRK-PATH        TO  MCP-PATHNAME
      *---(01.02.07) LINE ADD END   ------------------------------------
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               DISPLAY "*** ORCBM022 ERR KEY=" RECE10-KEY
               MOVE    SPACE               TO  WRK-RECEERR
               STRING "оݳֹ"     DELIMITED  BY  SIZE
                       RECE10-PTNUM                DELIMITED  BY  SPACE
                       " ǯ"               DELIMITED  BY  SIZE
                       RECE10-SRYYM                DELIMITED  BY  SIZE
                       " 쥻̡"               DELIMITED  BY  SIZE
                       RECE10-RECESYUBETU          DELIMITED  BY  SIZE
                                           INTO    WRK-RECEERR
               END-STRING                                
               PERFORM 500-ERR-HENSYU-SEC
           END-IF 
           .
       2001-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ϸݷʬ׽
      *****************************************************************
       210-ROU-SYUKEI-SEC          SECTION.
      *
           IF      IDY1            =   ZERO
           OR      IDY2            =   ZERO
               GO  TO  210-ROU-SYUKEI-EXT
           END-IF
      *     
           MOVE    1                         TO  IDX1
      *
      *    
           ADD     1           TO  SUM-ROU-KENSU (IDY3 IDY1 IDY2)
           IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
               ADD     1       TO  SUM-ROU-SHOKUJIKENSU (IDY3 IDY1 IDY2)
           END-IF
      *    ʣ˹ס
           ADD     1                   TO  SUM-GOK-KENSU (IDY3 2)
                                           SUM-GOK-KENSU (IDY3 4)
           IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
               ADD     1               TO  SUM-GOK-SHOKENSU (IDY3 2)
                                           SUM-GOK-SHOKENSU (IDY3 4) 
           END-IF
      *
      *    żô 
           ADD     RECE10-JNISSU         (IDX1)
                             TO  SUM-ROU-NISSU          (IDY3 IDY1 IDY2)
                                 SUM-ROU-GOK-NISSU      (IDY3)
           ADD     RECE10-TOTALTEN       (IDX1)
                             TO  SUM-ROU-TOTALTEN       (IDY3 IDY1 IDY2)
                                 SUM-ROU-GOK-TOTALTEN   (IDY3)
           ADD     RECE10-FTNMONEY       (IDX1)
                             TO  SUM-ROU-FTNMONEY       (IDY3 IDY1 IDY2)
                                 SUM-ROU-GOK-FTNMONEY   (IDY3)
      *                           
           ADD     RECE10-SHOKUJINISSU   (IDX1)
                             TO  SUM-ROU-SHOKUJINISSU   (IDY3 IDY1 IDY2)
                                 SUM-ROU-GOK-SHOKUJINISSU(IDY3)
           ADD     RECE10-SHOKUJIRYOYOHI (IDX1)
                             TO  SUM-ROU-SHOKUJIRYOYOHI (IDY3 IDY1 IDY2)
                                 SUM-ROU-GOK-SHOKUJIRYOYOHI(IDY3)
           ADD     RECE10-SHOKUJIFTN     (IDX1)
                             TO  SUM-ROU-SHOKUJIFTN     (IDY3 IDY1 IDY2)
                                 SUM-ROU-GOK-SHOKUJIFTN (IDY3)
      *
      *       
           ADD     1         TO  SUM-ROU-KENSU    (IDY3 IDY1 3)
           ADD     RECE10-FTNMONEY       (IDX1)
                             TO  SUM-ROU-FTNMONEY (IDY3 IDY1 3)
           IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
               ADD     1       TO  SUM-ROU-SHOKUJIKENSU (IDY3 IDY1 3)
           END-IF
      *
      *    Ʒ                      
           IF      RECE10-KOHNUM (1)   NOT =   SPACE
               PERFORM VARYING IDW FROM    1   BY  1
                       UNTIL   IDW >       4
                       OR      RECE10-KOHNUM (IDW) =   SPACE
                   EVALUATE    RECE10-KOHNUM (IDW)
                       WHEN    "019"
                       WHEN    "018"
                           MOVE    1               TO  IDY1
                       WHEN    "010"
                           MOVE    2               TO  IDY1
                       WHEN    "011"
                           MOVE    3               TO  IDY1
                       WHEN    "012"
                           MOVE    4               TO  IDY1
                       WHEN    "015"
                           MOVE    5               TO  IDY1
                       WHEN    "020"
                           MOVE    6               TO  IDY1
                       WHEN    "021"
                           MOVE    7               TO  IDY1
                       WHEN    "022"
                           MOVE    8               TO  IDY1
                       WHEN    "028"
                           MOVE    9               TO  IDY1
                       WHEN    "051"
                       WHEN    "091"
                           MOVE    10              TO  IDY1
                       WHEN    OTHER
                           MOVE    ZERO            TO  IDY1
                   END-EVALUATE
      *
                   IF      IDY1                >   ZERO 
                       COMPUTE IDX1    =   IDW     +       1
                       ADD     1
                             TO  SUM-ROU-KOH-KENSU          (IDY3 IDY1)
                       ADD     RECE10-JNISSU         (IDX1)
                             TO  SUM-ROU-KOH-NISSU          (IDY3 IDY1)
                       EVALUATE    WRK-NYUGAIKBN
                                           ALSO    RECE10-ZAITAKU
                           WHEN    "1"     ALSO    ANY
                           WHEN    "2"     ALSO    "1"
                               ADD     RECE10-FTNMONEY-FTN      (IDX1)
                                           TO  SUM-ROU-KOH-ITBFTN
                                                           (IDY3 IDY1)
                               ADD     RECE10-FTNMONEY          (IDX1)
                                           TO  SUM-ROU-KOH-FTNMONEY
                                                           (IDY3 IDY1)
                           WHEN    "2"     ALSO    SPACE
                               IF      IDY1        =   1
                                   ADD     RECE10-FTNMONEY-FTN  (IDX1)
                                           TO  SUM-ROU-KOH-ITBFTN
                                                           (IDY3 IDY1)
                               END-IF
                                   ADD     RECE10-FTNMONEY      (IDX1)
                                           TO  SUM-ROU-KOH-FTNMONEY
                                                           (IDY3 IDY1)
                       END-EVALUATE
      *                           
                       IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
                           ADD     1
                             TO  SUM-ROU-KOH-SHOKUJIKENSU   (IDY3 IDY1)
                       END-IF
                       ADD     RECE10-SHOKUJINISSU   (IDX1)
                             TO  SUM-ROU-KOH-SHOKUJINISSU   (IDY3 IDY1)
                       ADD     RECE10-SHOKUJIRYOYOHI (IDX1)
                             TO  SUM-ROU-KOH-SHOKUJIRYOYOHI (IDY3 IDY1)
                       ADD     RECE10-SHOKUJIFTN     (IDX1)
                             TO  SUM-ROU-KOH-SHOKUJIFTN     (IDY3 IDY1)
                   END-IF           
               END-PERFORM
           END-IF
      *
      *    ƷǡϷ˥쥻ܳʬ                  
           IF      RECE10-ETC-KOHNUM (1)   NOT =   SPACE
               PERFORM VARYING IDW FROM    1   BY  1
                       UNTIL   IDW >       4
                       OR      RECE10-ETC-KOHNUM (IDW) =   SPACE
                   EVALUATE    RECE10-ETC-KOHNUM (IDW)
                       WHEN    "019"
                           MOVE    1               TO  IDY1
                       WHEN    OTHER
                           MOVE    ZERO            TO  IDY1
                   END-EVALUATE
      *
                   IF      IDY1                >   ZERO 
                       ADD     1
                             TO  SUM-ROU-KOH-KENSU     (IDY3 IDY1)
                       ADD     RECE10-ETC-JNISSU  (IDW)
                             TO  SUM-ROU-KOH-NISSU     (IDY3 IDY1)
                       EVALUATE    WRK-NYUGAIKBN
                                           ALSO    RECE10-ZAITAKU
                           WHEN    "1"     ALSO    ANY
                           WHEN    "2"     ALSO    "1"
                               ADD     RECE10-ETC-FTNMONEY-FTN   (IDW)
                                           TO  SUM-ROU-KOH-ITBFTN
                                                           (IDY3 IDY1)
                               ADD     RECE10-ETC-FTNMONEY       (IDW)
                                           TO  SUM-ROU-KOH-FTNMONEY
                                                           (IDY3 IDY1)
                           WHEN    "2"     ALSO    SPACE
                               IF      IDY1        =   1
                                   ADD     RECE10-ETC-FTNMONEY-FTN(IDW)
                                           TO  SUM-ROU-KOH-ITBFTN
                                                           (IDY3 IDY1)
                               END-IF
                                   ADD     RECE10-ETC-FTNMONEY    (IDW)
                                           TO  SUM-ROU-KOH-FTNMONEY
                                                           (IDY3 IDY1)
                       END-EVALUATE
      *                           
                       IF      RECE10-ETC-SHOKUJINISSU (IDW)
                                                 >   ZERO
                           ADD     1
                             TO  SUM-ROU-KOH-SHOKUJIKENSU   (IDY3 IDY1)
                       END-IF
                       ADD     RECE10-ETC-SHOKUJINISSU   (IDW)
                             TO  SUM-ROU-KOH-SHOKUJINISSU   (IDY3 IDY1)
                       ADD     RECE10-ETC-SHOKUJIRYOYOHI (IDW)
                             TO  SUM-ROU-KOH-SHOKUJIRYOYOHI (IDY3 IDY1)
                       ADD     RECE10-ETC-SHOKUJIFTN     (IDW)
                             TO  SUM-ROU-KOH-SHOKUJIFTN     (IDY3 IDY1)
                   END-IF           
               END-PERFORM
           END-IF                  
      *
           MOVE    1               TO  FLG-UPD 
           .
       210-ROU-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸʬ׽
      *****************************************************************
       210-HKN-SYUKEI-SEC          SECTION.
      *
           IF      IDY1            =   ZERO
           OR      IDY2            =   ZERO
               GO  TO  210-HKN-SYUKEI-EXT
           END-IF
      *     
           MOVE    1                   TO  IDX1
      *    
      *    
           ADD     1               TO  SUM-KENSU (IDY3 IDY1 IDY2)
           IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
               ADD     1           TO  SUM-SHOKUJIKENSU (IDY3 IDY1 IDY2)
           END-IF
      *    ʣ˹ס
           ADD     1                   TO  SUM-GOK-KENSU (IDY3 1)
                                           SUM-GOK-KENSU (IDY3 4)
           IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
               ADD     1               TO  SUM-GOK-SHOKENSU (IDY3 1)
                                           SUM-GOK-SHOKENSU (IDY3 4) 
           END-IF
      *
      *    żô 
           ADD     RECE10-JNISSU         (IDX1)
                                 TO  SUM-NISSU          (IDY3 IDY1 IDY2)
           ADD     RECE10-TOTALTEN       (IDX1)
                                 TO  SUM-TOTALTEN       (IDY3 IDY1 IDY2)
           IF      IDY1              =   3   OR  4                          
               ADD     RECE10-YKZFTN         (IDX1)
                                 TO  SUM-YKZFTN         (IDY3 IDY1 IDY2)
           END-IF
      *=== ôεб by Yoshikawa(2012/11/14) start
      *     IF    (  IDY1              <   3        )
      *     OR    ( (IDY1              =   3 ) AND
      *             (IDY2              =   3 )      )                          
      *         ADD     RECE10-FTNMONEY       (IDX1)
      *                           TO  SUM-FTNMONEY       (IDY3 IDY1 IDY2)
      *     END-IF                          
           ADD     RECE10-FTNMONEY       (IDX1)
                                 TO  SUM-FTNMONEY       (IDY3 IDY1 IDY2)
      *=== ôεб by Yoshikawa(2012/11/14) end
           ADD     RECE10-SHOKUJINISSU   (IDX1)
                                 TO  SUM-SHOKUJINISSU   (IDY3 IDY1 IDY2)
           ADD     RECE10-SHOKUJIRYOYOHI (IDX1)
                                 TO  SUM-SHOKUJIRYOYOHI (IDY3 IDY1 IDY2)
           ADD     RECE10-SHOKUJIFTN     (IDX1)
                                 TO  SUM-SHOKUJIFTN     (IDY3 IDY1 IDY2)
      *
      *    
           IF      IDY2            >   1
      *        
               ADD     1           TO  SUM-KENSU (IDY3 IDY1 12)
               IF      RECE10-SHOKUJINISSU(IDX1)   >   ZERO
                   ADD     1       TO  SUM-SHOKUJIKENSU (IDY3 IDY1 12)
               END-IF
      *        żô 
               ADD     RECE10-JNISSU         (IDX1)
                                   TO  SUM-NISSU          (IDY3 IDY1 12)    
               ADD     RECE10-TOTALTEN       (IDX1)
                                   TO  SUM-TOTALTEN       (IDY3 IDY1 12)
               IF      IDY1              =   3   OR  4                          
                   ADD     RECE10-YKZFTN         (IDX1)
                                   TO  SUM-YKZFTN         (IDY3 IDY1 12)
               END-IF                      
      *=== ôεб by Yoshikawa(2012/11/14) start
      *         IF      IDY1              <   3                          
      *             ADD     RECE10-FTNMONEY       (IDX1)
      *                             TO  SUM-FTNMONEY       (IDY3 IDY1 12)
      *         END-IF                      
               ADD     RECE10-FTNMONEY       (IDX1)
                                   TO  SUM-FTNMONEY       (IDY3 IDY1 12)
      *=== ôεб by Yoshikawa(2012/11/14) end
               ADD     RECE10-SHOKUJINISSU   (IDX1)
                                   TO  SUM-SHOKUJINISSU   (IDY3 IDY1 12)
               ADD     RECE10-SHOKUJIRYOYOHI (IDX1)
                                   TO  SUM-SHOKUJIRYOYOHI (IDY3 IDY1 12)
               ADD     RECE10-SHOKUJIFTN     (IDX1)
                                   TO  SUM-SHOKUJIFTN     (IDY3 IDY1 12)
           END-IF                              
      *
           MOVE    1               TO  FLG-UPD 
           .
       210-HKN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ôʬ׽
      *****************************************************************
       220-KOH-SYUKEI-SEC        SECTION.
      *
           PERFORM VARYING IDZ     FROM    1   BY  1
                   UNTIL   IDZ     >       4
                   OR  RECE10-KOHNUM (IDZ) =   SPACE
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
               MOVE    SPACE               TO  WRK-MEISYO
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      *        ̵ΤȤ 
               IF      RECE10-KOHNUM (IDZ) =   "091"
                   MOVE    "051"               TO  RECE10-KOHNUM (IDZ)
               END-IF
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *        ֹޤȤ󤬤Ȥ
               IF      WRK-2007-MAX        >   ZERO
                   PERFORM VARYING IDZ1    FROM    1   BY  1
                           UNTIL   IDZ1    >       WRK-2007-MAX
                       PERFORM VARYING IDZ2    FROM    1   BY  1
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) start
      *                         UNTIL   IDZ2    >       5
                               UNTIL   IDZ2    >       10
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) end
                               OR      WRK-2007-KOHNUM (IDZ1 IDZ2)
                                               =   SPACE
                           IF      RECE10-KOHNUM (IDZ)
                                       =   WRK-2007-KOHNUM (IDZ1 IDZ2)
                               MOVE    WRK-2007-KOHNUM (IDZ1 1)
                                               TO  RECE10-KOHNUM (IDZ)
                               MOVE    WRK-2007-MEISYO (IDZ1)
                                               TO  WRK-MEISYO
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) start
      *                         MOVE    5       TO  IDZ2
                               MOVE    10      TO  IDZ2
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) end
                               MOVE    WRK-2007-MAX
                                               TO  IDZ1
                           END-IF
                       END-PERFORM
                   END-PERFORM
               END-IF
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
               PERFORM VARYING IDX2    FROM    1   BY  1
                       UNTIL   IDX2 >          100
                   IF      SUM-KOH-KOHNUM (IDY3 IDX1 IDX2) =   SPACE
                       MOVE    RECE10-KOHNUM (IDZ)     TO 
                                       SUM-KOH-KOHNUM (IDY3 IDX1 IDX2)
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
                       MOVE    WRK-MEISYO              TO 
                                       SUM-KOH-MEISYO
                                                      (IDY3 IDX1 IDX2)
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
                   END-IF                                
                   IF      RECE10-KOHNUM (IDZ) 
                                   =   SUM-KOH-KOHNUM (IDY3 IDX1 IDX2)
                       PERFORM 2201-KOH-SYUKEI-01-SEC
                       MOVE    100             TO  IDX2
                   END-IF
               END-PERFORM
           END-PERFORM                 
           .
       220-KOH-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    񽸷׽
      *****************************************************************
       2201-KOH-SYUKEI-01-SEC        SECTION.
      *
           COMPUTE IDY     =   IDZ     +   1
      *    
      *    
           ADD     1           TO  SUM-KOH-KENSU (IDY3 IDX1 IDX2)
           IF      RECE10-SHOKUJINISSU(IDY)    >   ZERO
               ADD     1       TO  SUM-KOH-SHOKUJIKENSU (IDY3 IDX1 IDX2)
           END-IF
      *   ʣ˹ס
           ADD     1                   TO  SUM-GOK-KENSU (IDY3 3)
                                           SUM-GOK-KENSU (IDY3 4)
           IF      RECE10-SHOKUJINISSU(IDY)   >   ZERO
               ADD     1               TO  SUM-GOK-SHOKENSU (IDY3 3)
                                           SUM-GOK-SHOKENSU (IDY3 4) 
           END-IF
      *
      *    żô 
           ADD     RECE10-TOTALTEN       (IDY)
                             TO  SUM-KOH-TOTALTEN       (IDY3 IDX1 IDX2)
           ADD     RECE10-FTNMONEY       (IDY)
                             TO  SUM-KOH-FTNMONEY       (IDY3 IDX1 IDX2)
      *                           
           ADD     RECE10-SHOKUJIRYOYOHI (IDY)
                             TO  SUM-KOH-SHOKUJIRYOYOHI (IDY3 IDX1 IDX2)
           ADD     RECE10-SHOKUJIFTN     (IDY)
                             TO  SUM-KOH-SHOKUJIFTN     (IDY3 IDX1 IDX2)
           IF      IDX1          =   1                      
               ADD     RECE10-YKZFTN     (IDY)
                                 TO  SUM-KOH-YKZFTN     (IDY3 IDX1 IDX2)
           END-IF                      
      *
           MOVE    1               TO  FLG-UPD 
      *
           .
       2201-KOH-SYUKEI-01-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¹ѥեϽ
      *****************************************************************
       230-UPD-FILE-HENSYU-SEC         SECTION.
      *
           MOVE    RECE10-REC          TO  RECE10X-REC
           WRITE   RECE10X-REC
      *
           ADD     1                   TO  CNT-UPDFILE
           .
       230-UPD-FILE-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *         
      *        ִϽ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
      *---(01.02.07) LINE ADD START ------------------------------------
               MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
      *---(01.02.07) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           END-IF
      *
           MOVE    1                   TO  FLG-END
                                           FLG-ERR     
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
           DISPLAY "*** ORCBM022 IN  "  CNT-RECE10
           DISPLAY "***          UPD "  CNT-UPDFILE 
           DISPLAY "*** ORCBM022 END ***"
      *     
      *    ƥå״λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT                         
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC
      *---(01.02.07) LINE ADD START ------------------------------------
                                   SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *   ģ¹
      *****************************************************************
       310-SEIKYU-UPD-SEC              SECTION.
      *
           OPEN    INPUT    UPD-FILE
      *
           PERFORM 900-UPD-FILE-READ-SEC
           PERFORM             UNTIL   FLG-UPDFILE    =   1
               MOVE    SPACE           TO  RECE10-REC   
               INITIALIZE                  RECE10-REC
               MOVE    RECE10X-KEY         TO  RECE10-KEY
               MOVE    RECE10-REC          TO  MCPDATA-REC
               PERFORM 910-SEIKYU-INV-SEC
               IF      FLG-SEIKYU          =   ZERO
                   MOVE    "2"             TO  RECE10-SKYKBN
                   MOVE    LNK-PRTKANRI-SRYYM  
                                           TO  RECE10-SKYYM
                   MOVE    LNK-PRTKANRI-SKYYMD
                                           TO  RECE10-UPDYMD  
                   MOVE    RECE10-REC      TO  MCPDATA-REC
                   MOVE    "DBUPDATE"      TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY
      *                                     TO  MCP-PATH
      *             CALL    "MCPSUB"        USING
                   MOVE    "tbl_seikyu"    TO  MCP-TABLE
                   MOVE    "key"           TO  MCP-PATHNAME
                   CALL    "ORCDBMAIN"     USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
                                               MCPAREA
                                               MCPDATA-REC
                   IF      MCP-RC          =   ZERO
                       PERFORM 900-UPD-FILE-READ-SEC
                   ELSE
                       MOVE    SPACE               TO  WRK-RECEERR
                       STRING "ģ¡顼"
                                               DELIMITED  BY  SIZE
                               RECE10-KEY      DELIMITED  BY  SIZE
                                               INTO    WRK-RECEERR
                       END-STRING                                
                       PERFORM 500-ERR-HENSYU-SEC
                       MOVE    1           TO  FLG-UPDFILE
                   END-IF
               ELSE
                   STRING "ģ¡ɹ߹顼"
                                               DELIMITED  BY  SIZE
                           RECE10X-KEY         DELIMITED  BY  SIZE
                                               INTO    WRK-RECEERR
                   END-STRING                                
                   PERFORM 500-ERR-HENSYU-SEC
                   MOVE    1               TO  FLG-UPDFILE
               END-IF
           END-PERFORM  
      *
           CLOSE   UPD-FILE
           .
       310-SEIKYU-UPD-EXT.
           EXIT.
      *
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-SEIKYU-SELECT-SEC             SECTION.
      *
           MOVE    ZERO                TO  FLG-RECE10
      *     
      *    ģ¸
           MOVE    SPACE               TO  RECE10-REC
           INITIALIZE                      RECE10-REC
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    WRK-PARA-HOSPID     TO  RECE10-HOSPID
           MOVE    SPA-HOSPNUM         TO  RECE10-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    LNK-PRTKANRI-SRYYM  TO  RECE10-SKYYM
           IF      WRK-PRTFLG          =   1
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
      *         MOVE    WRK-CONS-SRYYM-200210
      *                                     TO  RECE10-SRYYM
      *         MOVE    WRK-CONS-SRYYM-200304
      *                                     TO  RECE10-XXSRYYM
      *        ʿ20ǯ3
               MOVE    000000              TO  RECE10-SRYYM
               MOVE    WRK-CONS-SRYYM-200804
                                           TO  RECE10-XXSRYYM
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
           ELSE
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
      *         MOVE    WRK-CONS-SRYYM-200304
      *                                     TO  RECE10-SRYYM
      *        ʿ20ǯ4ʹ
               MOVE    WRK-CONS-SRYYM-200804
                                           TO  RECE10-SRYYM
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
               MOVE    999999              TO  RECE10-XXSRYYM
           END-IF
           MOVE    WRK-NYUGAIKBN        TO  RECE10-NYUGAIKBN
      *=== 쥻Ver4.7.0б by Yoshikawa(2012/11/14) start
      *    ΤȤϷľбʤ
           MOVE    "%%%%%%%%"           TO  RECE10-HKNJANUM-S
           MOVE    "%"                  TO  RECE10-DIRECT-FLG
      *=== 쥻Ver4.7.0б by Yoshikawa(2012/11/14) end
      *
      *###
           DISPLAY "SYOKBN=" WRK-SYOKBN
                   " SRYYM=" RECE10-SRYYM "-" RECE10-XXSRYYM 
                   " NYUGAIKBN= " RECE10-NYUGAIKBN
      *###
           MOVE    RECE10-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    WRK-PATH            TO  MCP-PATH
      *     CALL    "MCPSUB"          USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_seikyu"        TO  MCP-TABLE
           MOVE    WRK-PATH            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
      *---(01.02.07) LINE ADD START ------------------------------------
      *         MOVE    WRK-PATH            TO  MCP-PATH
               MOVE    "tbl_seikyu"        TO  MCP-TABLE
               MOVE    WRK-PATH            TO  MCP-PATHNAME
      *---(01.02.07) LINE ADD END   ------------------------------------
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-RECE10
           END-IF
           .
       900-SEIKYU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-READ-SEC           SECTION.
      *
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    WRK-PATH            TO  MCP-PATH
      *     MOVE    "DBFETCH"           TO  MCP-FUNC
      *     CALL    "MCPSUB"          USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_seikyu"        TO  MCP-TABLE
           MOVE    WRK-PATH            TO  MCP-PATHNAME
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    ZERO                TO  FLG-RECE10
               MOVE    MCPDATA-REC         TO  RECE10-REC
      *
               IF      RECE10-NYUGAIKBN
                                   NOT =   WRK-NYUGAIKBN
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *
      *=== 饤б by Yoshikawa(2010/08/03) start
      *        ʬǥ饤ɤФ
               IF      (WRK-PARA-SYOKBN         =  "2")
               AND     (RECE10-HENREI-SIJI-FLG  =  1)
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *=== 饤б by Yoshikawa(2010/08/03) end
      *
      *=== ҳб by Yoshikawa(2011/04/01) start
      *        ҳоݼȽ
               EVALUATE  WRK-PARA-GENMENKBN
                 WHEN  "1"
      *=== ̤ʬΤĢɼȤ by Yoshikawa(2011/05/24) start
      *             IF  RECE10-ETC-YKZFTN(1)  NOT =  ZERO
                   IF  RECE10-ETC-YKZFTN(1)  =  6  OR  7  OR  8
      *=== ̤ʬΤĢɼȤ by Yoshikawa(2011/05/24) end
                     GO  TO  900-SEIKYU-READ-SEC
                   END-IF
                 WHEN  "2"
      *=== ̤ʬΤĢɼȤ by Yoshikawa(2011/05/24) start
      *             IF  RECE10-ETC-YKZFTN(1)  =  ZERO
                   IF  RECE10-ETC-YKZFTN(1)  =  6  OR  7  OR  8
                     CONTINUE
                   ELSE
      *=== ̤ʬΤĢɼȤ by Yoshikawa(2011/05/24) end
                     GO  TO  900-SEIKYU-READ-SEC
                   END-IF
               END-EVALUATE
      *=== ҳб by Yoshikawa(2011/04/01) end
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
      *---(01.02.07) LINE ADD START ------------------------------------
      *         MOVE    RECE10-HOSPID       TO  PTINF-HOSPID
               MOVE    SPA-HOSPNUM         TO  PTINF-HOSPNUM
      *---(01.02.07) LINE ADD END   ------------------------------------
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF    ( FLG-PTINF           =   ZERO )
               AND   ( PTINF-TSTPTNUMKBN   =   "1"  )
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *         
               ADD     1                   TO  CNT-RECE10
      *         
               DISPLAY "PTNUM=" RECE10-PTNUM 
      *---(01.02.09) LINE ADD START ------------------------------------
               IF  RECE10-SRYYM  <  WRK-CONS-SRYYM-200804
                 MOVE  1  TO  WRK-SRYYM-FLG
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
               ELSE
                 IF  RECE10-SRYYM  <  WRK-CONS-SRYYM-200810
                   MOVE  2  TO  WRK-SRYYM-FLG
                 ELSE
                   MOVE  3  TO  WRK-SRYYM-FLG
                 END-IF
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
               END-IF
      *---(01.02.09) LINE ADD END   ------------------------------------
      *         
           ELSE
               MOVE    1                   TO  FLG-RECE10
           END-IF
      *
           .
       900-SEIKYU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-PTINF-KEY  TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-PTINF-KEY  TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "tbl_ptinf"     TO  MCP-TABLE
               MOVE    "key"           TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"     USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-PTINF-KEY  TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¹ѥեɹ
      *****************************************************************
       900-UPD-FILE-READ-SEC             SECTION.
      *
           READ    UPD-FILE
               AT  END
                   MOVE    1           TO  FLG-UPDFILE
               NOT AT  END
                   MOVE    ZERO        TO  FLG-UPDFILE
           END-READ
           .
       900-UPD-FILE-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       910-SEIKYU-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SEIKYU-KEY TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"             TO  MCP-TABLE
           MOVE    "key"                    TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"              USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SEIKYU-KEY TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "tbl_seikyu"         TO  MCP-TABLE
               MOVE    "key"                TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SEIKYU
                   MOVE    MCPDATA-REC         TO  RECE10-REC
               ELSE
                   MOVE    1                   TO  FLG-SEIKYU
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SEIKYU
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.02.07) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SEIKYU-KEY TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
           .
       910-SEIKYU-INV-EXT.
           EXIT.
      *      
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *****************************************************************
      *    ƥޥɹʣΣţأԡ
      *****************************************************************
       900-SYSKANRI-READ-N-SEC         SECTION.
      *
           MOVE    WRK-MCP-TABLE       TO  MCP-TABLE
           MOVE    WRK-MCP-PATHNAME    TO  MCP-PATHNAME
           PERFORM 900-DBFETCH-SEC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO                TO  FLG-SYSKANRI
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
           .
       900-SYSKANRI-READ-N-EXT.
           EXIT.
      *
      *****************************************************************
      *    ơ֥륢
      *****************************************************************
       900-ORCDBMAIN-SEC               SECTION.
      *
           CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
           .
      *
       900-ORCDBMAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ£ƣţԣãȽ
      *****************************************************************
       900-DBFETCH-SEC                SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           .
       900-DBFETCH-EXT.
           EXIT.
      *****************************************************************
      *    ơ֥륯
      *****************************************************************
       900-CLOSE-SEC               SECTION.
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           .
       900-CLOSE-EXT.
           EXIT.
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    "DBOPEN"            TO  MCP-FUNC.
      *---(01.02.07) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    "DBSTART"           TO  MCP-FUNC.
      *---(01.02.07) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
      *---(01.02.07) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
      *
      *---(01.02.07) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.02.07) LINE ADD END   ------------------------------------
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
      *---(01.02.07) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.02.07) LINE ADD END   ------------------------------------
           .
       900-DBCLOSE-EXT.
           EXIT.
