      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this licence along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU1110.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ݡ񽸷׽
      *              : 
      *      ȼ        
      *  05/06/08    ͭ¼      ƺ(2.5.0б)
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev				
      *  01.00.01    ͭ¼    05/08/16   ԡפۻԡפ˥Ƚ
      *  01.00.02    έ    06/04/19   ORCA2.7open-cobol0.23ؤб
      *  01.00.03        06/11/23   ʤǤ
      *  01.00.04        06/12/19   Ģɼͼѹȼ
      *  01.00.05        07/04/17   оֹɲá181
      *  01.00.06        07/09/23   쥻ver4.0б
      *                                 ƥޥ1901פ
      *                                 ŵؾ򻲾
      *  01.00.07        08/03/12   б
      *  01.00.08    Ĺ    08/04/24   Ģɼͼȼ
      *  01.00.09        08/06/20   оֹɲá481
      *  01.00.10        08/10/08   оֹɲá581
      *                                 ɡ2007פθޤȤб
      *                                 SPA-AREA
      *  01.00.11        09/06/17   оֹɲá381
      *  01.00.12        09/08/21   оֹɲá352,353,354
      *  01.00.13        09/10/16   оֹɲá382
      *  01.00.14        09/11/18   ɡ2007פΤޤȤ
      *                                 6ܰʹߤޤȤޤʤԶ
      *  01.00.15        10/02/04   ɡ2010פθƷؤ
      *                                 񵭺б
      *  01.00.16        10/08/03   饤б
      *  01.00.17        10/11/25   open-cobol1.0б
      *  01.00.18        11/03/24   ʿβϿбоݼ̽ס
      *  01.00.19        12/12/21   ŵؾԽб
      *  01.00.20        14/05/16   ԣб
      *                                 ץ४ץб
      *  01.00.21        14/07/02   ưĢɼȥ뽤
      *  01.00.22        14/10/08    ver4.8.0бʰǥ쥯ȥѹ
      *****************************************************************
      *
       ENVIRONMENT                 DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.

      *    ե
           SELECT  SKT1110TMP-FILE ASSIGN    SKT1110TP
                                   ORGANIZATION    IS  INDEXED
                                   ACCESS  MODE    IS  DYNAMIC
                                   RECORD  KEY     IS  SKT1110TMP-KEY
                                   FILE    STATUS  IS  STS-SKT1110.
      *
006900*    ģ¹ѥե
           SELECT  UPD-FILE        ASSIGN  RECEUPD
                                   ORGANIZATION    IS  LINE
                                                       SEQUENTIAL 
                                   FILE    STATUS  IS  STS-RECEUPD.
      *
006900*    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *     SELECT  YUSEN-FILE    ASSIGN FILE-NAME
      *                           ORGANIZATION   IS  LINE SEQUENTIAL
      *                           ACCESS MODE    IS  SEQUENTIAL
      *                           FILE   STATUS  IS  STS-YUSEN.
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    ե
       FD  SKT1110TMP-FILE.
           COPY    "CPSKT1110TMP.INC".
      *
006900*    ģ¹ѥե
       FD  UPD-FILE.
           COPY    "CPRCF010.INC"  REPLACING  //RECE10//
                                   BY         //RECE10X//.
      *
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **    ͥݸֹե
      * FD  YUSEN-FILE.
      * 01  YUSEN-HKNJANUM             PIC X(06). 
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
       WORKING-STORAGE             SECTION.
      *
      *    ե ̾ΰ
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //SKT1110TP//.
      *
006900*    ģ¹ѥե ̾ΰ 
           COPY    "CPCOMMONDAT2.INC"
                                   REPLACING  //RECE01PARA//
                                   BY         //RECEUPD//.
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *    顼ե ̾ΰ 
      *---(01.00.06) LINE ADD START ------------------------------------
      *     COPY    "CPCOMMONDAT2.INC"
      *                             REPLACING  //RECE01PARA//
      *                             BY         //RECEERR//.
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     COPY    "CPERRFL.INC"    REPLACING  //ERRFLPARA//
      *                              BY         //RECEERR//.
           COPY    "CPRECEERR.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *---(01.00.06) LINE ADD END   ------------------------------------
      *     
      *    ΰ
           COPY    "CPCOMMONSHELL.INC".
      *
           COPY    "SKT1110.INC".
           COPY    "SKT1120.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-SKT1110         PIC X(02).
           03  STS-RECEERR         PIC X(02).
           03  STS-RECEUPD         PIC X(02).
           03  STS-YUSEN           PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-SKT1110TMP      PIC 9(01).
           03  FLG-RECE10          PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-HKNNUM          PIC 9(01).
           03  FLG-HKNJAINF        PIC 9(01).
           03  FLG-HKNCOMBI        PIC 9(01).
           03  FLG-UPD             PIC 9(01).
           03  FLG-UPDFILE         PIC 9(01).
           03  FLG-SEIKYU          PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-PRINT           PIC 9(01).
           03  FLG-PASS            PIC 9(01).
           03  FLG-RECE02          PIC 9(01).
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
           03  FLG-2010            PIC 9(01).
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
           03  FLG-PRGOPTION       PIC 9(01).
           03  FLG-OK              PIC 9(01).
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      *    źΰ
       01  IDX-AREA.
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *     03  IDX                 PIC 9(04).
           03  IDX                 PIC 9(05).
           03  IDY                 PIC 9(04).
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).
           03  IDX3                PIC 9(04).
           03  IDX4                PIC 9(04).
           03  IDX5                PIC 9(04).
           03  IDX-MAX             PIC 9(04).
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
           03  IDZ1                PIC 9(04).
           03  IDZ2                PIC 9(04).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
      *---(01.00.06) LINE ADD START ------------------------------------
      *     03  WRK-PARA-HOSPID     PIC X(24).
           03  WRK-PARA-HOSPNUM    PIC 9(02).
      *---(01.00.06) LINE ADD END   ------------------------------------
           03  WRK-PARA-HKNJANUM   PIC X(08).
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-SYOKBN     PIC X(01).
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      **=== ץ饰б by Yoshikawa(2012/12/21) start
      **    ե̾ѥꥢ
      * 01  FILE-NAME.
      *     03  FILLER              PIC X(05)  VALUE "/tmp/".
      *     03  FILE-HOSPNUM        PIC 9(02).
      *     03  FILLER              PIC X(10)  VALUE "SOKATU1110".
      *     03  FILLER              PIC X(09)  VALUE "YUSEN.INI".
      **=== ץ饰б by Yoshikawa(2012/12/21) end
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SEIYMD          PIC X(08).
           03  WRK-SEIYMDWH        PIC X(22).
           03  WRK-SRYYMWH         PIC X(16).
           03  WRK-SRYYMD          PIC X(08).
      *  
           03  WRK-SYMD.
               05  WRK-SYY         PIC 9(04).
               05  WRK-SMM         PIC 9(02).
               05  WRK-SDD         PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-CNT             PIC 9(02).
           03  WRK-PAYKBN          PIC 9(03).
           03  WRK-RATE            PIC 9(03).
           03  WRK-HKNJANUM        PIC X(06).
           03  WRK-HBTNUM          PIC X(02).
           03  WRK-KOHNUM          PIC X(03).
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
           03  WRK-KOHNAME         PIC X(10).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
           03  WRK-Z1              PIC Z.
           03  WRK-Z2              PIC ZZ.
           03  WRK-Z4              PIC ZZZZ.
           03  WRK-Z5              PIC Z,ZZZ.
           03  WRK-Z7              PIC ZZZ,ZZZ.
           03  WRK-Z9              PIC Z,ZZZ,ZZZ.
           03  WRK-Z10             PIC ZZ,ZZZ,ZZZ.
           03  WRK-Z11             PIC ZZZ,ZZZ,ZZZ.
      *
           03  WRK-RECEERR         PIC X(200).
      *
      *    ե̾ѥꥢ
      *=== ץ饰б by Yoshikawa(2012/12/21) start
      *     03  FILE-NAME        PIC X(512).
      *=== ץ饰б by Yoshikawa(2012/12/21) end
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *     03  WRK-PATH.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
      *         05  FILLER          PIC S9(09)  BINARY.
           03  WRK-PATH              PIC X(50).
      *     
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
           03  WRK-OPTION-TBL.
               05  WRK-OPTION      PIC X(100)  OCCURS 100.
           03  WRK-PRGID           PIC X(25).
           03  WRK-KBNCD           PIC X(16).
           03  WRK-YUSEN           PIC X(06).
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      *    ŵؾ
           03  WRK-HOSPNAME          PIC X(100).
           03  WRK-HOSPNAME-R        REDEFINES   WRK-HOSPNAME.
               05  WRK-HOSPNAME1     PIC X(50).
               05  WRK-HOSPNAME2     PIC X(50).
           03  WRK-HOSPADRS          PIC X(100).
           03  WRK-HOSPADRS-R        REDEFINES   WRK-HOSPADRS.
               05  WRK-HOSPADRS1     PIC X(50).
               05  WRK-HOSPADRS2     PIC X(50).
           03  WRK-HOSPTEL           PIC X(15).
      *---(01.00.06) LINE ADD END   ------------------------------------
      *     
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤᥨꥢ
       01  WRK-2007-AREA.
           03  WRK-2007-TBL          OCCURS  100.
               05  WRK-2007-MEISYO   PIC X(44).
               05  WRK-2007-KOH-AREA.
                   07  WRK-2007-KOHNUM
                                     PIC X(03)   OCCURS  10.
           03  WRK-2007-MAX          PIC 9(03).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
       01  WRK-2010-AREA.
           03  WRK-2010-TBL          OCCURS  100.
               05  WRK-2010-KOHNUM   PIC X(03).
           03  WRK-2010-MAX          PIC 9(03).
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-LINE            PIC 9(02).
           03  CNT-PAGE            PIC 9(03).
           03  CNT-RECE10          PIC 9(06).
           03  CNT-UPDFILE         PIC 9(06).
           03  CNT-IN              PIC 9(02).
           03  CNT-KOH             PIC 9(02).
      *
      *񥽡ѥꥢ
       01  SORT-AREA.
           03  SORT-KOH-TBL     OCCURS  20.
               05  SORT-KOHNUM                PIC  X(03).
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
               05  SORT-KOHNAME               PIC  X(10).
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
               05  SORT-K-NYUGAI-TBL     OCCURS  2.
                   07  SORT-K-KENSU       PIC  9(05).
                   07  SORT-K-NISSU       PIC  9(05).
                   07  SORT-K-TENSU       PIC  9(09).
                   07  SORT-K-ITBFTN      PIC  9(09).
               05   SORT-K-SKENSU         PIC  9(05).
               05   SORT-K-SNISSU         PIC  9(05).
               05   SORT-K-SKINGK         PIC  9(09).
               05   SORT-K-SFTNGK         PIC  9(09).
      *     
      *---(01.00.06) LINE ADD START ------------------------------------
      *     COPY    "ORCA-DBPATH".
           COPY    "COMMON-SPA".
      *---(01.00.06) LINE ADD END   ------------------------------------
      *---(01.00.08) LINE ADD START ------------------------------------
      *    
       01  WRK-CONS-AREA.
           03  WRK-CONS-SRYYM-200804   PIC X(06)   VALUE   "200804".
      *---(01.00.08) LINE ADD END   ------------------------------------
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    Ծ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *ݸԾ
       01  HKNJAINF-REC.
           COPY    "CPHKNJAINF.INC".
      *
      *ݸȹ礻
       01  HKNCOMBI-REC.
           COPY    "CPHKNCOMBI.INC".
      *
      *    ݸֹ
       01  HKNNUM-REC.
           COPY    "CPHKNNUM.INC".
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ 
           COPY    "CPSK1002.INC".
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *    ŵԽ
           COPY    "CPSK1900.INC".
      *
      *    ŵ̾Խ
           COPY    "CPSK1901.INC".
      *
      *    ŵؽԽ
           COPY    "CPSK1902.INC".
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤ
           COPY    "CPSK2007.INC".
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *    ݸֹղþ
           COPY    "CPSK2010.INC".
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
           COPY    "CPRCF010.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *
      *    
           COPY    "CPKOHSKY.INC"
                   REPLACING  //KOHSKY//
                   BY         //RECE02//.
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *    ץ४ץ
       01  PRGOPTION-REC.
           COPY    "CPPRGOPTION.INC".
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      ******************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¹
           COPY    "CPORCSPRT.INC".
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
           COPY    "MCPDATA.INC".
      *
      *    եǥ쥯ȥֻꥵ
           COPY    "CPMKPASS.INC".
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ե̾Խ
           COPY    "CPORCSGETTEMP.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      ****************************************************************
       LINKAGE                 SECTION.
       01  COMMAND-PARAM.
           02  FILLER      PIC X(256).
      ****************************************************************
       PROCEDURE           DIVISION
               USING
           COMMAND-PARAM.
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE  FLG-AREA
           INITIALIZE  STS-AREA
           INITIALIZE  WRK-AREA
           INITIALIZE  CNT-AREA
           INITIALIZE  IDX-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) start
           INITIALIZE  SPA-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) end
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           INITIALIZE  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
           DISPLAY  "START"
      *
           PERFORM 100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID
                                               LNK-PRTKANRI-PRTNM
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *                                         WRK-PARA-HOSPID
                                               WRK-PARA-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HKNJANUM
                                               WRK-PARA-SYOKBN
      *---(01.00.06) LINE ADD START ------------------------------------
                                               RECEERR
      *---(01.00.06) LINE ADD END   ------------------------------------
           END-UNSTRING
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *    ƥå״Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SOKATU1110"    TO  JOB-PGID
           MOVE    ""    TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC
      *---(01.00.06) LINE ADD START ------------------------------------
                                   SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ֥ץե̾Խ
           INITIALIZE                      SGETTEMP-AREA
      *=== ver4.8б by Yoshikawa(2014/10/08) end
           MOVE    "SKT1110"           TO  SKT1110TP-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  SKT1110TP-TERMID
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  SKT1110TP-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           MOVE    "RECEUPD"           TO  RECEUPD-FILE-ID
           MOVE    LNK-PRTKANRI-TERMID TO  RECEUPD-TERMID
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  RECEUPD-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    "RECEERR"           TO  RECEERR-FILE-ID
      *     MOVE    LNK-PRTKANRI-TERMID TO  RECEERR-TERMID
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           MOVE  SKT1110TP-BASENAME      TO  SGETTEMP-BASENAMES (1)
           MOVE  RECEUPD-BASENAME        TO  SGETTEMP-BASENAMES (2)
           MOVE  RECEERR                 TO  SGETTEMP-BASENAMES (3)
           CALL  "ORCSGETTEMP"           USING
                                         SGETTEMP-AREA
           MOVE  SGETTEMP-FULLNAMES (1)  TO  SKT1110TP-FULLNAME
           MOVE  SGETTEMP-FULLNAMES (2)  TO  RECEUPD-FULLNAME
           MOVE  SGETTEMP-FULLNAMES (3)  TO  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SRYYMD (1:6)
           MOVE    "01"                TO  WRK-SRYYMD (7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *##
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO 
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *    ŵأɣԽ
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"              TO  SYS-1001-KANRICD
           MOVE    "*"                 TO  SYS-1001-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1001-STYUKYMD(1:6)
                                           SYS-1001-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1001-STYUKYMD(7:2)
                                           SYS-1001-EDYUKYMD(7:2)
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM         TO  SYS-1001-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    SYS-1001-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1001-REC
               IF      SYS-1001-HOSPNAME   =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-HOSPNAME
               END-IF    
               IF      SYS-1001-KAISETUNAME    =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-KAISETUNAME
               END-IF    
           ELSE
               MOVE    "ŵؾ󤬼ǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE                  SYS-1002-REC
           MOVE    "1002"              TO  SYS-1002-KANRICD
           MOVE    "*"                 TO  SYS-1002-KBNCD
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1002-STYUKYMD(1:6)
                                           SYS-1002-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1002-STYUKYMD(7:2)
                                           SYS-1002-EDYUKYMD(7:2)
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM         TO  SYS-1002-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    SYS-1002-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC        TO  SYS-1002-REC
               IF      SYS-1002-ADRS       =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1002-ADRS
               END-IF    
           ELSE
               MOVE    "ŵؾʽϡˤǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF 
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *    ֹޤȤ
           INITIALIZE                      WRK-2007-AREA
      *
           INITIALIZE                      SYS-2007-REC
           MOVE    "2007"              TO  SYS-2007-KANRICD
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-2007-STYUKYMD (1:6)
           MOVE    "01"                TO  SYS-2007-STYUKYMD (7:2)
           MOVE    SYS-2007-STYUKYMD   TO  SYS-2007-EDYUKYMD
           MOVE    WRK-PARA-HOSPNUM    TO  SYS-2007-HOSPNUM
           MOVE    SYS-2007-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBSELECT"          TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key2"          TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    ZERO            TO  IDX1
           PERFORM         UNTIL   FLG-SYSKANRI   =   1
                           OR      IDX1           >=  100
               MOVE    MCPDATA-REC         TO  SYS-2007-REC
      *
               ADD     1                   TO  IDX1
               MOVE    SYS-2007-MEISYO(1) TO  WRK-2007-MEISYO(IDX1)
               PERFORM VARYING IDX2 FROM    1   BY  1
                       UNTIL   IDX2 >       10
                       OR      SYS-2007-KOHNUM (IDX2)   =   SPACE
                   MOVE    SYS-2007-KOHNUM (IDX2)
                                           TO WRK-2007-KOHNUM(IDX1 IDX2)
               END-PERFORM
      *
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key2"              TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           END-PERFORM
      *
           MOVE    "tbl_syskanri"          TO  MCP-TABLE
           MOVE    "key2"                  TO  MCP-PATHNAME
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           MOVE    IDX1                    TO  WRK-2007-MAX
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *    Ʒ󵭺ܾ
           INITIALIZE                      WRK-2010-AREA
      *
           INITIALIZE                      SYS-2010-REC
           MOVE    "2010"              TO  SYS-2010-KANRICD
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-2010-STYUKYMD (1:6)
           MOVE    "01"                TO  SYS-2010-STYUKYMD (7:2)
           MOVE    SYS-2010-STYUKYMD   TO  SYS-2010-EDYUKYMD
           MOVE    WRK-PARA-HOSPNUM    TO  SYS-2010-HOSPNUM
           MOVE    SYS-2010-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBSELECT"          TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key2"          TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    ZERO            TO  IDX
           PERFORM         UNTIL   FLG-SYSKANRI   =   1
                           OR      IDX            >=  100
               MOVE    MCPDATA-REC         TO  SYS-2010-REC
               IF    ( SYS-2010-SAIKEIKBN  =   "1"         )
               AND   ( SYS-2010-SAIKEI-TAIKBN
                                           =   "0" OR  "1" )
                   ADD     1                   TO  IDX
                   MOVE    SYS-2010-KBNCD(1:3) TO WRK-2010-KOHNUM (IDX)
               END-IF
      *
               MOVE    "tbl_syskanri"  TO  MCP-TABLE
               MOVE    "key2"          TO  MCP-PATHNAME
               PERFORM 900-SYSKANRI-READ-N-SEC
           END-PERFORM
      *
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           MOVE    IDX                 TO  WRK-2010-MAX
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    SYS-1001-HOSPNAME   TO  WRK-HOSPNAME
           MOVE    SYS-1002-ADRS       TO  WRK-HOSPADRS
           MOVE    SYS-1002-TEL        TO  WRK-HOSPTEL
      *    ŵԽ
           PERFORM 900-1900-READ-SEC
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *     PERFORM  110-INI-FILE-SEC
      *    ץ४ץ
           PERFORM 100-OPTION-SELECT-SEC
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
           OPEN    OUTPUT  UPD-FILE
      *  
           EVALUATE    WRK-PARA-SYOKBN 
               WHEN    "2"
      *---(01.00.06) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY37    TO  WRK-PATH
                   MOVE    "key37"        TO  WRK-PATH
      *---(01.00.06) LINE ADD END   ------------------------------------
               WHEN    "1"
      *---(01.00.06) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY38    TO  WRK-PATH
                   MOVE    "key38"        TO  WRK-PATH
      *---(01.00.06) LINE ADD END   ------------------------------------
           END-EVALUATE
      *
           PERFORM 900-SEIKYU-SELECT-SEC
           .
       100-INIT-EXT.
           EXIT.
      *
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      ******************************************************************
      **    ͥݸֹINIեɤ߹߽
      ******************************************************************
      * 110-INI-FILE-SEC                SECTION.
      **
      **
      **    եǥ쥯ȥֻ
      **=== ץ饰б by Yoshikawa(2012/12/21) start
      **     INITIALIZE           ORCSMKPASSAREA
      **     MOVE  "data/YUSEN.INI"     TO  MKPASS-IN-01
      **     CALL  "ORCSMKPASSSITE"  USING  ORCSMKPASSAREA
      **     MOVE  MKPASS-OT-01  TO  FILE-NAME
      *     MOVE  SPA-HOSPNUM   TO  FILE-HOSPNUM
      **=== ץ饰б by Yoshikawa(2012/12/21) end
      **
      *     DISPLAY "ե̾="  FILE-NAME
      **
      *     INITIALIZE   YUSEN-HKNJANUM
      **
      *     OPEN  INPUT  YUSEN-FILE
      **
      *     READ YUSEN-FILE
      *       AT END
      *         INITIALIZE        YUSEN-HKNJANUM
      *       DISPLAY "ɤ߹߼"  
      *     END-READ
      **
      *     DISPLAY "ͥݸֹ="  YUSEN-HKNJANUM
      **
      *     CLOSE YUSEN-FILE
      **
      *     .
      * 110-INI-FILE-EXT.
      *     EXIT.
      *****************************************************************
      *    ץ४ץ߽
      *****************************************************************
       100-OPTION-SELECT-SEC             SECTION.
      *
           MOVE    "SOKATU1110"              TO  WRK-PRGID
      *
      *    ץ४ץ
      *    ͥݸֹ
           MOVE    "YUSEN"                   TO  WRK-KBNCD
           PERFORM 1001-OPTION-SET-SEC
           MOVE    WRK-OPTION(1)(1:6)        TO  WRK-YUSEN
           DISPLAY "ͥݸֹ="  WRK-YUSEN
      *
           .
       100-OPTION-SELECT-EXT.
           EXIT.
      *****************************************************************
      *    ץ४ץѥ᥿åȽ
      *****************************************************************
       1001-OPTION-SET-SEC              SECTION.
      *
           INITIALIZE                            WRK-OPTION-TBL
                                                 FLG-OK
      *    ץ४ץɹ
           PERFORM  900-PRGOPTION-READ-SEC
      *
      *    ץν
           MOVE    1                         TO  IDX1
           IF  FLG-PRGOPTION  =  ZERO
             PERFORM  VARYING  IDX  FROM  1  BY  1
                      UNTIL   (IDX     >   44000 )
                         OR   (IDX1    >  100)
                         OR   (FLG-OK  NOT =   ZERO)
      *
      *        ץ1ܤǤнλ
               IF   PRGOPTION-OPTION(IDX:1)  =  SPACE
               AND  IDY                      =  ZERO
                   MOVE    1                 TO  FLG-OK
               END-IF
      *
               IF  FLG-OK  =  ZERO
      *          
                 IF  PRGOPTION-OPTION(IDX:1)  =   X"0A"
                 OR  IDY  >=  100
                   ADD    1                  TO  IDX1
                   MOVE    ZERO              TO  IDY
                 ELSE
                   ADD    1                  TO  IDY
      *            PGץƤʸĥå
                   MOVE    PRGOPTION-OPTION(IDX:1)
                                         TO  WRK-OPTION(IDX1)(IDY:1)
                 END-IF
               END-IF
             END-PERFORM
           END-IF
      *
           .
       1001-OPTION-SET-EXT.
           EXIT.
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
      *
           OPEN     OUTPUT  SKT1110TMP-FILE
           CLOSE            SKT1110TMP-FILE
           OPEN     I-O     SKT1110TMP-FILE
      *
           MOVE     ZERO    TO      FLG-END
           MOVE     ZERO    TO      FLG-UPD
      *
           DISPLAY  "2001 START"
           PERFORM  2001-KOKUHO-SYUKEI-SEC
                    UNTIL   FLG-END   =   1
           DISPLAY  "2001 END"
      *
      *---(01.00.07) LINE ADD START ------------------------------------
           PERFORM  2003-TOKUBETU-SEC
      *---(01.00.07) LINE ADD END   ------------------------------------
           CLOSE   UPD-FILE
           CLOSE   SKT1110TMP-FILE
      *
           IF       FLG-UPD   =       1
                    DISPLAY  "2002 START"
                    PERFORM   2002-PRINT-SEC
                      DISPLAY  "2002 END"
           END-IF
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ    
      *****************************************************************
       300-END-SEC                     SECTION.
      *
           IF      CNT-RECE10          =   ZERO 
                   CONTINUE
           ELSE
                   IF      FLG-UPD     =   1
                           PERFORM     310-SEIKYU-UPD-SEC
                   END-IF
           END-IF
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SOKATU1110 IN  "  CNT-RECE10 
           DISPLAY "*** SOKATU1110 END ***"
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
      *
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA  
                                   JOBKANRI-REC
      *---(01.00.06) LINE ADD START ------------------------------------
                                   SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------

           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹ̽׽
      *****************************************************************
       2001-KOKUHO-SYUKEI-SEC              SECTION.
      * 
      *TMP-FILE å
      *
           INITIALIZE  SKT1110TMP-REC
      *
           MOVE    RECE10-HKNJANUM-S   TO  SKT1110TMP-HKNJANUM
      *
      *    ޻Ԥɽֹ
           IF      SKT1110TMP-HKNJANUM(1:3)    =   "114"
      ****2006/04/19 @@@@-BRAND START
      *         MOVE    "114009"       TO  SKT1110TMP-HKNJANUM
               MOVE    114009        TO  SKT1110TMP-HKNJANUM
      ****2006/04/19 @@@@-BRAND END
           END-IF
      *
      *    
           MOVE    RECE10-ZAITAKU      TO  SKT1110TMP-ZAITAKU
      *
      *    Ͻ
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *     IF      YUSEN-HKNJANUM  =   SKT1110TMP-HKNJANUM
           IF      WRK-YUSEN  =   SKT1110TMP-HKNJANUM
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
               MOVE    1       TO  SKT1110TMP-SYUTURYOKU
           ELSE
               IF      RECE10-PREFKBN  =   "1"
                   MOVE    2       TO  SKT1110TMP-SYUTURYOKU
               ELSE
                   MOVE    3       TO  SKT1110TMP-SYUTURYOKU
               END-IF
           END-IF
      *
      *=== ҳб by Yoshikawa(2011/03/24) start
      *    ҳоݼԤĢɼ
           IF  RECE10-ETC-YKZFTN (1)  NOT =  ZERO
             MOVE  RECE10-ETC-YKZFTN (1)  TO  SKT1110TMP-GENMEN
           END-IF
      *=== ҳб by Yoshikawa(2011/03/24) end
      *
           PERFORM  800-SKTTMP-READ-SEC
      *
           DISPLAY  "210 START"
           PERFORM  210-HKN-SYUKEI-SEC
           DISPLAY  "210 END"
      *
      *    פоݤˤʤʤäȤ
           IF      FLG-UPD             =   1
               PERFORM 230-UPD-FILE-HENSYU-SEC
      *
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    SPACE               TO  WRK-RECEERR
               STRING "оݳֹ"     DELIMITED  BY  SIZE
                       RECE10-PTNUM                DELIMITED  BY  SPACE
                       " ǯ"               DELIMITED  BY  SIZE
                       RECE10-SRYYM                DELIMITED  BY  SIZE
                       " 쥻̡"               DELIMITED  BY  SIZE
                       RECE10-RECESYUBETU          DELIMITED  BY  SIZE
                                           INTO    WRK-RECEERR
               END-STRING                                
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF 
           .
       2001-KOKUHO-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸϷݷʬ׽
      *****************************************************************
       210-HKN-SYUKEI-SEC          SECTION.
      *
      *    
           IF      RECE10-NYUGAIKBN    =   "1"
               MOVE    1   TO  IDX2
           ELSE
               MOVE    2   TO  IDX2
           END-IF
      *
      *    Ϸͤɤ
           IF      RECE10-RJNHKNNUM    NOT =   SPACE
               IF      RECE10-KYURATE  =   9
                   MOVE    11      TO  IDX1
                ELSE
                   MOVE    12      TO  IDX1
               END-IF
           ELSE
      *      ̤࿦Ԥ
               IF      RECE10-HKNNUM   =   "060"
      *        ǯå
                   IF      RECE10-AGE  >=  70
      *=== ԣб by Yoshikawa(2014/05/16) start
      *                 IF      RECE10-KYURATE  =   9
      *                     MOVE    1       TO  IDX1
      *                 ELSE
      *                     MOVE    2       TO  IDX1
      *                 END-IF
                     EVALUATE  RECE10-KYURATE
                       WHEN  9
                         MOVE    1     TO    IDX1
                       WHEN  8
                         IF  RECE10-RECESYUBETU(4:1)  =  "7" OR "8"
                             MOVE    1    TO    IDX1
                         ELSE
                             MOVE    2    TO    IDX1
                         END-IF
                       WHEN  7
                         MOVE    2     TO    IDX1
                     END-EVALUATE
      *=== ԣб by Yoshikawa(2014/05/16) end
                   ELSE
      *---(01.00.08) LINE ADD START ------------------------------------
                       IF  (RECE10-SRYYM  >=  WRK-CONS-SRYYM-200804)
                       AND  (RECE10-FLG (1)   =  1)
                           MOVE  5     TO  IDX1
                       ELSE
      *---(01.00.08) LINE ADD END   ------------------------------------
                          IF      RECE10-AGE  >=  3
                             IF      RECE10-KYURATE  =   7
                                   MOVE    4       TO  IDX1
                             ELSE
                                   MOVE    3       TO  IDX1
                                   MOVE    RECE10-KYURATE
                                         TO  SKT1110TMP-KYURATE(IDX2)
                             END-IF
                          ELSE
                              MOVE    5       TO  IDX1
                          END-IF
      *---(01.00.08) LINE ADD START ------------------------------------
                       END-IF
      *---(01.00.08) LINE ADD END   ------------------------------------
                   END-IF
      *
               ELSE
                   IF      RECE10-AGE  >=  70
      *=== ԣб by Yoshikawa(2014/05/16) start
      *                 IF      RECE10-KYURATE  =   9
      *                     MOVE    7       TO  IDX1
      *                 ELSE
      *                     MOVE    8       TO  IDX1
      *                 END-IF
                     EVALUATE  RECE10-KYURATE
                       WHEN  9
                         MOVE    7     TO    IDX1
                       WHEN  8
                         IF  RECE10-RECESYUBETU(4:1)  =  "7" OR "8"
                             MOVE    7    TO    IDX1
                         ELSE
                             MOVE    8    TO    IDX1
                         END-IF
                       WHEN  7
                         MOVE    8     TO    IDX1
                     END-EVALUATE
      *=== ԣб by Yoshikawa(2014/05/16) end
                   ELSE
                       IF      RECE10-HONKZKKBN    =   "1"
                           MOVE    6       TO  IDX1
                       ELSE
      *---(01.00.08) LINE ADD START ------------------------------------
                           IF  (RECE10-SRYYM  >=  WRK-CONS-SRYYM-200804)
                             AND  (RECE10-FLG (1)   =  1)
                                  MOVE  10     TO  IDX1
                           ELSE
      *---(01.00.08) LINE ADD END   ------------------------------------
                             IF      RECE10-AGE  <   3
                                  MOVE    10      TO  IDX1
                             ELSE
                                  MOVE    9       TO  IDX1
                             END-IF
      *---(01.00.08) LINE ADD START ------------------------------------
                           END-IF
      *---(01.00.08) LINE ADD END   ------------------------------------
                       END-IF
                   END-IF
               END-IF
           END-IF
      *
      *    
           MOVE    1       TO  IDX4
           PERFORM 2101-SYUKEI-SEC
      *
      *    ʻ
           IF      RECE10-KOHNUM(1)    NOT =   SPACE
               PERFORM 2202-KOH-SEC
           END-IF
      *
           IF      FLG-SKT1110TMP  =  1
               WRITE   SKT1110TMP-REC
           ELSE
               REWRITE SKT1110TMP-REC
           END-IF
      *
           MOVE    1               TO  FLG-UPD 
      *
           .
       210-HKN-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸ׽
      *****************************************************************
       2101-SYUKEI-SEC         SECTION.
      *
      *    ܤε
      *    
           ADD     1                   TO  SKT1110TMP-KENSU(IDX1 IDX2)
      *
      *    
           ADD     RECE10-JNISSU(IDX4) TO  SKT1110TMP-NISSU(IDX1 IDX2)
      *
      *    
           ADD     RECE10-TOTALTEN(IDX4)
                                       TO  SKT1110TMP-TENSU(IDX1 IDX2)
      *
      *    ô
            ADD    RECE10-FTNMONEY(IDX4)
                                       TO  SKT1110TMP-ITBFTN(IDX1 IDX2)
      *
      *    
           IF      RECE10-SHOKUJINISSU(IDX4)   >   ZERO
      *
      *        
               ADD     1                   TO  SKT1110TMP-SKENSU(IDX1)
      *---(01.00.03) LINE ADD START ------------------------------------
           END-IF
      *---(01.00.03) LINE ADD END   ------------------------------------
      *
      *    
           ADD     RECE10-SHOKUJINISSU(IDX4)
                                           TO  SKT1110TMP-SNISSU(IDX1)
      *
      *    
           ADD     RECE10-SHOKUJIRYOYOHI(IDX4)
                                           TO  SKT1110TMP-SKINGK(IDX1)
      *
      *    ɸô
           ADD     RECE10-SHOKUJIFTN(IDX4)
                                           TO  SKT1110TMP-SFTNGK(IDX1)
      *---(01.00.03) LINE ADD START ------------------------------------
      *     END-IF
      *---(01.00.03) LINE ADD END   ------------------------------------
      *
           MOVE    1               TO  FLG-UPD 
           .
       2101-SYUKEI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ̸Խ
      *****************************************************************
       2202-KOH-SEC              SECTION.
      *
           PERFORM VARYING IDX3    FROM    1   BY  1
                   UNTIL   IDX3    >       4
                   OR      RECE10-KOHNUM(IDX3) =   SPACE
      *
      *        ȣƱ˽פ
               IF      RECE10-KOHNUM(IDX3) =   "091"
                   MOVE    "051"   TO  RECE10-KOHNUM(IDX3)
               END-IF
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
               MOVE    ZERO                  TO  FLG-2010
      *
      *        Ʒ󵭺ܾ󤬤Ȥ
               IF  WRK-2010-MAX  >  ZERO
                 PERFORM VARYING IDZ1    FROM    1   BY  1
                         UNTIL   IDZ1    >       WRK-2010-MAX
                   IF  RECE10-KOHNUM(IDX3)  =  WRK-2010-KOHNUM(IDZ1)
                     MOVE    1               TO  FLG-2010
                     MOVE    WRK-2010-MAX    TO  IDZ1
                   END-IF
                 END-PERFORM
               END-IF
      *
               IF  FLG-2010  =  ZERO
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *          ֹޤȤ󤬤Ȥ
                 IF  WRK-2007-MAX  >  ZERO
                   MOVE  SPACE     TO  WRK-KOHNAME
                   PERFORM VARYING IDZ1    FROM    1   BY  1
                           UNTIL   IDZ1    >       WRK-2007-MAX
                     PERFORM VARYING IDZ2  FROM    1   BY  1
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) start
      *                       UNTIL   IDZ2  >       5
                             UNTIL   IDZ2  >       10
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) end
                             OR WRK-2007-KOHNUM(IDZ1 IDZ2)  =  SPACE
                       IF  RECE10-KOHNUM(IDX3)  
                                     =   WRK-2007-KOHNUM(IDZ1 IDZ2)
                         MOVE  WRK-2007-KOHNUM(IDZ1 1)
                                     TO  RECE10-KOHNUM (IDX3)
                         MOVE  WRK-2007-MEISYO (IDZ1)
                                     TO  WRK-KOHNAME
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) start
      *                   MOVE  5             TO  IDZ2
                         MOVE  10            TO  IDZ2
      *=== ֹޤȤԽˡ by Yoshikawa(2009/11/18) end
                         MOVE  WRK-2007-MAX  TO  IDZ1
                       END-IF
                     END-PERFORM
                   END-PERFORM
                 END-IF
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *         DISPLAY "RECE10-PTNUM =" RECE10-PTNUM
      *         DISPLAY "RECE10-KOHNUM =" RECE10-KOHNUM(IDX3)
      **        ̸ȣΤߤоݤˤ
      **        ԡ181˽ԡ281ˤо
      *         IF      RECE10-KOHNUM(IDX3)(1:1)    =   "0"
      **---(01.00.04) LINE ADD START ------------------------------------
      *             OR  RECE10-KOHNUM(IDX3)  =  "141"
      **---(01.00.04) LINE ADD END   ------------------------------------
      **---(01.00.05) LINE ADD START ------------------------------------
      *             OR  RECE10-KOHNUM(IDX3)  =  "181"
      *             OR  RECE10-KOHNUM(IDX3)  =  "182"
      *             OR  RECE10-KOHNUM(IDX3)  =  "183"
      *             OR  RECE10-KOHNUM(IDX3)  =  "281"
      **---(01.00.05) LINE ADD END   ------------------------------------
      **---(01.00.09) LINE ADD START ------------------------------------
      *             OR  RECE10-KOHNUM(IDX3)  =  "481"
      *             OR  RECE10-KOHNUM(IDX3)  =  "482"
      *             OR  RECE10-KOHNUM(IDX3)  =  "483"
      *             OR  RECE10-KOHNUM(IDX3)  =  "583"
      **---(01.00.09) LINE ADD END   ------------------------------------
      **=== оֹɲ by Yoshikawa(2008/10/08) start
      *             OR  RECE10-KOHNUM(IDX3)  =  "581"
      **=== оֹɲ by Yoshikawa(2008/10/08) end
      **=== оֹɲ by Uchida(2009/06/17) start
      *             OR  RECE10-KOHNUM(IDX3)  =  "381"
      **=== оֹɲ by Uchida(2009/06/17) end
      **=== оֹɲ by Yoshikawa(2009/08/21) start
      *             OR  RECE10-KOHNUM(IDX3)  =  "352"
      *             OR  RECE10-KOHNUM(IDX3)  =  "353"
      *             OR  RECE10-KOHNUM(IDX3)  =  "354"
      **=== оֹɲ by Yoshikawa(2009/08/21) end
      **=== оֹɲ by Yoshikawa(2009/10/16) start
      *             OR  RECE10-KOHNUM(IDX3)  =  "382"
      **=== оֹɲ by Yoshikawa(2009/10/16) end
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
      *
                   PERFORM VARYING IDX4    FROM    1   BY  1
                           UNTIL   IDX4    >       20
                           OR      SKT1110TMP-KOHNUM(IDX4) =   SPACE
                       IF  RECE10-KOHNUM(IDX3)
                                       =   SKT1110TMP-KOHNUM (IDX4)
                           MOVE    IDX4    TO  CNT-KOH
                           MOVE    20      TO  IDX4
                       END-IF
                   END-PERFORM
      *
      *            񤬤ʤä
                   IF      IDX4    <   20
                       MOVE    IDX4    TO  CNT-KOH
                   END-IF
      *
      *            ̾
                   MOVE    RECE10-KOHNUM(IDX3)
                                   TO  SKT1110TMP-KOHNUM(CNT-KOH)
      *
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *            ̾
                   MOVE    WRK-KOHNAME
                                   TO  SKT1110TMP-KOHNAME(CNT-KOH)
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *            ܤεա
                   ADD     1       TO  SKT1110TMP-K-KENSU(CNT-KOH IDX2)
      *
      *            ܤε:ż
                   ADD     RECE10-JNISSU (IDX3 + 1)
                                   TO  SKT1110TMP-K-NISSU(CNT-KOH IDX2)
      *
      *            ܤεա
                   ADD     RECE10-TOTALTEN(IDX3 + 1)
                                   TO  SKT1110TMP-K-TENSU(CNT-KOH IDX2)
      *
      *            ܤεաô
                   ADD     RECE10-FTNMONEY (IDX3 + 1)
                                   TO SKT1110TMP-K-ITBFTN(CNT-KOH IDX2)
      *
      *            ɲ
                   IF      RECE10-SHOKUJINISSU(IDX3 + 1)   >  ZERO
      *
      *                :
                       ADD     1       TO  SKT1110TMP-K-SKENSU(CNT-KOH)
      *---(01.00.03) LINE ADD START ------------------------------------
                   END-IF
      *---(01.00.03) LINE ADD END   ------------------------------------
      *
      *            :
                   ADD     RECE10-SHOKUJINISSU(IDX3 + 1)
                                       TO  SKT1110TMP-K-SNISSU(CNT-KOH)
      *
      *            ܡ
                   ADD     RECE10-SHOKUJIRYOYOHI(IDX3 + 1)
                                       TO  SKT1110TMP-K-SKINGK(CNT-KOH)
      *
      *            ܡɸô
                   ADD     RECE10-SHOKUJIFTN(IDX3 + 1)
                                       TO  SKT1110TMP-K-SFTNGK(CNT-KOH)
      *---(01.00.03) LINE ADD START ------------------------------------
      *             END-IF
      *---(01.00.03) LINE ADD END   ------------------------------------
      *---(01.00.04) LINE ADD START ------------------------------------
      *         ELSE
      *             IF      RECE10-KOHNUM(IDX3) = "141"
      *                 MOVE    13      TO  IDX1
      *                 COMPUTE IDX4    =   IDX3    +   1
      *                 PERFORM 2101-SYUKEI-SEC
      *             END-IF
      *---(01.00.04) LINE ADD END   ------------------------------------
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) start
      *         END-IF
               ELSE
                   MOVE    1                   TO  FLG-UPD
               END-IF     
      *=== ɡ2010񵭺б by Yoshikawa(2010/02/04) end
           END-PERFORM
      *
           .
       2202-KOH-EXT.
           EXIT.
      *---(01.00.07) LINE ADD START ------------------------------------
      *****************************************************************
      *    
      *****************************************************************
       2003-TOKUBETU-SEC         SECTION.
      *
           MOVE    "DBCLOSECURSOR"      TO  MCP-FUNC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    WRK-PATH             TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           INITIALIZE    FLG-END
           EVALUATE    WRK-PARA-SYOKBN
               WHEN    "2"
                   MOVE    "key39"        TO  WRK-PATH
               WHEN    "1"
                   MOVE    "key40"        TO  WRK-PATH
           END-EVALUATE
           PERFORM  900-SEIKYU-SELECT-SEC
      *
           PERFORM  UNTIL  FLG-END = 1
      *
      *TMP-FILE å
               INITIALIZE  SKT1110TMP-REC
               MOVE  RECE10-HKNJANUM-S   TO  SKT1110TMP-HKNJANUM
      *
      *    ޻Ԥɽֹ
               IF    SKT1110TMP-HKNJANUM(1:3)    =   "114"
                   MOVE    114009        TO  SKT1110TMP-HKNJANUM
               END-IF
      *    
               MOVE    RECE10-ZAITAKU    TO  SKT1110TMP-ZAITAKU
      *    Ͻ
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *         IF      YUSEN-HKNJANUM  =   SKT1110TMP-HKNJANUM
               IF      WRK-YUSEN  =   SKT1110TMP-HKNJANUM
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
                   MOVE    1           TO  SKT1110TMP-SYUTURYOKU
               ELSE
                   IF      RECE10-PREFKBN  =   "1"
                       MOVE    2       TO  SKT1110TMP-SYUTURYOKU
                   ELSE
                       MOVE    3       TO  SKT1110TMP-SYUTURYOKU
                   END-IF
               END-IF
      *
               PERFORM  800-SKTTMP-READ-SEC
               PERFORM  20031-TOKU-SYUKEI-SEC
      *
               PERFORM  900-SEIKYU-READ-SEC
           END-PERFORM
      *
           .
       2003-TOKUBETU-EXT.
           EXIT.
      *****************************************************************
      *    
      *****************************************************************
       20031-TOKU-SYUKEI-SEC         SECTION.
      *
      *    
           ADD     1                   TO  SKT1110TMP-T-KENSU
      *    
           ADD     RECE10-JNISSU(1)    TO  SKT1110TMP-T-NISSU
      *    
           ADD     RECE10-TOTALTEN(1)  TO  SKT1110TMP-T-TENSU
      *
           IF      FLG-SKT1110TMP  =   1
               WRITE   SKT1110TMP-REC
           ELSE
               REWRITE SKT1110TMP-REC
           END-IF
      *
           .
       20031-TOKU-SYUKEI-EXT.
           EXIT.
      *---(01.00.07) LINE ADD END   ------------------------------------
      *****************************************************************
006900*    ģ¹ѥեϽ
      *****************************************************************
       230-UPD-FILE-HENSYU-SEC         SECTION.
      *
           MOVE    RECE10-REC          TO  RECE10X-REC
           WRITE   RECE10X-REC
           ADD     1                   TO  CNT-UPDFILE
           .
       230-UPD-FILE-HENSYU-EXT.
           EXIT.
057400*
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-SEC                SECTION.
      *
           OPEN    INPUT   SKT1110TMP-FILE
      *
           MOVE    ZERO    TO  FLG-PRINT
      *
      *    եɹ
           PERFORM 900-TMP-READ-SEC
      *
           PERFORM UNTIL   FLG-PRINT   =  1
      *
      *        ĢɼԽ<Ф>
               PERFORM 310-HEAD-HEN-SEC
      *
      *        ĢɼԽ<>
               PERFORM 320-BODY-HEN-SEC
      *
      *        Ģɼ
               PERFORM 330-PRINT-OUT-SEC
      *
      *        񥽡Ƚ
               PERFORM KOH-SORT-SEC
      *
      *        ϻĤäƤ뤫
               MOVE    ZERO    TO  FLG-PASS
               MOVE    1       TO  WRK-CNT
      *
               PERFORM UNTIL   SKT1110TMP-KOHNUM(WRK-CNT) = SPACE
                       AND     FLG-PASS    =   1
      *
      *            ĢɼԽ<Ф>
                   PERFORM 311-HEAD-HEN-SEC
      *
                   IF  WRK-CNT  =  1
      *                ĢɼԽ<>
                       PERFORM 321-BODY-HEN-SEC
                   END-IF
      *
      *            ĢɼԽ<>
                   PERFORM 321-KOH-HEN-SEC
      *
      *            Ģɼ
                   PERFORM 331-PRINT-OUT-SEC
                   MOVE    1       TO  FLG-PASS
               END-PERFORM
      *
      *        եɹ
               PERFORM  900-TMP-READ-SEC
           END-PERFORM
      *
           CLOSE    SKT1110TMP-FILE
      *
           .
       2002-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       310-HEAD-HEN-SEC          SECTION.
      *
           ADD      1         TO        CNT-PAGE
           INITIALIZE                             SKT1110
      *
      *    NO
           MOVE    CNT-PAGE                TO  WRK-Z4
           MOVE    WRK-Z4                  TO  SKT1110-NO
      *
      *    ǯ
           MOVE    WRK-SRYYMWH             TO  SKT1110-SRYYM
      *
      *    ǯ
           MOVE    WRK-SEIYMDWH            TO  SKT1110-SEIYMD
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *    ŵؽ
      *     MOVE    SYS-1002-ADRS           TO  SKT1110-ADRS
      *
      *    ŵ̾
      *     MOVE    SYS-1001-HOSPNAME       TO  SKT1110-HOSPNAME
      *    ŵؽ
           MOVE    WRK-HOSPADRS            TO  SKT1110-ADRS
      *=== ŵؾԽ by Yoshikawa(2012/12/21) start
           INSPECT SKT1110-ADRS            REPLACING ALL "  " BY ""
      *=== ŵؾԽ by Yoshikawa(2012/12/21) end
      *
      *    ŵ̾
           MOVE    WRK-HOSPNAME            TO  SKT1110-HOSPNAME
      *=== ŵؾԽ by Yoshikawa(2012/12/21) start
           INSPECT SKT1110-HOSPNAME        REPLACING ALL "  " BY ""
      *=== ŵؾԽ by Yoshikawa(2012/12/21) end
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *    ߼̾
           MOVE    SYS-1001-KAISETUNAME    TO  SKT1110-KAISETUNAME
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *    ֹ
      *     MOVE    SYS-1002-TEL            TO  SKT1110-TEL
      *    ֹ
           MOVE    WRK-HOSPTEL             TO  SKT1110-TEL
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *    ŵإ
           MOVE    SYS-1001-HOSPCD         TO  SKT1110-HOSPCDN
      *
      *    ݸֹ
           IF      SKT1110TMP-HKNJANUM     =   "014001"
               MOVE    "010017"            TO  SKT1110-HKNJANUM
           ELSE
               MOVE    SKT1110TMP-HKNJANUM TO  SKT1110-HKNJANUM
           END-IF
      *
      *    ݸ̾
           MOVE    SKT1110TMP-HKNJANUM     TO  WRK-HKNJANUM
           PERFORM  920-HKNJAINF-SET-SEC
           IF      HKNJA-HKNJANAME     NOT =   SPACE
               STRING  HKNJA-HKNJANAME     DELIMITED   BY  SPACE
                       "  Ĺ"            DELIMITED   BY  SIZE
                       INTO                SKT1110-HKNJANAME
               END-STRING
           ELSE
               MOVE    "Ĺ"              TO  SKT1110-HKNJANAME(23:4)
           END-IF
      *
      *    
           IF      SKT1110TMP-ZAITAKU      =   1
               MOVE    ""                TO    SKT1110-ZAI1
               MOVE    ""                TO    SKT1110-ZAI2
           END-IF
      *
           .
       310-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       320-BODY-HEN-SEC      SECTION.
      *
           PERFORM VARYING IDX1    FROM    1   BY  1
                   UNTIL   IDX1    >       10
               PERFORM VARYING IDX2    FROM  1  BY  1
                       UNTIL   IDX2    >     2
      *
      *            
                   MOVE    SKT1110TMP-KENSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1110-KENSU(IDX1 IDX2)
      *
      *            
                   MOVE    SKT1110TMP-NISSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1110-NISSU(IDX1 IDX2)
      *
      *            
                   MOVE    SKT1110TMP-TENSU(IDX1 IDX2) TO  WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1110-TENSU(IDX1 IDX2)
      *
      *            ô
                   MOVE    SKT1110TMP-ITBFTN(IDX1 IDX2)    TO  WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1110-ITBFTN(IDX1 IDX2)
               END-PERFORM
      *
      *        ܡ
               MOVE    SKT1110TMP-SKENSU(IDX1)     TO  WRK-Z5
               MOVE    WRK-Z5  TO  SKT1110-SKENSU(IDX1)
      *
      *        ܡ
               MOVE    SKT1110TMP-SNISSU(IDX1)     TO  WRK-Z5
               MOVE    WRK-Z5  TO  SKT1110-SNISSU(IDX1)
      *
      *        ܡ
               MOVE    SKT1110TMP-SKINGK(IDX1)     TO  WRK-Z9
               MOVE    WRK-Z9  TO  SKT1110-SKINGK(IDX1)
      *
      *        ܡɸô
               MOVE    SKT1110TMP-SFTNGK(IDX1)     TO  WRK-Z9
               MOVE    WRK-Z9  TO  SKT1110-SFTNGK(IDX1)
           END-PERFORM
      *
      *    ճ
           MOVE    SKT1110TMP-KYURATE(1)   TO  WRK-Z2
           MOVE    WRK-Z2  TO  SKT1110-KYURATE (1)
           MOVE    SKT1110TMP-KYURATE(2)   TO  WRK-Z2
           MOVE    WRK-Z2  TO  SKT1110-KYURATE (2)
      *
           .
       320-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       330-PRINT-OUT-SEC                SECTION.
      *
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SKT1110.red"        TO  SPRT-PRTID
      *=== ưΥȥ뽤 by Yoshikawa(2014/07/02) start
      *     MOVE    ""        TO  SPRT-TITLE
           EVALUATE  WRK-PARA-SYOKBN
             WHEN  "1"
               MOVE    ""    TO  SPRT-TITLE
             WHEN  "2"
               MOVE    "ʬ"
                                       TO  SPRT-TITLE
           END-EVALUATE
      *=== ưΥȥ뽤 by Yoshikawa(2014/07/02) end
           MOVE    SKT1110             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
      *---(01.00.06) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       330-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>Ϸ͡
      *****************************************************************
       311-HEAD-HEN-SEC          SECTION.
      *
           ADD      1         TO        CNT-PAGE
           INITIALIZE                             SKT1120
      *
      *    NO
           MOVE    CNT-PAGE                TO  WRK-Z4
           MOVE    WRK-Z4                  TO  SKT1120-NO
      *
      *    ŵإ
           MOVE    SYS-1001-HOSPCD         TO  SKT1120-HOSPCDN
      *
      *    ݸֹ
           MOVE    SKT1110TMP-HKNJANUM     TO  SKT1120-HKNJANUM
      *
      *    
           IF      SKT1110TMP-ZAITAKU      =   1
               MOVE    ""        TO  SKT1120-ZAI1
               MOVE    ""        TO  SKT1120-ZAI2
           END-IF
      *
           .
       311-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>Ϸݷ򡢻(ϷͰ)
      *****************************************************************
       321-BODY-HEN-SEC      SECTION.
      *
           PERFORM VARYING IDX1    FROM    11  BY  1
      *---(01.00.04) LINE ADD START ------------------------------------
      *             UNTIL   IDX1    >       13
                   UNTIL   IDX1    >       12
      *---(01.00.04) LINE ADD END   ------------------------------------
               COMPUTE IDX3    =   IDX1    -   10 
               PERFORM VARYING IDX2    FROM  1  BY  1
                       UNTIL   IDX2    >     2
      *
      *            
                   MOVE    SKT1110TMP-KENSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1120-KENSU(IDX3 IDX2)
      *
      *            
                   MOVE    SKT1110TMP-NISSU(IDX1 IDX2) TO  WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1120-NISSU(IDX3 IDX2)
      *
      *            
                   MOVE    SKT1110TMP-TENSU(IDX1 IDX2) TO  WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1120-TENSU(IDX3 IDX2)
      *
      *            ô
                   MOVE    SKT1110TMP-ITBFTN(IDX1 IDX2)    TO  WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1120-ITBFTN(IDX3 IDX2)
               END-PERFORM
      *
      *        ܡ
               MOVE    SKT1110TMP-SKENSU(IDX1)     TO  WRK-Z5
               MOVE    WRK-Z5  TO  SKT1120-SKENSU(IDX3)
      *
      *        ܡ
               MOVE    SKT1110TMP-SNISSU(IDX1)     TO  WRK-Z5
               MOVE    WRK-Z5  TO  SKT1120-SNISSU(IDX3)
      *
      *        ܡ
               MOVE    SKT1110TMP-SKINGK(IDX1)     TO  WRK-Z9
               MOVE    WRK-Z9  TO  SKT1120-SKINGK(IDX3)
      *
      *        ܡɸô
               MOVE    SKT1110TMP-SFTNGK(IDX1)     TO  WRK-Z9
               MOVE    WRK-Z9  TO  SKT1120-SFTNGK(IDX3)
           END-PERFORM
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *    
      *    
           MOVE    SKT1110TMP-T-KENSU TO  WRK-Z5
           MOVE    WRK-Z5  TO  SKT1120-T-KENSU
      *
      *    
           MOVE    SKT1110TMP-T-NISSU TO  WRK-Z5
           MOVE    WRK-Z5  TO  SKT1120-T-NISSU
      *
      *    
           MOVE    SKT1110TMP-T-TENSU TO  WRK-Z9
           MOVE    WRK-Z9  TO  SKT1120-T-TENSU
      *---(01.00.07) LINE ADD END   ------------------------------------
      *
           .
       321-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ≮>
      *****************************************************************
       321-KOH-HEN-SEC               SECTION.
      *
           PERFORM VARYING IDX1    FROM    1   BY  1
      *---(01.00.04) LINE ADD START ------------------------------------
      *             UNTIL   IDX1    >       2
                   UNTIL   IDX1    >       3
      *---(01.00.04) LINE ADD START ------------------------------------
                   OR      WRK-CNT >       20
                   OR      SKT1110TMP-KOHNUM(WRK-CNT) = SPACE
      *
      *        ̸
               MOVE    ""            TO  SKT1120-KOHMARU(IDX1)
      *
      *        ̾
               MOVE    SKT1110TMP-KOHNUM(WRK-CNT)  TO  WRK-KOHNUM
               PERFORM 950-HKNNUM-SET-SEC
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *         MOVE    HKN-TANSEIDONAME    TO  SKT1120-KOHNAME (IDX1)
               IF  SKT1110TMP-KOHNAME (WRK-CNT)  NOT =  SPACE
                 MOVE  SKT1110TMP-KOHNAME (WRK-CNT)
                                           TO  SKT1120-KOHNAME (IDX1)
               ELSE
                 MOVE  HKN-TANSEIDONAME    TO  SKT1120-KOHNAME (IDX1)
               END-IF
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *
      *        ˡֹ
               MOVE    HKN-HBTNUM          TO  SKT1120-KOHNUM(IDX1)
      *
               PERFORM VARYING IDX2    FROM    1   BY  1
                       UNTIL   IDX2    >       2
      *
      *            
                   MOVE    SKT1110TMP-K-KENSU(WRK-CNT IDX2) TO WRK-Z5
                   MOVE    WRK-Z5  TO   SKT1120-K-KENSU(IDX1 IDX2)
      *
      *            
                   MOVE    SKT1110TMP-K-NISSU(WRK-CNT IDX2) TO WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1120-K-NISSU(IDX1 IDX2)
      *
      *            
                   MOVE    SKT1110TMP-K-TENSU (WRK-CNT IDX2) TO WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1120-K-TENSU(IDX1 IDX2)
      *
      *            ô
                   MOVE    SKT1110TMP-K-ITBFTN(WRK-CNT IDX2) TO WRK-Z7
                   MOVE    WRK-Z7  TO  SKT1120-K-ITBFTN(IDX1 IDX2)
      *
      *            ܡ
                   MOVE    SKT1110TMP-K-SKENSU(WRK-CNT) TO WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1120-K-SKENSU(IDX1)
      *
      *            ܡ
                   MOVE    SKT1110TMP-K-SNISSU(WRK-CNT) TO WRK-Z5
                   MOVE    WRK-Z5  TO  SKT1120-K-SNISSU(IDX1)
      *
      *            ܡ
                   MOVE    SKT1110TMP-K-SKINGK(WRK-CNT) TO WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1120-K-SKINGK(IDX1)
      *
      *            ܡɸô
                   MOVE    SKT1110TMP-K-SFTNGK(WRK-CNT) TO WRK-Z9
                   MOVE    WRK-Z9  TO  SKT1120-K-SFTNGK(IDX1)
               END-PERFORM
      *
               ADD   1  TO  WRK-CNT
             END-PERFORM
      *
           .
       321-KOH-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼϷݷϷͰš
      *****************************************************************
       331-PRINT-OUT-SEC                SECTION.
      *
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SKT1120.red"        TO  SPRT-PRTID
      *=== ưΥȥ뽤 by Yoshikawa(2014/07/02) start
      *     MOVE    ""        TO  SPRT-TITLE
           EVALUATE  WRK-PARA-SYOKBN
             WHEN  "1"
               MOVE    ""    TO  SPRT-TITLE
             WHEN  "2"
               MOVE    "ʬ"
                                       TO  SPRT-TITLE
           END-EVALUATE
      *=== ưΥȥ뽤 by Yoshikawa(2014/07/02) end
           MOVE    SKT1120             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
      *---(01.00.06) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       331-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    񥽡Ƚ
      *****************************************************************
       KOH-SORT-SEC          SECTION.
      *
      *
           INITIALIZE  SORT-AREA
      *    
           MOVE    ZERO    TO  IDX-MAX
                               IDX2 
           MOVE    SPACE   TO  WRK-KOHNUM
           PERFORM VARYING IDX1    FROM    1   BY  1
                   UNTIL   IDX1    >       20
               IF      SKT1110TMP-KOHNUM(IDX1) =   SPACE
                   MOVE    20      TO  IDX1
               ELSE
                   IF      WRK-KOHNUM              =   SPACE
                   OR      SKT1110TMP-KOHNUM(IDX1) <   WRK-KOHNUM
                       MOVE    IDX1                TO  IDX2
                       MOVE    SKT1110TMP-KOHNUM(IDX1)
                                                   TO  WRK-KOHNUM
                   END-IF
                   ADD     1   TO  IDX-MAX
               END-IF
           END-PERFORM
      *
           IF      IDX2    >   ZERO
               MOVE    SKT1110TMP-KOH-TBL(IDX2)    TO  SORT-KOH-TBL(1)
           END-IF
      
           DISPLAY "̥" SKT1110TMP-KOHNUM(1)
           DISPLAY "̥" SKT1110TMP-KOHNUM(2)
           DISPLAY "̥" SKT1110TMP-KOHNUM(3)
      *
           IF      IDX-MAX     >   ZERO
               MOVE    2       TO  IDX1
               MOVE    1       TO  IDX2
               MOVE    1       TO  IDX3
               MOVE   "999"    TO  WRK-KOHNUM
               PERFORM UNTIL   IDX1    >   IDX-MAX
                   PERFORM VARYING IDX2    FROM    1   BY  1
                           UNTIL   IDX2    >       IDX-MAX
                       IF     (SKT1110TMP-KOHNUM(IDX2) >
                                           SORT-KOHNUM(IDX1 - 1))
                       AND    (SKT1110TMP-KOHNUM(IDX2) <  WRK-KOHNUM)
                           MOVE    SKT1110TMP-KOHNUM(IDX2)
                                                       TO WRK-KOHNUM
                           MOVE    IDX2          TO    IDX3
                       END-IF
                   END-PERFORM
                   MOVE    SKT1110TMP-KOH-TBL(IDX3)
                                                 TO  SORT-KOH-TBL(IDX1)
                   MOVE    "999"   TO  WRK-KOHNUM
                   ADD     1       TO  IDX1
               END-PERFORM
           END-IF
      *
           INITIALIZE  SKT1110TMP-KOH-AREA
           MOVE    SORT-AREA       TO  SKT1110TMP-KOH-AREA
      *
           DISPLAY "̥ȸ壱" SKT1110TMP-KOHNUM(1)
           DISPLAY "̥ȸ売" SKT1110TMP-KOHNUM(2)
           DISPLAY "̥ȸ壳" SKT1110TMP-KOHNUM(3)
      *
      *
           .
       KOH-SORT-EXT.
           EXIT.
      *
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *         
      *        ִϽ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
      *---(01.00.06) LINE ADD START ------------------------------------
               MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
      *---(01.00.06) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           END-IF
      *
           MOVE    1                   TO  FLG-END     
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *   ģ¹
      *****************************************************************
       310-SEIKYU-UPD-SEC              SECTION.
      *
           OPEN    INPUT    UPD-FILE
      *
           PERFORM 900-UPD-FILE-READ-SEC
           PERFORM             UNTIL   FLG-UPDFILE    =   1
               MOVE    RECE10X-KEY         TO  RECE10-KEY
               MOVE    RECE10-REC          TO  MCPDATA-REC
               PERFORM 910-SEIKYU-INV-SEC
               IF      FLG-SEIKYU          =   ZERO
                   MOVE    "2"             TO  RECE10-SKYKBN
      *
      *
                   MOVE    LNK-PRTKANRI-SRYYM
                                           TO  RECE10-SKYYM
                   MOVE    LNK-PRTKANRI-SKYYMD
                                           TO  RECE10-UPDYMD
      *
                   MOVE    RECE10-REC      TO  MCPDATA-REC
                   MOVE    "DBUPDATE"      TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *             MOVE    PATH-TBL-SEIKYU-KEY
      *                                     TO  MCP-PATH
      *             CALL    "MCPSUB"        USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
                   MOVE    "tbl_seikyu"    TO  MCP-TABLE
                   MOVE    "key"           TO  MCP-PATHNAME
                   CALL    "ORCDBMAIN"     USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
                   IF      MCP-RC          =   ZERO
                       PERFORM 900-UPD-FILE-READ-SEC
                   ELSE
                       DISPLAY "UPD ERR KEY="  RECE10-KEY 
                       MOVE  "*** SOKATU1110 SEIKYU UPD ERR ***"
                                           TO  WRK-RECEERR
                       MOVE    RECE10-KEY  TO  WRK-RECEERR(33:)
                       PERFORM 500-ERR-HENSYU-SEC
                       MOVE    1           TO  FLG-UPDFILE
                   END-IF
               ELSE
                       DISPLAY "INV ERR KEY="  RECE10-KEY 
                   MOVE  "*** SOKATU1110 SEIKYU INVALID ***"
                                           TO  WRK-RECEERR
                   MOVE    RECE10-KEY      TO  WRK-RECEERR(33:)
                   PERFORM 500-ERR-HENSYU-SEC
                   MOVE    1               TO  FLG-UPDFILE
               END-IF
           END-PERFORM  
      *
           CLOSE   UPD-FILE
           .
       310-SEIKYU-UPD-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *   ݸԾ󥻥å
      *****************************************************************
       920-HKNJAINF-SET-SEC  SECTION.
      *
           INITIALIZE  HKNJAINF-REC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE  SYS-1001-HOSPID           TO  HKNJA-HOSPID
           MOVE  SPA-HOSPNUM               TO  HKNJA-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE  WRK-HKNJANUM              TO  HKNJA-HKNJANUM
           MOVE  HKNJAINF-REC              TO  MCPDATA-REC
           MOVE  "DBSELECT"                TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
           MOVE    "tbl_hknjainf"          TO  MCP-TABLE
           MOVE    "key"                   TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
               MOVE    "tbl_hknjainf"          TO  MCP-TABLE
               MOVE    "key"                   TO  MCP-PATHNAME
      *---(01.00.06) LINE ADD END   ------------------------------------
               PERFORM  925-HKNJAINF-READ-SEC
           ELSE
               DISPLAY  "HKNJAINF SELECT ERR"
           END-IF
      *
           INITIALIZE  MCPAREA
           MOVE    "DBCLOSECURSOR"         TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNJAINF-KEY   TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
           MOVE    "tbl_hknjainf"          TO  MCP-TABLE
           MOVE    "key"                   TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           .
       920-HKNJAINF-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸԾɹ
      *****************************************************************
       925-HKNJAINF-READ-SEC  SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  HKNJAINF-REC
             MOVE  ZERO         TO  FLG-HKNJAINF
           ELSE
             INITIALIZE  HKNJAINF-REC
             MOVE  1            TO  FLG-HKNJAINF
           END-IF
      *
           .
       925-HKNJAINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹɹ
      *****************************************************************
       945-HKNNUM-READ-SEC  SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  HKNNUM-REC
             MOVE  ZERO         TO  FLG-HKNNUM
      *
             IF    HKN-HKNNUM  =  "051"
               INITIALIZE                HKN-TANSEIDONAME
               MOVE    ""   TO   HKN-TANSEIDONAME
             END-IF
      *
           ELSE
             INITIALIZE  HKNNUM-REC
             MOVE  1            TO  FLG-HKNNUM
           END-IF
      *
           .
       945-HKNNUM-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *   ݸ󥻥å(̾)
      *****************************************************************
       950-HKNNUM-SET-SEC  SECTION.
      *
           INITIALIZE  HKNNUM-REC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE  SYS-1001-HOSPID            TO  HKN-HOSPID
           MOVE    SPA-HOSPNUM              TO  HKN-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    WRK-KOHNUM               TO  HKN-HKNNUM
           MOVE    LNK-PRTKANRI-SRYYM(1:6)  TO  HKN-TEKSTYMD(1:6)
                                                HKN-TEKEDYMD(1:6)
           MOVE    "01"                     TO  HKN-TEKSTYMD(7:2)
                                                HKN-TEKEDYMD(7:2)
           MOVE    HKNNUM-REC               TO  MCPDATA-REC
           MOVE    "DBSELECT"               TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNNUM-KEY5     TO  MCP-PATH
      *     CALL    "MCPSUB"                 USING
      *                                          MCPAREA
      *                                          MCPDATA-REC
           MOVE    "tbl_hknnum"        TO  MCP-TABLE
           MOVE    "key5"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF  MCP-RC  =  ZERO
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-HKNNUM-KEY5    TO  MCP-PATH
               MOVE    "tbl_hknnum"        TO  MCP-TABLE
               MOVE    "key5"              TO  MCP-PATHNAME
      *---(01.00.06) LINE ADD END   ------------------------------------
               PERFORM  945-HKNNUM-READ-SEC
      *
           ELSE
               DISPLAY  "HKNNUM SELECT ERR"
           END-IF
      *
           INITIALIZE  MCPAREA
           MOVE    "DBCLOSECURSOR"             TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-HKNNUM-KEY5        TO  MCP-PATH
      *     CALL    "MCPSUB"                    USING
      *                                             MCPAREA
      *                                             MCPDATA-REC
           MOVE    "tbl_hknnum"        TO  MCP-TABLE
           MOVE    "key5"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           .
       950-HKNNUM-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-SEIKYU-SELECT-SEC             SECTION.
      *
      *    ģ¸
           INITIALIZE                  RECE10-REC
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE   SYS-1001-HOSPID       TO    RECE10-HOSPID.
           MOVE   SPA-HOSPNUM           TO  RECE10-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE   LNK-PRTKANRI-SRYYM    TO    RECE10-SKYYM.
      *
           IF    WRK-PARA-HKNJANUM  NOT = ZERO
             EVALUATE  WRK-PARA-HKNJANUM(1:3)
             WHEN "114"
               MOVE  "114000"           TO  RECE10-XXSTHKNJANUM
               MOVE  "114999"           TO  RECE10-XXEDHKNJANUM
             WHEN OTHER
               MOVE  WRK-PARA-HKNJANUM  TO  RECE10-XXSTHKNJANUM
                                            RECE10-XXEDHKNJANUM
             END-EVALUATE
           ELSE
               MOVE    SPACE            TO  RECE10-XXSTHKNJANUM
               MOVE    "99999999"       TO  RECE10-XXEDHKNJANUM
           END-IF
      *
      *
      *---(01.00.07) LINE ADD START ------------------------------------
      *=== open-cobol1.0б by Yoshikawa(2010/11/25) start
      *     MOVE    "000000"            TO  RECE10-SRYYM
      *     MOVE    "999999"            TO  RECE10-XXSRYYM
           MOVE    000000              TO  RECE10-SRYYM
           MOVE    999999              TO  RECE10-XXSRYYM
      *=== open-cobol1.0б by Yoshikawa(2010/11/25) end
      *---(01.00.07) LINE ADD END   ------------------------------------
           MOVE    RECE10-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    WRK-PATH            TO  MCP-PATH
      *     CALL    "MCPSUB"                USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"        TO  MCP-TABLE
           MOVE    WRK-PATH            TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               PERFORM 900-SEIKYU-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
           END-IF
           .
       900-SEIKYU-SELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-SEIKYU-READ-SEC           SECTION.
      *
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    WRK-PATH            TO  MCP-PATH
      *     MOVE    "DBFETCH"           TO  MCP-FUNC
      *     CALL    "MCPSUB"                USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"        TO  MCP-TABLE
           MOVE    WRK-PATH            TO  MCP-PATHNAME
           MOVE    "DBFETCH"           TO  MCP-FUNC
           CALL    "ORCDBMAIN"             USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC     TO  RECE10-REC
      *
      *=== 饤б by Yoshikawa(2010/08/03) start
      *        ʬǥ饤ɤФ
               IF      (WRK-PARA-SYOKBN         =  "2")
               AND     (RECE10-HENREI-SIJI-FLG  =  1)
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *=== 饤б by Yoshikawa(2010/08/03) end
      *
      *        ƥȴԤΤȤɤФ
               MOVE    SPACE               TO  PTINF-REC
               INITIALIZE                      PTINF-REC
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    RECE10-HOSPID       TO  PTINF-HOSPID
               MOVE    SPA-HOSPNUM         TO  PTINF-HOSPNUM
      *---(01.00.06) LINE ADD END   ------------------------------------
               MOVE    RECE10-PTID         TO  PTINF-PTID
               MOVE    PTINF-REC           TO  MCPDATA-REC
               PERFORM 800-PTINF-READ-SEC
               IF      FLG-PTINF           =   ZERO
               AND     PTINF-TSTPTNUMKBN   =   "1"
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF   
      *
      *    ѤƤ봵Ԥоݳˤ
      *    ۻԤϷͰݸʬޤ᤹뤬
      *    ¾λĮ¼
               PERFORM  900-KOHSKY-READ-SEC
               IF  RECE02-KOHNUM(1)  =  "141"
                OR RECE02-KOHNUM(2)  =  "141"
                OR RECE02-KOHNUM(3)  =  "141"
                OR RECE02-KOHNUM(4)  =  "141"
                   DISPLAY "Ѽ=" RECE02-PTNUM
                   GO  TO  900-SEIKYU-READ-SEC
               END-IF
      *         
               ADD     1                   TO  CNT-RECE10   
           ELSE
               MOVE    1               TO  FLG-END
           END-IF
      *
           .
       900-SEIKYU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"                 TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                  TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
      *         CALL    "MCPSUB"             USING
      *                                      MCPAREA
      *                                      MCPDATA-REC
               MOVE    "tbl_ptinf"     TO  MCP-TABLE
               MOVE    "key"           TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"     USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-PTINF-KEY         TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץեɹ
      *****************************************************************
       800-SKTTMP-READ-SEC             SECTION.
      *
           READ    SKT1110TMP-FILE
               INVALID    KEY
                   MOVE    1           TO  FLG-SKT1110TMP
               NOT INVALID  KEY
                   MOVE    ZERO        TO  FLG-SKT1110TMP
           END-READ
           .
       800-SKTTMP-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¹ѥեɹ
      *****************************************************************
       900-UPD-FILE-READ-SEC             SECTION.
      *
           READ    UPD-FILE
               AT  END
                   MOVE    1           TO  FLG-UPDFILE
               NOT AT  END
                   MOVE    ZERO        TO  FLG-UPDFILE
           END-READ
           .
       900-UPD-FILE-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹ
      *****************************************************************
       910-SYSKANRI-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"                   TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_syskanri"           TO  MCP-TABLE
           MOVE    "key10"                  TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"              USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"                    TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
      *         CALL    "MCPSUB"             USING
      *                                      MCPAREA
      *                                      MCPDATA-REC
               MOVE    "tbl_syskanri"       TO  MCP-TABLE
               MOVE    "key10"              TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SYSKANRI
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"              TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SYSKANRI-KEY10      TO  MCP-PATH
      *     CALL    "MCPSUB"             USING
      *                                  MCPAREA
      *                                  MCPDATA-REC
           MOVE    "tbl_syskanri"       TO  MCP-TABLE
           MOVE    "key10"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           .
       910-SYSKANRI-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       910-SEIKYU-INV-SEC         SECTION.
      *
           MOVE    "DBSELECT"                   TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SEIKYU-KEY          TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SEIKYU-KEY TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "tbl_seikyu"         TO  MCP-TABLE
               MOVE    "key"                TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SEIKYU
                   MOVE    MCPDATA-REC         TO  RECE10-REC
               ELSE
                   MOVE    1                   TO  FLG-SEIKYU
               END-IF
           ELSE
               MOVE    1                   TO  FLG-SEIKYU
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SEIKYU-KEY TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_seikyu"         TO  MCP-TABLE
           MOVE    "key"                TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           .
       910-SEIKYU-INV-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP-READ-SEC                SECTION.
      *
           READ  SKT1110TMP-FILE   NEXT
               AT  END
                   MOVE  1  TO  FLG-PRINT
           END-READ
           .
       900-TMP-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ɤ߹
      *****************************************************************
       900-KOHSKY-READ-SEC         SECTION.
      *
           INITIALIZE                  RECE02-REC
           MOVE    RECE10-KEY          TO  RECE02-KEY
           MOVE    RECE02-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-KOHSKY-KEY TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_kohsky"        TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-KOHSKY-KEY TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
               MOVE    "tbl_kohsky"        TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"         USING
                                           MCPAREA
                                           MCPDATA-REC
                                           SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-RECE02
                   MOVE    MCPDATA-REC         TO  RECE02-REC
               ELSE
                   MOVE    1                   TO  FLG-RECE02
                   INITIALIZE                  RECE02-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-RECE02
               INITIALIZE                  RECE02-REC
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.00.06) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-KOHSKY-KEY TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_kohsky"        TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
           .
       900-KOHSKY-READ-EXT.
           EXIT.
      *=== ɡ2007б by Yoshikawa(2008/10/08) start
      *****************************************************************
      *    ơ֥륢
      *****************************************************************
       900-ORCDBMAIN-SEC               SECTION.
      *
           CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
           .
      *
       900-ORCDBMAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɹʣΣţأԡ
      *****************************************************************
       900-SYSKANRI-READ-N-SEC         SECTION.
      *
           PERFORM 900-DBFETCH-SEC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO                TO  FLG-SYSKANRI
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
           .
       900-SYSKANRI-READ-N-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ£ƣţԣãȽ
      *****************************************************************
       900-DBFETCH-SEC                SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           PERFORM 900-ORCDBMAIN-SEC
      *
           .
       900-DBFETCH-EXT.
           EXIT.
      *=== ɡ2007б by Yoshikawa(2008/10/08) end
      *---(01.00.06) LINE ADD START ------------------------------------
      *****************************************************************
      *    ŵԽɤ߹
      *****************************************************************
       900-1900-READ-SEC           SECTION.
      *
      *    ŵԽɤ߹
           MOVE    SPACE                   TO  SYS-1900-REC
           INITIALIZE                          SYS-1900-REC
           MOVE    "1900"                  TO  SYS-1900-KANRICD
           MOVE    "*"                     TO  SYS-1900-KBNCD
           MOVE    SPA-HOSPNUM             TO  SYS-1900-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-STYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-EDYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-EDYUKYMD(7:2)
           MOVE    SYS-1900-REC            TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1900-REC
               IF      SYS-1900-PRTKBN(8) NOT =   SPACE
      *            ŵ̾Խ
                   PERFORM 900-1901-READ-SEC
      *            ŵؽԽ
                   PERFORM 900-1902-READ-SEC
               END-IF
           ELSE
               INITIALIZE                  SYS-1900-REC
           END-IF
           .
      *
       900-1900-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵ̾Խɤ߹
      *****************************************************************
       900-1901-READ-SEC           SECTION.
      *
      *    ŵ̾Խɤ߹
           MOVE    SPACE               TO  SYS-1901-REC
           INITIALIZE                      SYS-1901-REC
           MOVE    "1901"              TO  SYS-1901-KANRICD
           MOVE    SYS-1900-PRTKBN(8)  TO  SYS-1901-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1901-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-EDYUKYMD(7:2)
           MOVE    SYS-1901-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1901-REC
               MOVE    SYS-1901-HOSPNAME1  TO  WRK-HOSPNAME1
               MOVE    SYS-1901-HOSPNAME2  TO  WRK-HOSPNAME2
           ELSE
               INITIALIZE                  SYS-1901-REC
           END-IF
           .
      *
       900-1901-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؽԽɤ߹
      *****************************************************************
       900-1902-READ-SEC           SECTION.
      *
      *    ŵؽԽɤ߹
           MOVE    SPACE               TO  SYS-1902-REC
           INITIALIZE                      SYS-1902-REC
           MOVE    "1902"              TO  SYS-1902-KANRICD
           MOVE    SYS-1900-PRTKBN(8)  TO  SYS-1902-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1902-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-EDYUKYMD(7:2)
           MOVE    SYS-1902-REC        TO  MCPDATA-REC
           PERFORM 910-SYSKANRI-INV-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1902-REC
               MOVE    SYS-1902-ADRS1  TO  WRK-HOSPADRS1
               MOVE    SYS-1902-ADRS2  TO  WRK-HOSPADRS2
               MOVE    SYS-1902-TEL    TO  WRK-HOSPTEL
           ELSE
               INITIALIZE                  SYS-1902-REC
           END-IF
           .
      *
       900-1902-READ-EXT.
           EXIT.
      *---(01.00.06) LINE ADD END   ------------------------------------
      *=== ץ४ץб by Yoshikawa(2014/05/16) start
      *****************************************************************
      *    ץ४ץɹ
      *****************************************************************
       900-PRGOPTION-READ-SEC  SECTION.
      *
           INITIALIZE                      PRGOPTION-REC
           MOVE    SPA-HOSPNUM         TO  PRGOPTION-HOSPNUM
           MOVE    WRK-PRGID           TO  PRGOPTION-PRGID
           MOVE    WRK-KBNCD           TO  PRGOPTION-KBNCD
           MOVE    PRGOPTION-REC       TO  MCPDATA-REC
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "tbl_prgoption"     TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "tbl_prgoption"     TO  MCP-TABLE
               MOVE    "key"               TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC         TO  PRGOPTION-REC
                   MOVE    ZERO                TO  FLG-PRGOPTION
               ELSE
                   INITIALIZE                      PRGOPTION-REC
                   MOVE    1                   TO  FLG-PRGOPTION
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PRGOPTION
           END-IF
           MOVE    "DBCLOSECURSOR"            TO  MCP-FUNC
           MOVE    "tbl_prgoption"     TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *
           .
       900-PRGOPTION-READ-EXT.
           EXIT.
      *=== ץ४ץб by Yoshikawa(2014/05/16) end
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC                SECTION.
      *
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    "DBOPEN"            TO  MCP-FUNC.
      *---(01.00.06) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    "DBSTART"           TO  MCP-FUNC.
      *---(01.00.06) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC            SECTION.
      *
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    "DBCOMMIT"          TO  MCP-FUNC.
      *---(01.00.06) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
      *
      *---(01.00.06) LINE ADD START ------------------------------------
           MOVE    LOW-VALUE           TO  MCP-TABLE
                                           MCP-PATHNAME
      *---(01.00.06) LINE ADD END   ------------------------------------
           MOVE    "DBDISCONNECT"      TO  MCP-FUNC.
      *---(01.00.06) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *---(01.00.06) LINE ADD END   ------------------------------------
           .                             
       900-DBCLOSE-EXT.
           EXIT.
