      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             SOKATU1151.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģɼ
      *  ݡͥ̾  : ݡɽʰʡ
      *                      ȣãͣɡȣãͣ
      *                      б
      *              : 
      *      ȼ        
      *  05/06/09    ͭ¼          ƺ(2.5.0 ORCBM028ή)
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev               
      *  01.00.01    NACL-ƣ    03/07/21  ̾Τѹ
      *  01.00.02    NACL-ƣ    03/10/30  ϷͺƷǤɲ
      *  01.00.03    NACL-ƣ    04/01/19  ݸֹɽˡֹ
      *                                     ˽
      *  01.00.04    NACL-ƣ    04/09/14  ߼Ի̾ʸѹ
      *ʬб  
      *  01.01.01    NACL-ƣ    05/02/25  ʬб
      *****************************************************************
      *  01.01.02    ͭ¼         05/06/09  ʿɲ
      *                                     ORCMCPSUBMCPSUBѹ
      *  01.01.03             07/09/23  쥻ver4.0б
      *                                     ƥޥ1901פ
      *                                     ŵؾ򻲾
      *  01.01.04             08/05/29  Ģɼͼѹȼ
      *  01.01.05             08/10/08  SPA-AREA
      *  01.01.06             08/10/24  ʿ20ǯ10б
      *                                     ɡ2007׸ޤȤб
      *  01.01.07             08/12/15  ʿ20ǯ3η٤ʬ
      *                                     ͼĢɼʬ褦˽
      *  01.01.08             11/04/01  ʿβϿбоݼ̽ס
      *  01.01.09             12/11/14  ʿǯʹߤ
      *                                     ޤȤƽפ褦˽
      *                                     ôεб
      *  01.00.10             12/12/21  ŵؾԽб
      *  01.00.11             14/10/08  ver4.8.0бʰǥ쥯ȥѹ
      *****************************************************************
      *
       ENVIRONMENT             DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    顼ե
           SELECT  RECEERR-FILE    ASSIGN  RECEERR
                                   FILE    STATUS  IS  STS-RECEERR.
      *
       DATA                        DIVISION.
       FILE                        SECTION.
      *
      *    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC             PIC X(200). 
      *
       WORKING-STORAGE             SECTION.
      *
      *    顼ե ̾ΰ 
      *---(01.01.03) LINE ADD START ------------------------------------
      *     COPY    "CPCOMMONDAT2.INC"
      *                             REPLACING  //RECE01PARA//
      *                             BY         //RECEERR//.
      *     03  FILLER              PIC X(04)   VALUE   ".dat".
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *     COPY    "CPERRFL.INC"    REPLACING  //ERRFLPARA//
      *                              BY         //RECEERR//.
           COPY    "CPRECEERR.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *---(01.01.03) LINE ADD START ------------------------------------
      *
      *****COPY    "HCM2I.INC".
      *****COPY    "HCM2IV01.INC"  REPLACING  //HCM2IV01//
      *     COPY    "HCM2IV02.INC"  REPLACING  //HCM2IV02//
      *                             BY         //HCM2I//.
      *****COPY    "HCM2J.INC".
      *****COPY    "HCM2JV01.INC"  REPLACING  //HCM2JV01//
      *****COPY    "HCM2JV02.INC"  REPLACING  //HCM2JV02//
      *     COPY    "HCM2JV03.INC"  REPLACING  //HCM2JV03//
      *                             BY         //HCM2J//.
           COPY    "SKT1150IV02.INC"
                                   REPLACING  //HCM2IV02//
                                   BY         //HCM2I//.
           COPY    "SKT1150JV03.INC"
                                   REPLACING  //HCM2JV03//
                                   BY         //HCM2J//.
      *
      *    ΰ
       01  STS-AREA.
           03  STS-RECEERR         PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-HKNNUM          PIC 9(01).
           03  FLG-MF01-END        PIC 9(01).
           03  FLG-PRTKBN          PIC 9(01).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-LINE            PIC 9(02).
           03  CNT-PAGE            PIC 9(03).
      *
      *    ƥΰ
       01  SYS-AREA.
           03  SYS-YMD.
               05  SYS-YY          PIC 9(02).
               05  SYS-MM          PIC 9(02).
               05  SYS-DD          PIC 9(02).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX                 PIC 9(04).
           03  IDY                 PIC 9(04).
           03  IDZ                 PIC 9(04).
      *
           03  IDX1                PIC 9(04).
           03  IDX2                PIC 9(04).      
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SEIYMD        PIC X(08).
           03  WRK-SEIYMDWH      PIC X(22).
           03  WRK-SRYYMWH       PIC X(16).
           03  WRK-SRYYMD        PIC X(08).
      *
           03  WRK-SYMD.
               05  WRK-SYY           PIC 9(04).
               05  WRK-SMM           PIC 9(02).
               05  WRK-SDD           PIC 9(02).
           03  WRK-HENYMDG           PIC X(22).
      *
           03  WRK-RECEERR             PIC X(200). 
      *
           03  WRK-YMD               PIC X(07).
      *
           03  WRK-Z9                PIC ZZZZZ.
           03  WRK-ZZ9               PIC ZZ,ZZZ,ZZZ.
           03  WRK-NISSUZ            PIC ZZZZZZ.
           03  WRK-KENSUZ            PIC ZZZZZZ.
           03  WRK-TENSUZ            PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-FTNMONEYZ         PIC Z,ZZZ,ZZZ,ZZZ. 
           03  WRK-SHOKENSUZ         PIC ZZ,ZZZ.
           03  WRK-SHONISSUZ         PIC ZZ,ZZZ.
           03  WRK-SHORYOYOHIZ       PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-SHOFTNZ           PIC Z,ZZZ,ZZZ,ZZZ.
           03  WRK-GKENSUZ           PIC ZZZZZZZ. 
      *             
           03  WRK-KOHKBN.
               05  WRK-KOHNUM        PIC X(04).
               05  WRK-HKNNAME       PIC X(40). 
      *---(01.01.03) LINE ADD START ------------------------------------
           03  WRK-PATH              PIC X(50).
      *    ŵؾ
           03  WRK-HOSPNAME          PIC X(100).
           03  WRK-HOSPNAME-R        REDEFINES   WRK-HOSPNAME.
               05  WRK-HOSPNAME1     PIC X(50).
               05  WRK-HOSPNAME2     PIC X(50).
           03  WRK-HOSPADRS          PIC X(100).
           03  WRK-HOSPADRS-R        REDEFINES   WRK-HOSPADRS.
               05  WRK-HOSPADRS1     PIC X(50).
               05  WRK-HOSPADRS2     PIC X(50).
           03  WRK-HOSPTEL           PIC X(15).
      *---(01.01.03) LINE ADD END   ------------------------------------
      *
      ***** 05/06/09 INS
           03  WRK-AVG               PIC 9(07)V9(01).
           03  WRK-ZAVG              PIC Z,ZZZ,ZZZ.Z.
      *****
      *
           COPY    "CPSHELLTBL.INC".
      *     
      *---(01.01.03) LINE ADD START ------------------------------------
      *     COPY    "ORCA-DBPATH".
           COPY    "COMMON-SPA".
      *---(01.01.03) LINE ADD END   ------------------------------------
      *
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
      *    
       01  WRK-CONS-AREA.
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
      *    ǯ
           03  WRK-CONS-SRYYM-200304   PIC X(06)   VALUE   "200304".
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
           03  WRK-CONS-SRYYM-200810   PIC X(06)   VALUE   "200810".
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           03  WRK-CONS-SRYYM-201204   PIC X(06)   VALUE   "201204".
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *     
      *    ݸֹ
       01  HKNNUM-REC.
           COPY    "CPHKNNUM.INC".
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *
      *    ŵؾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ 
           COPY    "CPSK1002.INC".
      *
      *---(01.01.03) LINE ADD START ------------------------------------
      *    ŵԽ
           COPY    "CPSK1900.INC".
      *
      *    ŵ̾Խ
           COPY    "CPSK1901.INC".
      *
      *    ŵؽԽ
           COPY    "CPSK1902.INC".
      *---(01.01.03) LINE ADD END   ------------------------------------
      *
       01  PRTKANRI-REC.
           COPY    "CPPRTKANRI.INC".
      *
       01  PRTDATA-REC.
           COPY    "CPPRTDATA.INC".          
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    Ⱦѥå
           COPY    "CPORCSKANACHK.INC".
      *
      *   ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *
      *    ģ¹
           COPY    "CPORCSPRT.INC".          
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ̥ѥ᥿
           COPY    "MCPAREA".
      *
      *    ģ¸
           COPY    "MCPDATA.INC".
      ***** 05/06/09 DEL
      *     COPY    "CPORCMCP.INC".
      *****
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ե̾Խ
           COPY    "CPORCSGETTEMP.INC".
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *****************************************************************
      *    Ϣΰ
      *****************************************************************
       LINKAGE                     SECTION.
      *
      *    ΰ
       01  SUM-AREA.
      *    1:¾Υ쥻2:Ǥꤷ쥻 
           03  SUM-TBL-OCC         OCCURS  2.
      *        ݸ1,2:ʾ 3:ܿ 4:² 5: 
               05  SUM-TABLE           OCCURS  5. 
                   07  SUM-TBL             OCCURS  12.
                       09  SUM-KENSU          PIC  9(06).
                       09  SUM-NISSU          PIC  9(06).
                       09  SUM-TOTALTEN       PIC  9(10).
                       09  SUM-FTNMONEY       PIC  9(10).
                       09  SUM-YKZFTN         PIC  9(10).
                       09  SUM-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-SHOKUJINISSU   PIC  9(06).
                       09  SUM-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-SHOKUJIFTN     PIC  9(10).
      *        Ϸݷ
               05  SUM-ROU-TABLE           OCCURS  2. 
                   07  SUM-ROU-TBL             OCCURS  3.
                       09  SUM-ROU-KENSU          PIC  9(06).
                       09  SUM-ROU-NISSU          PIC  9(06).
                       09  SUM-ROU-TOTALTEN       PIC  9(10).
                       09  SUM-ROU-FTNMONEY       PIC  9(10).
                       09  SUM-ROU-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-ROU-SHOKUJINISSU   PIC  9(06).
                       09  SUM-ROU-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-ROU-SHOKUJIFTN     PIC  9(10).
               05  SUM-ROU-GOKEI.
                   07  SUM-ROU-GOK-NISSU          PIC  9(06).
                   07  SUM-ROU-GOK-TOTALTEN       PIC  9(10).
                   07  SUM-ROU-GOK-FTNMONEY       PIC  9(10).
                   07  SUM-ROU-GOK-SHOKUJINISSU   PIC  9(06).
                   07  SUM-ROU-GOK-SHOKUJIRYOYOHI PIC  9(10).
                   07  SUM-ROU-GOK-SHOKUJIFTN     PIC  9(10).
      *        ô 
               05  SUM-KOH-TABLE           OCCURS  3. 
                   07  SUM-KOH-TBL         OCCURS  100.
                       09  SUM-KOH-KOHNUM         PIC  X(03).
                       09  SUM-KOH-KENSU          PIC  9(06).
                       09  SUM-KOH-TOTALTEN       PIC  9(10).
                       09  SUM-KOH-FTNMONEY       PIC  9(10).
                       09  SUM-KOH-YKZFTN         PIC  9(10).
                       09  SUM-KOH-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-KOH-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-KOH-SHOKUJIFTN     PIC  9(10).
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
                       09  SUM-KOH-MEISYO         PIC  X(44).
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *        ϷݷʺƷǡ      
               05  SUM-ROU-KOH-TABLE           OCCURS  10. 
                   07  SUM-ROU-KOH-TBL.
                       09  SUM-ROU-KOH-KENSU          PIC  9(06).
                       09  SUM-ROU-KOH-NISSU          PIC  9(06).
                       09  SUM-ROU-KOH-ITBFTN         PIC  9(08).
                       09  SUM-ROU-KOH-FTNMONEY       PIC  9(09).
                       09  SUM-ROU-KOH-SHOKUJIKENSU   PIC  9(06).
                       09  SUM-ROU-KOH-SHOKUJINISSU   PIC  9(06).
                       09  SUM-ROU-KOH-SHOKUJIRYOYOHI PIC  9(10).
                       09  SUM-ROU-KOH-SHOKUJIFTN     PIC  9(10).
      *                 
               05  SUM-GOK-TBL         OCCURS  4.
                   07  SUM-GOK-KENSU      PIC 9(06).    
                   07  SUM-GOK-SHOKENSU   PIC 9(06).
      *         
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
      *---(01.01.03) LINE ADD START ------------------------------------
      *     03  WRK-PARA-HOSPID     PIC X(24).
      *     03  WRK-PARA-JOBID      PIC 9(07).
      *     03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-JOBID      PIC 9(07).
           03  WRK-PARA-SHELLID    PIC X(08).
           03  WRK-PARA-HOSPNUM    PIC 9(02).
      *---(01.01.03) LINE ADD END   ------------------------------------
           03  WRK-PARA-PAGE       PIC 9(10).
           03  WRK-PARA-NYUGAIKBN  PIC X(01).
           03  WRK-PARA-SYOKBN     PIC X(01).
      *=== ҳб by Yoshikawa(2011/04/01) start
           03  WRK-PARA-GENMENKBN  PIC X(01).
      *=== ҳб by Yoshikawa(2011/04/01) end
      *
       01  WRK-NYUGAIKBN           PIC X(01).
      *
       01  WRK-SYOKBN              PIC X(01).
      *---(01.01.04) LINE ADD START ------------------------------------
       01  WRK-SRYYM-FLG           PIC 9(01).
      *---(01.01.04) LINE ADD END   ------------------------------------
      *
      ******************************************************************
      *
       PROCEDURE                       DIVISION
                                       USING   SUM-AREA
                                               WRK-PARA
                                               WRK-NYUGAIKBN
                                               WRK-SYOKBN
      *---(01.01.04) LINE ADD START ------------------------------------
                                               WRK-SRYYM-FLG
      *---(01.01.04) LINE ADD END   ------------------------------------
           .
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL       FLG-END     =   1
      *
           PERFORM 300-END-SEC
      *
           EXIT    PROGRAM
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           DISPLAY "*** ORCBM028 START ***"
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) start
           INITIALIZE                  SPA-AREA
      *=== SPA-AREA by Yoshikawa(2008/10/08) end
      *=== ver4.8б by Yoshikawa(2014/10/08) start
           INITIALIZE                  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *---(01.01.03) LINE ADD START ------------------------------------
           MOVE    WRK-PARA-HOSPNUM    TO  SPA-HOSPNUM
      *---(01.01.03) LINE ADD END   ------------------------------------
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SRYYMD (1:6)
           MOVE    "01"                TO  WRK-SRYYMD (7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *
      *---(01.01.03) LINE ADD START ------------------------------------
      *     MOVE    "RECEERR"           TO  RECEERR-FILE-ID
      *     MOVE    LNK-PRTKANRI-TERMID TO  RECEERR-TERMID
      *---(01.01.03) LINE ADD END   ------------------------------------
      *=== ver4.8б by Yoshikawa(2014/10/08) start
      *    ֥ץե̾Խ
           INITIALIZE                      SGETTEMP-AREA
           MOVE  RECEERR                 TO  SGETTEMP-BASENAME
           CALL  "ORCSGETTEMP"           USING
                                         SGETTEMP-AREA
           MOVE  SGETTEMP-FULLNAME       TO  RECEERR
      *=== ver4.8б by Yoshikawa(2014/10/08) end
      *
      *    ƥޥʰŵؾ
           PERFORM 120-HOSPINF-GET-SEC
      *
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؾ󸡺
      *****************************************************************
       120-HOSPINF-GET-SEC            SECTION.
      *
      *    ƥեå
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA          
           IF      STS-DAY-RC1         =   ZERO 
               MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *    ŵ̾Խ
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"              TO  SYS-1001-KANRICD
           MOVE    "*"                 TO  SYS-1001-KBNCD
      ***** 05/06/09 INS
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1001-STYUKYMD(1:6)
                                           SYS-1001-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1001-STYUKYMD(7:2)
                                           SYS-1001-EDYUKYMD(7:2)
      *****
      *---(01.01.03) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM         TO  SYS-1001-HOSPNUM
      *---(01.01.03) LINE ADD END   ------------------------------------
           MOVE    SYS-1001-REC        TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC        TO  SYS-1001-REC
               IF      SYS-1001-HOSPNAME   =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-HOSPNAME
               END-IF    
               IF      SYS-1001-KAISETUNAME    =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1001-KAISETUNAME
               END-IF    
           ELSE
               MOVE    "ŵؾ󤬼ǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF 
      *
      *    ŵؾݽϡϢ
           INITIALIZE                  SYS-1002-REC
           MOVE    "1002"              TO  SYS-1002-KANRICD
           MOVE    "*"                 TO  SYS-1002-KBNCD
      ***** 05/06/09 INS
           MOVE    LNK-PRTKANRI-SRYYM(1:6)
                                       TO  SYS-1002-STYUKYMD(1:6)
                                           SYS-1002-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1002-STYUKYMD(7:2)
                                           SYS-1002-EDYUKYMD(7:2)
      *****
      *---(01.01.03) LINE ADD START ------------------------------------
           MOVE    SPA-HOSPNUM         TO  SYS-1002-HOSPNUM
      *---(01.01.03) LINE ADD END   ------------------------------------
           MOVE    SYS-1002-REC        TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC        TO  SYS-1002-REC
               IF      SYS-1002-ADRS       =   LOW-VALUE
                   MOVE    SPACE               TO  SYS-1002-ADRS
               END-IF    
           ELSE
               MOVE    "ŵؾʽϡˤǤޤǤ"
                                           TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
               MOVE    1                   TO  FLG-END
           END-IF 
      *
      *---(01.01.03) LINE ADD START ------------------------------------
           MOVE    SYS-1001-HOSPNAME   TO  WRK-HOSPNAME
           MOVE    SYS-1002-ADRS       TO  WRK-HOSPADRS
           MOVE    SYS-1002-TEL        TO  WRK-HOSPTEL
      *    ŵԽ
           PERFORM 900-1900-READ-SEC
      *---(01.01.03) LINE ADD END   ------------------------------------
           .
       120-HOSPINF-GET-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
           MOVE    ZERO                TO  FLG-MF01-END 
      *     
           PERFORM VARYING IDX1    FROM   1   BY  1
                   UNTIL   IDX1    >      2
               IF      SUM-GOK-KENSU (IDX1 4)     >   ZERO 
                   MOVE    ZERO            TO  FLG-PRTKBN
      *           
      *            ĢɼԽ<Фȣãͣ>
                   PERFORM 310-HEAD-HEN-01-SEC
      *            ĢɼԽ<Фȣãͣ>
                   PERFORM 310-HEAD-HEN-02-SEC
      *            ĢɼԽ<>
                   PERFORM 320-BODY-HEN-SEC
      *            ĢɼԽ<>
                   PERFORM 330-TERM-HEN-SEC
      *            Ģɼʣǰʹߡ
                   PERFORM 390-PRINT-OUT-SEC
               END-IF    
           END-PERFORM    
      *
           MOVE    1                  TO  FLG-END
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<Фȣãͣ>
      *****************************************************************
       310-HEAD-HEN-01-SEC          SECTION.
      *
           INITIALIZE                      HCM2I      
      *
      *=== H20ǯ10б by Yoshikawa(2008/10/24) start
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
      *     IF  LNK-PRTKANRI-SRYYM  <  WRK-CONS-SRYYM-200810
           IF  WRK-SRYYM-FLG  <  3
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
             MOVE  ""            TO  HCM2I-SEIDONAME (1)
                                           HCM2I-SEIDONAME (2)
                                           HCM2I-SEIDONAME (3)
                                           HCM2I-SEIDONAME (4)
                                           HCM2I-SEIDONAME (5)
           ELSE
             MOVE  "ʶ"          TO  HCM2I-SEIDONAME (1)
                                           HCM2I-SEIDONAME (2)
                                           HCM2I-SEIDONAME (3)
                                           HCM2I-SEIDONAME (4)
                                           HCM2I-SEIDONAME (5)
           END-IF
      *=== H20ǯ10б by Yoshikawa(2008/10/24) end
      *
           MOVE    WRK-SEIYMDWH        TO  HCM2I-SEIYMD
      *
           MOVE    WRK-SRYYMWH         TO  HCM2I-PRTYM
      *
      *---(01.01.03) LINE ADD START ------------------------------------
      *    ŵؽ
      *     MOVE    SYS-1002-ADRS       TO  HCM2I-ADRS
      *    ŵ̾
      *     MOVE    SYS-1001-HOSPNAME   TO  HCM2I-HOSPNAME
      *    ŵؽ
           MOVE    WRK-HOSPADRS        TO  HCM2I-ADRS
      *=== ŵؾԽ by Yoshikawa(2012/12/21) start
           INSPECT HCM2I-ADRS          REPLACING ALL "  " BY ""
      *=== ŵؾԽ by Yoshikawa(2012/12/21) end
      *    ŵ̾
           MOVE    WRK-HOSPNAME        TO  HCM2I-HOSPNAME
      *=== ŵؾԽ by Yoshikawa(2012/12/21) start
           INSPECT HCM2I-HOSPNAME      REPLACING ALL "  " BY ""
      *=== ŵؾԽ by Yoshikawa(2012/12/21) end
      *---(01.01.03) LINE ADD END   ------------------------------------
      *    ߼̾
           MOVE    SYS-1001-KAISETUNAME
                                       TO  HCM2I-KAISETUNAME
      *    
           MOVE    SYS-1001-HOSPCDN    TO  HCM2I-HOSPCD
      *
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           IF  LNK-PRTKANRI-SRYYM  >=  WRK-CONS-SRYYM-201204
             MOVE    SPACE             TO  HCM2I-TITLE
           ELSE
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
             IF      WRK-NYUGAIKBN       =   "2"
               EVALUATE    IDX1
                   WHEN    1
                       MOVE    "¾Υ쥻"      TO  HCM2I-TITLE  
                   WHEN    2
                       MOVE    "ǤޤϺ߰ꤷ쥻"
                                                   TO  HCM2I-TITLE     
               END-EVALUATE
             END-IF           
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           END-IF
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
      *
           EVALUATE    WRK-NYUGAIKBN
               WHEN    "1"
                   MOVE    ""      TO  HCM2I-NYUGAIKBN (1)
               WHEN    "2"
                   MOVE    ""      TO  HCM2I-NYUGAIKBN (2)
           END-EVALUATE           
      *
           EVALUATE    WRK-SYOKBN
               WHEN    "2"
                   MOVE    "ʬ"  TO  HCM2I-TITLE1
           END-EVALUATE           
      *
      *=== ҳб by Yoshikawa(2011/04/01) start
      *    ҳоݼ
           EVALUATE  WRK-PARA-GENMENKBN
             WHEN  "2"
               MOVE    "̤ʬ"    TO  HCM2I-GENMEN
           END-EVALUATE
      *=== ҳб by Yoshikawa(2011/04/01) end
      *
           .
       310-HEAD-HEN-01-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<Фȣãͣ>
      *****************************************************************
       310-HEAD-HEN-02-SEC          SECTION.
      *
           INITIALIZE                      HCM2J
      *    
           MOVE    SYS-1001-HOSPCDN    TO  HCM2J-HOSPCD 
      *
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           IF  LNK-PRTKANRI-SRYYM  >=  WRK-CONS-SRYYM-201204
             MOVE    SPACE             TO  HCM2J-TITLE
           ELSE
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
             IF      WRK-NYUGAIKBN       =   "2"
               EVALUATE    IDX1
                   WHEN    1
                       MOVE    "¾Υ쥻"      TO  HCM2J-TITLE  
                   WHEN    2
                       MOVE    "ǤޤϺ߰ꤷ쥻"
                                                   TO  HCM2J-TITLE     
               END-EVALUATE
             END-IF           
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) start
           END-IF
      *=== H24ǯ4ʹߤϺޤȤ by Yoshikawa(2012/11/14) end
      *
           EVALUATE    WRK-NYUGAIKBN
              WHEN    "1"
                   MOVE    ""      TO  HCM2J-NYUGAIKBN (1)
               WHEN    "2"
                   MOVE    ""      TO  HCM2J-NYUGAIKBN (2)
           END-EVALUATE           
      *
           EVALUATE    WRK-SYOKBN
               WHEN    "2"
                   MOVE    "ʬ"  TO  HCM2J-TITLE1
           END-EVALUATE           
      *
      *=== ҳб by Yoshikawa(2011/04/01) start
      *    ҳоݼ
           EVALUATE  WRK-PARA-GENMENKBN
             WHEN  "2"
               MOVE    "̤ʬ"    TO  HCM2J-GENMEN
           END-EVALUATE
      *=== ҳб by Yoshikawa(2011/04/01) end
      *
           .
       310-HEAD-HEN-02-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       320-BODY-HEN-SEC      SECTION.
      *
      *    ñȡʣʾ壹
           MOVE    1                   TO  IDX
           PERFORM VARYING IDY FROM    1   BY  1
                   UNTIL   IDY >       10
               MOVE    SUM-KENSU    (IDX1 IDX IDY)  TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ              TO  HCM2I-KENSU1 (IDY)
               MOVE    SUM-NISSU    (IDX1 IDX IDY)  TO  WRK-NISSUZ 
               MOVE    WRK-NISSUZ              TO  HCM2I-NISSU1 (IDY) 
               MOVE    SUM-TOTALTEN (IDX1 IDX IDY)  TO  WRK-TENSUZ
               MOVE    WRK-TENSUZ              TO  HCM2I-TENSU1 (IDY)
               MOVE    SUM-FTNMONEY (IDX1 IDX IDY)  TO  WRK-FTNMONEYZ
               MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN1(IDY)
               MOVE    SUM-SHOKUJIKENSU (IDX1 IDX IDY) 
                                               TO  WRK-SHOKENSUZ
               MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU1 (IDY)
               MOVE    SUM-SHOKUJINISSU (IDX1 IDX IDY)
                                               TO  WRK-SHONISSUZ 
               MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU1 (IDY)
               MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX IDY)
                                               TO  WRK-SHORYOYOHIZ
               MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK1(IDY)
               MOVE    SUM-SHOKUJIFTN (IDX1 IDX IDY)  TO  WRK-SHOFTNZ
               MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK1(IDY)
           END-PERFORM
           MOVE    SUM-KENSU    (IDX1 IDX 12)   TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2I-KENSU1 (11)
           MOVE    SUM-NISSU    (IDX1 IDX 12)   TO  WRK-NISSUZ 
           MOVE    WRK-NISSUZ              TO  HCM2I-NISSU1 (11) 
           MOVE    SUM-TOTALTEN (IDX1 IDX 12)   TO  WRK-TENSUZ
           MOVE    WRK-TENSUZ              TO  HCM2I-TENSU1 (11)
           MOVE    SUM-FTNMONEY (IDX1 IDX 12)   TO  WRK-FTNMONEYZ
           MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN1(11)
           MOVE    SUM-SHOKUJIKENSU (IDX1 IDX 12) 
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU1 (11)
           MOVE    SUM-SHOKUJINISSU (IDX1 IDX 12)
                                           TO  WRK-SHONISSUZ 
           MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU1 (11)
           MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX 12)
                                           TO  WRK-SHORYOYOHIZ
           MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK1(11)
           MOVE    SUM-SHOKUJIFTN (IDX1 IDX 12)  TO  WRK-SHOFTNZ
           MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK1(11)
      *
      *    ñȡʣʾ壸
           MOVE    2                   TO  IDX
           PERFORM VARYING IDY FROM    1   BY  1
                   UNTIL   IDY >       8
               MOVE    SUM-KENSU    (IDX1 IDX IDY)  TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ              TO  HCM2I-KENSU2 (IDY)
               MOVE    SUM-NISSU    (IDX1 IDX IDY)  TO  WRK-NISSUZ 
               MOVE    WRK-NISSUZ              TO  HCM2I-NISSU2 (IDY) 
               MOVE    SUM-TOTALTEN (IDX1 IDX IDY)  TO  WRK-TENSUZ
               MOVE    WRK-TENSUZ              TO  HCM2I-TENSU2 (IDY)
               MOVE    SUM-FTNMONEY (IDX1 IDX IDY)  TO  WRK-FTNMONEYZ
               MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN2(IDY)
               MOVE    SUM-SHOKUJIKENSU (IDX1 IDX IDY) 
                                               TO  WRK-SHOKENSUZ
               MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU2 (IDY)
               MOVE    SUM-SHOKUJINISSU (IDX1 IDX IDY)
                                               TO  WRK-SHONISSUZ 
               MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU2 (IDY)
               MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX IDY)
                                               TO  WRK-SHORYOYOHIZ
               MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK2(IDY)
               MOVE    SUM-SHOKUJIFTN (IDX1 IDX IDY)  TO  WRK-SHOFTNZ
               MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK2(IDY)
           END-PERFORM
           MOVE    SUM-KENSU    (IDX1 IDX 12)   TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2I-KENSU2 (9)
           MOVE    SUM-NISSU    (IDX1 IDX 12)   TO  WRK-NISSUZ 
           MOVE    WRK-NISSUZ              TO  HCM2I-NISSU2 (9) 
           MOVE    SUM-TOTALTEN (IDX1 IDX 12)   TO  WRK-TENSUZ
           MOVE    WRK-TENSUZ              TO  HCM2I-TENSU2 (9)
           MOVE    SUM-FTNMONEY (IDX1 IDX 12)   TO  WRK-FTNMONEYZ
           MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN2(9)
           MOVE    SUM-SHOKUJIKENSU (IDX1 IDX 12) 
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU2 (9)
           MOVE    SUM-SHOKUJINISSU (IDX1 IDX 12)
                                           TO  WRK-SHONISSUZ 
           MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU2 (9)
           MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX 12)
                                           TO  WRK-SHORYOYOHIZ
           MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK2(9)
           MOVE    SUM-SHOKUJIFTN (IDX1 IDX 12)  TO  WRK-SHOFTNZ
           MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK2(9)
      *
      *    ñȡܿ͡
           MOVE    3                   TO  IDX
           PERFORM VARYING IDY FROM    1   BY  1
                   UNTIL   IDY >       11
               MOVE    SUM-KENSU    (IDX1 IDX IDY)  TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ              TO  HCM2I-KENSU3 (IDY)
               MOVE    SUM-NISSU    (IDX1 IDX IDY)  TO  WRK-NISSUZ 
               MOVE    WRK-NISSUZ              TO  HCM2I-NISSU3 (IDY) 
               MOVE    SUM-TOTALTEN (IDX1 IDX IDY)  TO  WRK-TENSUZ
               MOVE    WRK-TENSUZ              TO  HCM2I-TENSU3 (IDY)
      *=== ôεб by Yoshikawa(2012/11/14) start
      *         IF      IDY             =   3
      *             MOVE    SUM-FTNMONEY (IDX1 IDX IDY)
      *                                         TO  WRK-FTNMONEYZ
      *             MOVE    WRK-FTNMONEYZ       TO  HCM2I-ITBFTN3
      *         END-IF
               MOVE    SUM-FTNMONEY (IDX1 IDX IDY)  TO  WRK-FTNMONEYZ
               MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN3 (IDY)
      *=== ôεб by Yoshikawa(2012/11/14) end
               MOVE    SUM-SHOKUJIKENSU (IDX1 IDX IDY) 
                                               TO  WRK-SHOKENSUZ
               MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU3 (IDY)
               MOVE    SUM-SHOKUJINISSU (IDX1 IDX IDY)
                                               TO  WRK-SHONISSUZ 
               MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU3 (IDY)
               MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX IDY)
                                               TO  WRK-SHORYOYOHIZ
               MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK3(IDY)
               MOVE    SUM-SHOKUJIFTN (IDX1 IDX IDY)  TO  WRK-SHOFTNZ
               MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK3(IDY)
           END-PERFORM
           MOVE    SUM-KENSU    (IDX1 IDX 12)   TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2I-KENSU3 (12)
           MOVE    SUM-NISSU    (IDX1 IDX 12)   TO  WRK-NISSUZ 
           MOVE    WRK-NISSUZ              TO  HCM2I-NISSU3 (12) 
           MOVE    SUM-TOTALTEN (IDX1 IDX 12)   TO  WRK-TENSUZ
           MOVE    WRK-TENSUZ              TO  HCM2I-TENSU3 (12)
      *=== ôεб by Yoshikawa(2012/11/14) start
           MOVE    SUM-FTNMONEY (IDX1 IDX 12)  TO  WRK-FTNMONEYZ
           MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN3 (12)
      *=== ôεб by Yoshikawa(2012/11/14) end
           MOVE    SUM-SHOKUJIKENSU (IDX1 IDX 12) 
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU3 (12)
           MOVE    SUM-SHOKUJINISSU (IDX1 IDX 12)
                                           TO  WRK-SHONISSUZ 
           MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU3 (12)
           MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX 12)
                                           TO  WRK-SHORYOYOHIZ
           MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK3(12)
           MOVE    SUM-SHOKUJIFTN (IDX1 IDX 12)  TO  WRK-SHOFTNZ
           MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK3(12)
      *
      *    ñȡʲ²
           MOVE    4                   TO  IDX
           PERFORM VARYING IDY FROM    1   BY  1
                   UNTIL   IDY >       8
               MOVE    SUM-KENSU    (IDX1 IDX IDY)  TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ              TO  HCM2I-KENSU4 (IDY)
               MOVE    SUM-NISSU    (IDX1 IDX IDY)  TO  WRK-NISSUZ 
               MOVE    WRK-NISSUZ              TO  HCM2I-NISSU4 (IDY) 
               MOVE    SUM-TOTALTEN (IDX1 IDX IDY)  TO  WRK-TENSUZ
               MOVE    WRK-TENSUZ              TO  HCM2I-TENSU4 (IDY)
      *=== ôεб by Yoshikawa(2012/11/14) start
               MOVE    SUM-FTNMONEY (IDX1 IDX IDY)  TO  WRK-FTNMONEYZ
               MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN4 (IDY)
      *=== ôεб by Yoshikawa(2012/11/14) end
               MOVE    SUM-SHOKUJIKENSU (IDX1 IDX IDY) 
                                               TO  WRK-SHOKENSUZ
               MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU4 (IDY)
               MOVE    SUM-SHOKUJINISSU (IDX1 IDX IDY)
                                               TO  WRK-SHONISSUZ 
               MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU4 (IDY)
               MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX IDY)
                                               TO  WRK-SHORYOYOHIZ
               MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK4(IDY)
               MOVE    SUM-SHOKUJIFTN (IDX1 IDX IDY)  TO  WRK-SHOFTNZ
               MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK4(IDY)
           END-PERFORM
           MOVE    SUM-KENSU    (IDX1 IDX 12)   TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2I-KENSU4 (9)
           MOVE    SUM-NISSU    (IDX1 IDX 12)   TO  WRK-NISSUZ 
           MOVE    WRK-NISSUZ              TO  HCM2I-NISSU4 (9) 
           MOVE    SUM-TOTALTEN (IDX1 IDX 12)   TO  WRK-TENSUZ
           MOVE    WRK-TENSUZ              TO  HCM2I-TENSU4 (9)
      *=== ôεб by Yoshikawa(2012/11/14) start
           MOVE    SUM-FTNMONEY (IDX1 IDX 12)  TO  WRK-FTNMONEYZ
           MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN4 (9)
      *=== ôεб by Yoshikawa(2012/11/14) end
           MOVE    SUM-SHOKUJIKENSU (IDX1 IDX 12) 
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU4 (9)
           MOVE    SUM-SHOKUJINISSU (IDX1 IDX 12)
                                           TO  WRK-SHONISSUZ 
           MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU4 (9)
           MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX 12)
                                           TO  WRK-SHORYOYOHIZ
           MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK4(9)
           MOVE    SUM-SHOKUJIFTN (IDX1 IDX 12)  TO  WRK-SHOFTNZ
           MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK4(9)
      *
      *    ñȡʻС
           MOVE    5                   TO  IDX
           PERFORM VARYING IDY FROM    1   BY  1
                   UNTIL   IDY >       8
               MOVE    SUM-KENSU    (IDX1 IDX IDY)  TO  WRK-KENSUZ
               MOVE    WRK-KENSUZ              TO  HCM2I-KENSU5 (IDY)
               MOVE    SUM-NISSU    (IDX1 IDX IDY)  TO  WRK-NISSUZ 
               MOVE    WRK-NISSUZ              TO  HCM2I-NISSU5 (IDY) 
               MOVE    SUM-TOTALTEN (IDX1 IDX IDY)  TO  WRK-TENSUZ
               MOVE    WRK-TENSUZ              TO  HCM2I-TENSU5 (IDY)
      *=== ôεб by Yoshikawa(2012/11/14) start
               MOVE    SUM-FTNMONEY (IDX1 IDX IDY)  TO  WRK-FTNMONEYZ
               MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN5 (IDY)
      *=== ôεб by Yoshikawa(2012/11/14) end
               MOVE    SUM-SHOKUJIKENSU (IDX1 IDX IDY) 
                                               TO  WRK-SHOKENSUZ
               MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU5 (IDY)
               MOVE    SUM-SHOKUJINISSU (IDX1 IDX IDY)
                                               TO  WRK-SHONISSUZ 
               MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU5 (IDY)
               MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX IDY)
                                               TO  WRK-SHORYOYOHIZ
               MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK5(IDY)
               MOVE    SUM-SHOKUJIFTN (IDX1 IDX IDY)  TO  WRK-SHOFTNZ
               MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK5(IDY)
           END-PERFORM
           MOVE    SUM-KENSU    (IDX1 IDX 12)   TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2I-KENSU5 (9)
           MOVE    SUM-NISSU    (IDX1 IDX 12)   TO  WRK-NISSUZ 
           MOVE    WRK-NISSUZ              TO  HCM2I-NISSU5 (9) 
           MOVE    SUM-TOTALTEN (IDX1 IDX 12)   TO  WRK-TENSUZ
           MOVE    WRK-TENSUZ              TO  HCM2I-TENSU5 (9)
      *=== ôεб by Yoshikawa(2012/11/14) start
           MOVE    SUM-FTNMONEY (IDX1 IDX 12)  TO  WRK-FTNMONEYZ
           MOVE    WRK-FTNMONEYZ           TO  HCM2I-ITBFTN5 (9)
      *=== ôεб by Yoshikawa(2012/11/14) end
           MOVE    SUM-SHOKUJIKENSU (IDX1 IDX 12) 
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSU5 (9)
           MOVE    SUM-SHOKUJINISSU (IDX1 IDX 12)
                                           TO  WRK-SHONISSUZ 
           MOVE    WRK-SHONISSUZ           TO  HCM2I-SYONISSU5 (9)
           MOVE    SUM-SHOKUJIRYOYOHI (IDX1 IDX 12)
                                           TO  WRK-SHORYOYOHIZ
           MOVE    WRK-SHORYOYOHIZ         TO  HCM2I-SYOKINGAK5(9)
           MOVE    SUM-SHOKUJIFTN (IDX1 IDX 12)  TO  WRK-SHOFTNZ
           MOVE    WRK-SHOFTNZ             TO  HCM2I-SYOFTNGAK5(9)
      *
           MOVE    SUM-GOK-KENSU (IDX1 1)  TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2I-KENSUG   
           MOVE    SUM-GOK-SHOKENSU (IDX1 1)
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2I-SYOKENSUG  
      *
      *    Ϸݷ
           PERFORM VARYING IDX FROM    1   BY  1
                   UNTIL   IDX >       2
               PERFORM VARYING IDY FROM    1   BY  1
                       UNTIL   IDY >       3
                   MOVE    SUM-ROU-KENSU    (IDX1 IDX IDY) 
                                           TO  WRK-KENSUZ
                   MOVE    WRK-KENSUZ      TO  HCM2J-ROU-KENSU (IDX IDY)
                   MOVE    SUM-ROU-SHOKUJIKENSU (IDX1 IDX IDY) 
                                           TO  WRK-SHOKENSUZ
                   MOVE    WRK-SHOKENSUZ   TO
                                           HCM2J-ROU-SYOKENSU  (IDX IDY)
                   IF      IDY                 <   3
                       MOVE    SUM-ROU-NISSU    (IDX1 IDX IDY)
                                           TO  WRK-NISSUZ 
                       MOVE    WRK-NISSUZ  TO  HCM2J-ROU-NISSU (IDX IDY) 
                       MOVE    SUM-ROU-TOTALTEN (IDX1 IDX IDY)
                                           TO  WRK-TENSUZ
                       MOVE    WRK-TENSUZ  TO  HCM2J-ROU-TENSU (IDX IDY) 
                       MOVE    SUM-ROU-FTNMONEY (IDX1 IDX IDY)
                                           TO  WRK-FTNMONEYZ
                       MOVE    WRK-FTNMONEYZ
                                           TO  HCM2J-ROU-ITBFTN(IDX IDY)
                       MOVE    SUM-ROU-SHOKUJINISSU (IDX1 IDX IDY)
                                           TO  WRK-SHONISSUZ 
                       MOVE    WRK-SHONISSUZ
                                           TO
                                           HCM2J-ROU-SYONISSU  (IDX IDY)
                       MOVE    SUM-ROU-SHOKUJIRYOYOHI (IDX1 IDX IDY)
                                           TO  WRK-SHORYOYOHIZ
                       MOVE    WRK-SHORYOYOHIZ
                                           TO
                                           HCM2J-ROU-SYOKINGAK (IDX IDY)
                       MOVE    SUM-ROU-SHOKUJIFTN (IDX1 IDX IDY)
                                           TO  WRK-SHOFTNZ
                       MOVE    WRK-SHOFTNZ TO
                                           HCM2J-ROU-SYOFTNGAK (IDX IDY)
                   END-IF
               END-PERFORM    
           END-PERFORM
      *     
           MOVE    SUM-GOK-KENSU (IDX1 2)  TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2J-KENSUG (1)    
           MOVE    SUM-GOK-SHOKENSU (IDX1 2)
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2J-SYOKENSUG (1)
      *
      *    ƷԽ
           PERFORM VARYING IDX FROM    1   BY  1
                   UNTIL   IDX >       10
               IF      SUM-ROU-KOH-KENSU (IDX1 IDX)    >   ZERO
                   MOVE    SUM-ROU-KOH-KENSU    (IDX1 IDX) 
                                           TO  WRK-KENSUZ
                   MOVE    WRK-KENSUZ      TO  HCM2J-BKO-KENSU (IDX) 
                   MOVE    SUM-ROU-KOH-NISSU    (IDX1 IDX)
                                           TO  WRK-NISSUZ 
                   MOVE    WRK-NISSUZ      TO  HCM2J-BKO-NISSU (IDX) 
                   MOVE    SUM-ROU-KOH-ITBFTN  (IDX1 IDX)
                                           TO  WRK-ZZ9
                   MOVE    WRK-ZZ9 (2:)    TO  HCM2J-BKO-ITBFTN(IDX)
                   MOVE    SUM-ROU-KOH-FTNMONEY (IDX1 IDX)
                                           TO  WRK-ZZ9
                   MOVE    WRK-ZZ9 (2:)    TO  HCM2J-BKO-KOJYO (IDX)
                   IF      IDX         NOT =   2   AND     7
                       MOVE    SUM-ROU-KOH-SHOKUJIKENSU    (IDX1 IDX) 
                                           TO  WRK-SHOKENSUZ
                       MOVE    WRK-SHOKENSUZ
                                           TO  HCM2J-BKO-SYOKENSU (IDX) 
                       MOVE    SUM-ROU-KOH-SHOKUJINISSU    (IDX1 IDX)
                                           TO  WRK-SHONISSUZ
                       MOVE    WRK-SHONISSUZ
                                           TO  HCM2J-BKO-SYONISSU (IDX)
                       MOVE    SUM-ROU-KOH-SHOKUJIFTN (IDX1 IDX)
                                           TO  WRK-SHOFTNZ
                       MOVE    WRK-SHOFTNZ TO  HCM2J-BKO-SYOFTNGAK(IDX)
                   END-IF 
                   IF      IDX         NOT =   7
                       MOVE    SUM-ROU-KOH-SHOKUJIRYOYOHI (IDX1 IDX)
                                           TO  WRK-SHORYOYOHIZ
                       MOVE    WRK-SHORYOYOHIZ
                                           TO  HCM2J-BKO-SYOKINGAK(IDX)
                   END-IF
               END-IF
           END-PERFORM    
      *     
      ***** 05/06/09 INS
      *    ʿ
      *    Ϸ
           MOVE     ZERO            TO  WRK-AVG
           COMPUTE  WRK-AVG ROUNDED  =  SUM-ROU-GOK-TOTALTEN(IDX1)
                                      / SUM-GOK-KENSU(IDX1 2)
           MOVE     WRK-AVG         TO  WRK-ZAVG
           MOVE     WRK-ZAVG        TO  HCM2J-AVG(1)  
      *    ܿ
           MOVE     ZERO            TO  WRK-AVG
           COMPUTE  WRK-AVG ROUNDED  =  SUM-TOTALTEN (IDX1 3 12)
                                      / SUM-KENSU(IDX1 3 12)
           MOVE     WRK-AVG         TO  WRK-ZAVG
           MOVE     WRK-ZAVG        TO  HCM2J-AVG(2)  
      *    ݲ²
           MOVE     ZERO            TO  WRK-AVG
           COMPUTE  WRK-AVG ROUNDED  =  
               (SUM-TOTALTEN (IDX1 4 12) + SUM-TOTALTEN (IDX1 5 12))
             / (SUM-KENSU(IDX1 4 12) + SUM-KENSU(IDX1 5 12)) 
           MOVE     WRK-AVG         TO  WRK-ZAVG
           MOVE     WRK-ZAVG        TO  HCM2J-AVG(3)  
      *****
      *    Ģɼʣܡ
           MOVE    ZERO                TO  FLG-PRTKBN
           PERFORM 390-PRINT-OUT-SEC
           MOVE    1                   TO  FLG-PRTKBN
      *    ôʬԽ
           MOVE    ZERO                TO  FLG-MF01-END
           MOVE    1                   TO  IDX2
      * 
           PERFORM 3201-KOH-HENSYU-SEC
                                   UNTIL   FLG-MF01-END   =   1
           .
       320-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ôʬ>
      *****************************************************************
      *    
       3201-KOH-HENSYU-SEC         SECTION.
      *
           PERFORM VARYING IDY     FROM    1   BY  1
                   UNTIL   IDY     >       6         
                   OR      FLG-MF01-END    =   1  
               IF      SUM-KOH-KOHNUM (IDX1 1 IDX2)    =   SPACE
               AND     SUM-KOH-KOHNUM (IDX1 2 IDX2)    =   SPACE
               AND     SUM-KOH-KOHNUM (IDX1 3 IDX2)    =   SPACE
                   MOVE    1                   TO  FLG-MF01-END
               ELSE    
                   PERFORM VARYING IDX     FROM    1   BY  1
                           UNTIL   IDX     >       3
                       IF      SUM-KOH-KOHNUM (IDX1 IDX IDX2)  =   SPACE
                           CONTINUE
                       ELSE    
                           PERFORM 3202-HKNNUM-HENSYU-SEC     
                           MOVE    SUM-KOH-KENSU (IDX1 IDX IDX2)
                                           TO  WRK-KENSUZ        
                           MOVE    WRK-KENSUZ
                                           TO  HCM2J-KOH-KENSU (IDX IDY)
                           MOVE    SUM-KOH-TOTALTEN (IDX1 IDX IDX2)
                                           TO  WRK-TENSUZ         
                           MOVE    WRK-TENSUZ
                                           TO  HCM2J-KOH-TENSU (IDX IDY)
                           IF      IDX         =   1          
                               MOVE    SUM-KOH-SHOKUJIFTN(IDX1 IDX IDX2)
                                           TO  WRK-SHOFTNZ
                               MOVE    WRK-SHOFTNZ TO
                                           HCM2J-KOH-SYOFTNGAK (IDX IDY)
                           END-IF
                           MOVE    SUM-KOH-FTNMONEY (IDX1 IDX IDX2)
                                           TO  WRK-FTNMONEYZ
                           MOVE    WRK-FTNMONEYZ
                                           TO  HCM2J-KOH-ITBFTN(IDX IDY)
                           MOVE    SUM-KOH-SHOKUJIKENSU (IDX1 IDX IDX2)
                                           TO  WRK-SHOKENSUZ
                           MOVE    WRK-SHOKENSUZ   TO
                                           HCM2J-KOH-SYOKENSU  (IDX IDY)
                           MOVE    SUM-KOH-SHOKUJIRYOYOHI(IDX1 IDX IDX2)
                                           TO  WRK-SHORYOYOHIZ
                           MOVE    WRK-SHORYOYOHIZ
                                           TO
                                           HCM2J-KOH-SYOKINGAK (IDX IDY)
                       END-IF
                   END-PERFORM
                   ADD     1                   TO  IDX2   
               END-IF        
           END-PERFORM
      *
           IF      SUM-KOH-KOHNUM (IDX1 1 IDX2)    =   SPACE
           AND     SUM-KOH-KOHNUM (IDX1 2 IDX2)    =   SPACE
           AND     SUM-KOH-KOHNUM (IDX1 3 IDX2)    =   SPACE
               MOVE    1                      TO  FLG-MF01-END
           ELSE
      *        Ģɼʣǰʹߡ
               PERFORM 390-PRINT-OUT-SEC
      *        ĢɼԽ<Ф>
               PERFORM 310-HEAD-HEN-02-SEC
           END-IF     
      *
           .
       3201-KOH-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸʬԽ
      *****************************************************************
      *    
       3202-HKNNUM-HENSYU-SEC         SECTION.
      *
           MOVE    SPACE               TO  WRK-KOHKBN
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
      *    ֹޤȤ󤫤νפ
           IF      SUM-KOH-MEISYO  (IDX1 IDX IDX2)
                                       =   SPACE
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
      *      ݸֹɹ  
             INITIALIZE                      HKNNUM-REC
      *---(01.01.03) LINE ADD START ------------------------------------
      *       MOVE   SYS-1001-HOSPID      TO    HKN-HOSPID
             MOVE   SPA-HOSPNUM          TO    HKN-HOSPNUM
      *---(01.01.03) LINE ADD END   ------------------------------------
             MOVE   SUM-KOH-KOHNUM (IDX1 IDX IDX2)
                                         TO    HKN-HKNNUM
             MOVE   HKNNUM-REC           TO    MCPDATA-REC
             MOVE   "DBSELECT"           TO    MCP-FUNC
      *---(01.01.03) LINE ADD START ------------------------------------
      *       MOVE   PATH-TBL-HKNNUM-KEY2 TO    MCP-PATH
      *       CALL    "MCPSUB"            USING
      *                                       MCPAREA
      *                                       MCPDATA-REC
             MOVE    "tbl_hknnum"            TO  MCP-TABLE
             MOVE    "key2"                  TO  MCP-PATHNAME
             CALL    "ORCDBMAIN"             USING
                                             MCPAREA
                                             MCPDATA-REC
                                             SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
             IF      MCP-RC              =   ZERO
      *---(01.01.03) LINE ADD START ------------------------------------
      *           MOVE    PATH-TBL-HKNNUM-KEY2
      *                                       TO  MCP-PATH
                 MOVE    "tbl_hknnum"            TO  MCP-TABLE
                 MOVE    "key2"                  TO  MCP-PATHNAME
      *---(01.01.03) LINE ADD END   ------------------------------------
                 PERFORM 900-HKNNUM-READ-SEC
             ELSE
                 MOVE    1                  TO  FLG-HKNNUM
             END-IF
      *
             PERFORM UNTIL       FLG-HKNNUM      =   1
                 IF    ( HKN-TEKSTYMD            <=  WRK-SRYYMD )
                 AND   ( HKN-TEKEDYMD            >=  WRK-SRYYMD )
                     IF     SUM-KOH-KOHNUM (IDX1 IDX IDX2)    =   "027"
      *                  ϷݸΤȤ 
                         IF  ( SYS-1001-HOSPSBT    =  HKN-PAYKBN(1:1) )
                         AND ( SYS-1001-ROUPAYKBN  =  HKN-PAYKBN(2:1) )
                           STRING  ""            DELIMITED  BY  SIZE
                                   HKN-TANSEIDONAME
                                                   DELIMITED  BY  SPACE
                                   ""            DELIMITED  BY  SIZE
                                                   INTO   WRK-HKNNAME
                           END-STRING
                           MOVE    1                   TO  FLG-HKNNUM
                         END-IF
                     ELSE
      *                  ΤȤ 
                         IF      SUM-KOH-KOHNUM (IDX1 IDX IDX2)
                                                     =   "051"
                           MOVE    ""    TO   WRK-HKNNAME
                         ELSE
      *                  ¾ݸΤȤ 
                           STRING  ""            DELIMITED  BY  SIZE
                                   HKN-TANSEIDONAME
                                                   DELIMITED  BY  SPACE
                                   ""            DELIMITED  BY  SIZE
                                                   INTO   WRK-HKNNAME
                           END-STRING
                         END-IF
                         MOVE    1                   TO  FLG-HKNNUM 
                     END-IF     
                 END-IF
      *
                 IF      FLG-HKNNUM           =   ZERO
      *---(01.01.03) LINE ADD START ------------------------------------
      *               MOVE    PATH-TBL-HKNNUM-KEY2
      *                                       TO  MCP-PATH
                     MOVE    "tbl_hknnum"            TO  MCP-TABLE
                     MOVE    "key2"                  TO  MCP-PATHNAME
      *---(01.01.03) LINE ADD END   ------------------------------------
                     PERFORM 900-HKNNUM-READ-SEC
                 ELSE
                     MOVE    HKN-HBTNUM      TO  WRK-Z9
                     INITIALIZE                  ORCSKANACHKAREA
                     MOVE    "2"                 TO  KANACHK-SYORI 
                     MOVE    WRK-Z9 (4:2)    TO  KANACHK-MAE-INPUT 
                     CALL    "ORCSKANACHK"   USING   ORCSKANACHKAREA
                     IF    ( KANACHK-RC      =   ZERO )
                     AND   ( KANACHK-MAX     >   ZERO )
                         MOVE    KANACHK-OUT-INPUT(1:KANACHK-MAX)
                                                     TO  WRK-KOHNUM
                     END-IF    
                 END-IF 
             END-PERFORM
      *    
             MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.01.03) LINE ADD START ------------------------------------
      *       MOVE    PATH-TBL-HKNNUM-KEY2
      *                                   TO  MCP-PATH
      *       CALL    "MCPSUB"            USING
      *                                       MCPAREA
      *                                       MCPDATA-REC
             MOVE    "tbl_hknnum"            TO  MCP-TABLE
             MOVE    "key2"                  TO  MCP-PATHNAME
             CALL    "ORCDBMAIN"             USING
                                             MCPAREA
                                             MCPDATA-REC
                                             SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
      *
      *=== ɡ2007б by Yoshikawa(2008/10/24) start
           ELSE
               MOVE    SUM-KOH-MEISYO (IDX1 IDX IDX2)
                                         TO   WRK-KOHKBN
           END-IF
      *=== ɡ2007б by Yoshikawa(2008/10/24) end
      *
           MOVE    WRK-KOHKBN          TO  HCM2J-KOHKBN (IDX IDY)
           .
       3202-HKNNUM-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<>
      *****************************************************************
      *    
       330-TERM-HEN-SEC         SECTION.
      *    ס
      *
           MOVE    SUM-GOK-KENSU (IDX1 3)  TO  WRK-KENSUZ
           MOVE    WRK-KENSUZ              TO  HCM2J-KENSUG (2)
           MOVE    SUM-GOK-SHOKENSU (IDX1 3)
                                           TO  WRK-SHOKENSUZ
           MOVE    WRK-SHOKENSUZ           TO  HCM2J-SYOKENSUG (2) 
      *
           MOVE    SUM-GOK-KENSU (IDX1 4)  TO  WRK-GKENSUZ
           MOVE    WRK-GKENSUZ             TO  HCM2J-GKENSU
           .
       330-TERM-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       390-PRINT-OUT-SEC                SECTION.
      *
           ADD     1                   TO  CNT-PAGE
      *     
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           IF      FLG-PRTKBN          =   ZERO                            
      *********MOVE    "HCM2I.red"         TO  SPRT-PRTID
      *********MOVE    "HCM2IV01.red"      TO  SPRT-PRTID
      ***** 05/06/09 UPD
      *         MOVE    "HCM2IV02.red"      TO  SPRT-PRTID
      *---(01.01.04) LINE ADD START ------------------------------------
      *         MOVE    "SKT1150IV02.red"   TO  SPRT-PRTID
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
      *         IF  WRK-SRYYM-FLG  =  1
               IF  WRK-SRYYM-FLG  <  2
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
                 MOVE  "SKT1150IV02o.red"  TO  SPRT-PRTID
               ELSE
                 MOVE  "SKT1150IV02.red"   TO  SPRT-PRTID
               END-IF
      *---(01.01.04) LINE ADD END   ------------------------------------
      *****
               MOVE    HCM2I               TO  SPRT-PRTDATA
           ELSE                          
      *********MOVE    "HCM2J.red"         TO  SPRT-PRTID
      *********MOVE    "HCM2JV01.red"      TO  SPRT-PRTID
      *********MOVE    "HCM2JV02.red"      TO  SPRT-PRTID
      ***** 05/06/09 UPD
      *         MOVE    "HCM2JV03.red"      TO  SPRT-PRTID
      *---(01.01.04) LINE ADD START ------------------------------------
      *         MOVE    "SKT1150JV03.red"   TO  SPRT-PRTID
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) start
      *         IF  WRK-SRYYM-FLG  =  1
               IF  WRK-SRYYM-FLG  <  2
      *=== H20ǯ3η٤ϵͼ by Yoshikawa(2008/12/15) end
                 MOVE  "SKT1150JV03o.red"  TO  SPRT-PRTID
               ELSE
                 MOVE  "SKT1150JV03.red"   TO  SPRT-PRTID
               END-IF
      *---(01.01.04) LINE ADD END   ------------------------------------
      *****
               MOVE    HCM2J               TO  SPRT-PRTDATA
           END-IF    
           EVALUATE    IDX1    ALSO    WRK-SYOKBN
                                           ALSO    WRK-NYUGAIKBN 
               WHEN    ANY     ALSO    "1" ALSO    "1"                           
                   MOVE    "ɽ"  TO  SPRT-TITLE
               WHEN    ANY     ALSO    "2" ALSO    "1"                           
                   MOVE    "ɽʬ"
                                               TO  SPRT-TITLE
               WHEN    1       ALSO    "1" ALSO    "2"                           
                   MOVE    "ɽ"
                                               TO  SPRT-TITLE
               WHEN    2       ALSO    "1" ALSO    "2"
                   MOVE    "ɽʺ"
                                               TO  SPRT-TITLE
               WHEN    1       ALSO    "2" ALSO    "2"                            
                   MOVE    "ɽʬ"
                                               TO  SPRT-TITLE
               WHEN    2       ALSO    "2" ALSO    "2"          
                   MOVE    "ɽʺˡʬ"
                                               TO  SPRT-TITLE
           END-EVALUATE        
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
      ***** 05/06/09 UPD
      *     MOVE    "1"                 TO  SPRT-SITEKBN
           MOVE    "2"                 TO  SPRT-SITEKBN
      *****
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
      *---(01.01.03) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC                           
           END-IF                                                              
           .
       390-PRINT-OUT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
057400*
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC                SECTION.
      *
           OPEN    INPUT   RECEERR-FILE
           IF      STS-RECEERR         =   ZERO
               CLOSE   RECEERR-FILE
           ELSE
               OPEN    OUTPUT              RECEERR-FILE
      *
               MOVE    WRK-RECEERR         TO  RECEERR-REC
               WRITE   RECEERR-REC
               CLOSE   RECEERR-FILE
      *         
      *        ִϽ
               MOVE    "JBE"           TO  SJOBKANRI-MODE
               INITIALIZE                  JOBKANRI-REC
      *---(01.01.03) LINE ADD START ------------------------------------
               MOVE    SPA-HOSPNUM     TO  JOB-HOSPNUM
      *---(01.01.03) LINE ADD END   ------------------------------------
               MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
               MOVE    WRK-PARA-SHELLID
                                       TO  JOB-SHELLID
               MOVE    WRK-RECEERR     TO  JOB-YOBI
               MOVE    "9999"          TO  JOB-ERRCD
               CALL    "ORCSJOB"       USING
                                       ORCSJOBKANRIAREA  
                                       JOBKANRI-REC
      *---(01.01.03) LINE ADD START ------------------------------------
                                       SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
           END-IF
      *
           MOVE    1                   TO  FLG-END     
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
           ADD     CNT-PAGE        TO  WRK-PARA-PAGE
      *
           DISPLAY "*** ORCBM028 PAGE  "  CNT-PAGE 
           DISPLAY "*** ORCBM028 END ***"
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɤ߹
      *****************************************************************
       800-SYSKANRI-READ-SEC           SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
      *---(01.01.03) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SYSKANRI-KEY10
      *                                 TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_syskanri"           TO  MCP-TABLE
           MOVE    "key10"                  TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"              USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.01.03) LINE ADD START ------------------------------------
      *         MOVE    PATH-TBL-SYSKANRI-KEY10
      *                                     TO  MCP-PATH
      *         CALL    "MCPSUB"            USING
      *                                         MCPAREA
      *                                         MCPDATA-REC
               MOVE    "tbl_syskanri"       TO  MCP-TABLE
               MOVE    "key10"              TO  MCP-PATHNAME
               CALL    "ORCDBMAIN"          USING
                                            MCPAREA
                                            MCPDATA-REC
                                            SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO            TO  FLG-SYSKANRI
               ELSE
                   MOVE    1               TO  FLG-SYSKANRI
               END-IF
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
           END-IF
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
      *---(01.01.03) LINE ADD START ------------------------------------
      *     MOVE    PATH-TBL-SYSKANRI-KEY10
      *                                 TO  MCP-PATH
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           MOVE    "tbl_syskanri"       TO  MCP-TABLE
           MOVE    "key10"              TO  MCP-PATHNAME
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
      *
           .
       800-SYSKANRI-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸֹޥɹ
      *****************************************************************
       900-HKNNUM-READ-SEC         SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
      *---(01.01.03) LINE ADD START ------------------------------------
      *     CALL    "MCPSUB"            USING
      *                                     MCPAREA
      *                                     MCPDATA-REC
           CALL    "ORCDBMAIN"          USING
                                        MCPAREA
                                        MCPDATA-REC
                                        SPA-AREA
      *---(01.01.03) LINE ADD END   ------------------------------------
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC     TO  HKNNUM-REC
               MOVE    ZERO            TO  FLG-HKNNUM
           ELSE
               INITIALIZE                  HKNNUM-REC
               MOVE    1               TO  FLG-HKNNUM
           END-IF
      *
           .
       900-HKNNUM-READ-EXT.
           EXIT.
      *
      *---(01.01.03) LINE ADD START ------------------------------------
      *****************************************************************
      *    ŵԽɤ߹
      *****************************************************************
       900-1900-READ-SEC           SECTION.
      *
      *    ŵԽɤ߹
           MOVE    SPACE                   TO  SYS-1900-REC
           INITIALIZE                          SYS-1900-REC
           MOVE    "1900"                  TO  SYS-1900-KANRICD
           MOVE    "*"                     TO  SYS-1900-KBNCD
           MOVE    SPA-HOSPNUM             TO  SYS-1900-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-STYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM      TO  SYS-1900-EDYUKYMD(1:6)
           MOVE    "01"                    TO  SYS-1900-EDYUKYMD(7:2)
           MOVE    SYS-1900-REC            TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1900-REC
               IF      SYS-1900-PRTKBN(7) NOT =   SPACE
      *            ŵ̾Խ
                   PERFORM 900-1901-READ-SEC
      *            ŵؽԽ
                   PERFORM 900-1902-READ-SEC
               END-IF
           ELSE
               INITIALIZE                  SYS-1900-REC
           END-IF
           .
      *
       900-1900-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵ̾Խɤ߹
      *****************************************************************
       900-1901-READ-SEC           SECTION.
      *
      *    ŵ̾Խɤ߹
           MOVE    SPACE               TO  SYS-1901-REC
           INITIALIZE                      SYS-1901-REC
           MOVE    "1901"              TO  SYS-1901-KANRICD
           MOVE    SYS-1900-PRTKBN(7)  TO  SYS-1901-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1901-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1901-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1901-EDYUKYMD(7:2)
           MOVE    SYS-1901-REC        TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-1901-REC
               MOVE    SYS-1901-HOSPNAME1  TO  WRK-HOSPNAME1
               MOVE    SYS-1901-HOSPNAME2  TO  WRK-HOSPNAME2
           ELSE
               INITIALIZE                  SYS-1901-REC
           END-IF
           .
      *
       900-1901-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؽԽɤ߹
      *****************************************************************
       900-1902-READ-SEC           SECTION.
      *
      *    ŵؽԽɤ߹
           MOVE    SPACE               TO  SYS-1902-REC
           INITIALIZE                      SYS-1902-REC
           MOVE    "1902"              TO  SYS-1902-KANRICD
           MOVE    SYS-1900-PRTKBN(7)  TO  SYS-1902-KBNCD
           MOVE    SPA-HOSPNUM         TO  SYS-1902-HOSPNUM
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-STYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-STYUKYMD(7:2)
           MOVE    LNK-PRTKANRI-SRYYM  TO  SYS-1902-EDYUKYMD(1:6)
           MOVE    "01"                TO  SYS-1902-EDYUKYMD(7:2)
           MOVE    SYS-1902-REC        TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    MCPDATA-REC     TO  SYS-1902-REC
               MOVE    SYS-1902-ADRS1  TO  WRK-HOSPADRS1
               MOVE    SYS-1902-ADRS2  TO  WRK-HOSPADRS2
               MOVE    SYS-1902-TEL    TO  WRK-HOSPTEL
           ELSE
               INITIALIZE                  SYS-1902-REC
           END-IF
           .
      *
       900-1902-READ-EXT.
           EXIT.
      *---(01.01.03) LINE ADD END   ------------------------------------
