#!/usr/bin/ruby

$:.unshift("/usr/lib/jma-receipt/scripts/daily")

require	"apslib.rb"

#################################################
#
#  ƥޥ3004פΥǡʶ򹹿
#
#    1=ŵֹ桡2=ɡ3=ʬ
#          4=ǯ  5=λǯ
#  ͡0=0ʳᥨ顼
#
#################################################
def sys3004_update(hospnum,kanricd,kbncd,stymd,edymd)
  sys3004 = PandaTable.new(@db,"tbl_syskanri")
  t = Time.new
  creymd = t.strftime("%Y%m%d")
  crehms = t.strftime("%H%M%S")

  sys3004["tbl_syskanri.HOSPNUM"] = hospnum
  sys3004["tbl_syskanri.KANRICD"] = kanricd
  sys3004["tbl_syskanri.KBNCD"] = kbncd
  sys3004["tbl_syskanri.STYUKYMD"] = stymd
  sys3004["tbl_syskanri.EDYUKYMD"] = edymd
  sys3004["tbl_syskanri.KANRITBL"] = "                                                            FFFF"
  sys3004["tbl_syskanri.UPHMS"] = "     0"
  rc = sys3004.execFunction("DBUPDATE","key")
  return rc
end

#################################################
#
#  ƥޥ3004פκоݶʬɤμ
#
#    1=ŵֹ桡2=ɡ3=ǡ  4=ǯ  5=λǯ
#  ͡KBNCD=1=顼
#
#################################################
def sys3004_del_check(hospnum,kanricd,line,stymd,edymd)
  rc = 1
  sys3004 = PandaTable.new(@db,"tbl_syskanri")
  sys3004["tbl_syskanri.HOSPNUM"] = hospnum
  sys3004["tbl_syskanri.KANRICD"] = kanricd
  sys3004["tbl_syskanri.STYUKYMD"] = stymd
  sys3004["tbl_syskanri.EDYUKYMD"] = edymd
  if sys3004.execFunction("DBSELECT","key2") == 0
    while  sys3004.execFunction("DBFETCH","key2") == 0
#  оݤshellidɤ
      if  sys3004["tbl_syskanri.KANRITBL"][0,20] == line[0,20]
        rc = sys3004["tbl_syskanri.KBNCD"]
        $stderr.printf("get del-shellid [ %s ].\n",line[0.20])
        break
      end
    end
    sys3004.execFunction("DBCLOSECURSOR","key2")
  else
    rc = 1
    $stderr.printf("dbselect error .\n")
  end
  return rc
end

#################################################
#
#  ƥޥ3004פκǿͭ¼
#
#  1=ŵֹ  2=
#  ͡1=ͭǯ  2=ͭλǯ
#
#################################################
def kigen_get(hospnum,kanricd)
  stymd = 0
  edymd = 0
  sys3004 = PandaTable.new(@db,"tbl_syskanri")
  sys3004["tbl_syskanri.HOSPNUM"] = hospnum
  sys3004["tbl_syskanri.KANRICD"] = kanricd
  sys3004["tbl_syskanri.KBNCD"] = "0001"
  if sys3004.execFunction("DBSELECT","key8") == 0
    if  sys3004.execFunction("DBFETCH","key8") == 0
      stymd = sys3004["tbl_syskanri.STYUKYMD"]
      edymd = sys3004["tbl_syskanri.EDYUKYMD"]
    else
      $stderr.printf("dbfetch error .\n")
    end
    sys3004.execFunction("DBCLOSECURSOR","key8")
  else
    $stderr.printf("dbselect error .\n")
  end
  return stymd,edymd
end

#################################################
#
#  ƥޥ3004פإǡ
#
#    1=ŵֹ桡2=
#
#################################################
def sys3004_del_main(hospnum,kanricd)
  stymd = 0
  edymd = 0
# ǿͭ¼
  stymd,edymd = kigen_get(hospnum,kanricd)

  f = open("sys3004.data")
  while line = f.gets
#   sys3004.datashellidΥåʶǤϤʤ
    if line[0,20] != "                    "
#   оshellidΥåʳʬɼ
      kbncd = sys3004_del_check(hospnum,kanricd,line,stymd,edymd)
      if kbncd != 1
#   ʬɤκʶ򹹿
        result = sys3004_update(hospnum,kanricd,kbncd,stymd,edymd)

        if result == 0
          $stderr.printf("sys3004 del succeeded.\n")
        else
          $stderr.printf("sys3004 del failed.\n")
        end
      else
        $stderr.printf("sys3004 empty shellid = [ %s ].\n",line[0,20])
      end
    else
        $stderr.printf("sys3004 del check end.\n")
        break
    end
  end

  f.close
end

#################################################
#
# <  Main  >
#
# 1=ŵֹ
#
#################################################
hospnum = ARGV[0]

@db = PandaDB.new
@db.execFunction("DBOPEN")
@db.execFunction("DBSTART")

$stderr.printf("\nSys3004del start\n\n")

#  ɡ3004פκ
sys3004_del_main(hospnum,"3004")

@db.execFunction("DBCOMMIT")
@db.execFunction("DBDISCONNECT")

$stderr.printf("\nSys3004del end\n")
